# Generated by Makefile. Do not edit.

commit 9e857c43f8b66fdae779eb877f9e2370ac9b1a0e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed May 16 22:04:43 2012 +0100

    Updated INSTALL

 INSTALL |    9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit e83eb35a2a2edcdea7340b35c0a48f16ca13317f
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed May 16 21:25:36 2012 +0100

    Updated debian packaging files

 debian/control |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf3468347ec45cde077d9be665d6de4be9a554d3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed May 16 21:21:25 2012 +0100

    Updated debian packaging files

 debian/changelog |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f2b9c8c53574da5ad1c884a053bd698cb9115dab
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 10 09:06:19 2012 +0100

    Updated NEWS

 NEWS |    4 ++++
 1 file changed, 4 insertions(+)

commit 1d510b17ccec41143f9ea4a0d751f416b9f4d0bd
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Apr 24 18:29:38 2012 +0200

    Updated Czech translation

 po/cs.po |  897 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 451 insertions(+), 446 deletions(-)

commit 2244b88248ef260bb95692ce4c63d935f955dabd
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Mon Apr 23 14:25:39 2012 +0200

    Updated Danish translation

 po/da.po |  153 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 79 insertions(+), 74 deletions(-)

commit bb14609bfcddbd126ff850a7c4ce6e237ed1cb97
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Mon Apr 23 12:48:05 2012 +0400

    Updated Russian translation

 po/ru.po |  890 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 445 insertions(+), 445 deletions(-)

commit deeaca3cb5ee9443ec928399f5399c866d5fd619
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Apr 22 16:51:32 2012 +0200

    Updated Polish translation

 po/pl.po |  895 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 450 insertions(+), 445 deletions(-)

commit 7ac8c9cba58bc62aa620aee745f6da801189dff4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Apr 22 16:35:28 2012 +0200

    Updated Spanish translation

 po/es.po |  903 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 451 insertions(+), 452 deletions(-)

commit 4fd227ed905a54b53bcd0cc0fe9ea4affbe4fd68
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Apr 22 15:16:00 2012 +0200

    Updated French translation

 po/fr.po |  889 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 447 insertions(+), 442 deletions(-)

commit 2957085c101ccbe915898b4c1227a3db90d09cfd
Merge: d5739b1 a8caa3b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Apr 22 13:00:32 2012 +0100

    Merge branch 'master' into devel

commit d5739b19efe163564d3df4a8aa05ba49ff593ee8
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Apr 22 12:59:55 2012 +0100

    Updated Gnac version

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7354bc6180924ea692f99715d5106caa0e0b0227
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Apr 22 12:59:35 2012 +0100

    Fixed memory leaks

 src/gnac-playlist.c |   12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit f42bc1a37ee97f11da64e032ab114b7583553da2
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Apr 22 12:56:22 2012 +0100

    Added support for ASX playlists

 src/gnac-playlist.c |   44 ++++++++++++++++++++++++++++++++++++++++++++
 src/gnac-ui.c       |    1 +
 2 files changed, 45 insertions(+)

commit 671ef51b7b0ee957905c0da2a70aed5a5f9acb2c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Mar 27 01:49:04 2012 +0100

    Code refactoring

 src/gnac-file-list.c  |   23 +++++++++++++----------
 src/gnac-file-list.h  |    5 ++++-
 src/gnac-main.c       |   26 +++++++++++++-------------
 src/gnac-prefs.c      |    2 +-
 src/gnac-properties.c |   20 +++++++++-----------
 src/gnac-ui.c         |    3 ++-
 6 files changed, 42 insertions(+), 37 deletions(-)

commit a8caa3bc919441411db6a41bb6f80154998e914b
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Mar 24 00:18:20 2012 +0100

    Updated Galician translations

 po/gl.po | 1257 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 642 insertions(+), 615 deletions(-)

commit 6f32d5c65982c30495f9f4bb335ba47f250bcd51
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Thu Mar 15 22:00:39 2012 +0100

    [l10n] Updated Italian translation

 po/it.po |  728 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 373 insertions(+), 355 deletions(-)

commit e70c8e29a9e317f8e95cee5ef6d2afc8b6b839e2
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Mar 7 23:02:04 2012 +0000

    Replaced deprecated GtkTable by GtkGrid

 data/profiles/ui/gnac-profiles-aac.xml           |   63 ++++-----
 data/profiles/ui/gnac-profiles-base-advanced.xml |   31 +++--
 data/profiles/ui/gnac-profiles-flac.xml          |   43 ++++--
 data/profiles/ui/gnac-profiles-lame.xml          |  138 +++++++++----------
 data/profiles/ui/gnac-profiles-speex.xml         |  124 ++++++++---------
 data/profiles/ui/gnac-profiles-unknown.xml       |   19 +--
 data/profiles/ui/gnac-profiles-vorbis.xml        |   81 ++++++-----
 data/profiles/ui/gnac-profiles-wav.xml           |   30 ++++-
 data/profiles/ui/gnac-profiles-wavpack.xml       |  157 ++++++++++------------
 data/ui/gnac-pref-window.xml                     |  129 +++++++++++-------
 src/profiles/gnac-profiles-default.c             |    3 +-
 11 files changed, 426 insertions(+), 392 deletions(-)

commit 4cff59caf721867383202475d4b0477700b9e475
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Mar 7 22:59:33 2012 +0000

    Fixed bugs

 src/profiles/gnac-profiles-manager.c |   19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit 79ec5acdb02c0eec7eb9330a2bc73cd63c67e774
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Mar 6 18:32:37 2012 +0000

    Replaced deprecated symbols

 src/gnac-main.c                      |   11 ++++++++---
 src/profiles/gnac-profiles-manager.c |    5 +++++
 2 files changed, 13 insertions(+), 3 deletions(-)

commit abeb3350eef9e55f3ad95a8466068c65c03b315a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Mar 6 18:30:22 2012 +0000

    Restored Monkey's audio file filter

 src/gnac-ui.c |   10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 3ce9d959426c1744d4f536b1d401c7a718ecf35e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Mar 6 18:29:41 2012 +0000

    Updated configure.ac

 configure.ac   |    1 +
 m4/intltool.m4 |   73 ++++++++++++++++++++++++++++++++++++--------------------
 2 files changed, 48 insertions(+), 26 deletions(-)

commit 02466a7bae33febd43c4ea2ffc3076167c4fd809
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Feb 28 09:10:17 2012 +0100

    Updated Swedish translation

 po/sv.po | 1343 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 698 insertions(+), 645 deletions(-)

commit e3aba8ed61fed890dcd92791715192212f5358f8
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 27 18:55:39 2012 +0000

    Updated POTFILES.in

 po/POTFILES.in |    1 -
 1 file changed, 1 deletion(-)

commit 55f05f18f58860fc817b37c5331b863232290e2d
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 27 18:54:47 2012 +0000

    Removed useless file

 data/ui/gnac-spinner.xml |  565 ----------------------------------------------
 1 file changed, 565 deletions(-)

commit c74558d1c508395781fd97d16fc00c12b1cc5acf
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Feb 27 19:48:54 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in |    1 +
 1 file changed, 1 insertion(+)

commit aa01ae52a7f6c7d36efa242a1c34a27d32ea31b3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 27 17:42:15 2012 +0000

    Updated NEWS

 NEWS |    5 +++++
 1 file changed, 5 insertions(+)

commit 652e762e3f76d5a6e33542cacd2101267142927a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 27 17:42:00 2012 +0000

    Updated debian changelog

 debian/changelog |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e6bd748fbaa83aaf5bf48f1bda46f5391d7bf749
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 27 17:40:43 2012 +0000

    Code hardening

 libgnac/libgnac-media-item.c         |   20 ++++++++++++++++++--
 libgnac/libgnac-output.c             |    8 ++++++--
 src/gnac-file-list.c                 |    1 +
 src/gnac-main.c                      |    4 ++--
 src/gnac-properties.c                |    9 +++++++--
 src/gnac-ui.c                        |   18 ++++++++++++------
 src/profiles/gnac-profiles-manager.c |    1 +
 7 files changed, 47 insertions(+), 14 deletions(-)

commit d61697cd85fc78366142b76066e2bbbd9ee78529
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 27 17:39:33 2012 +0000

    Updated GtkBuilder XML files

 data/profiles/ui/gnac-profiles-aac.xml           |    9 +-
 data/profiles/ui/gnac-profiles-base-advanced.xml |    2 +-
 data/profiles/ui/gnac-profiles-combo.xml         |   12 +-
 data/profiles/ui/gnac-profiles-flac.xml          |    8 +-
 data/profiles/ui/gnac-profiles-lame.xml          |   17 +-
 data/profiles/ui/gnac-profiles-manager.xml       |   10 +-
 data/profiles/ui/gnac-profiles-properties.xml    |    6 +-
 data/profiles/ui/gnac-profiles-speex.xml         |   21 +-
 data/profiles/ui/gnac-profiles-unknown.xml       |    2 +-
 data/profiles/ui/gnac-profiles-vorbis.xml        |   11 +-
 data/profiles/ui/gnac-profiles-wav.xml           |    8 +-
 data/profiles/ui/gnac-profiles-wavpack.xml       |   14 +-
 data/ui/gnac-pref-window.xml                     |   21 +-
 data/ui/gnac-properties-window.xml               |    8 +-
 data/ui/gnac-spinner.xml                         |  565 ++++++++++++++++++++++
 15 files changed, 678 insertions(+), 36 deletions(-)

commit dd2452f72422dd26498d8494d27968a4fcd2dba8
Author: Gabriel Speckhahn <gabspeck@gmail.com>
Date:   Thu Feb 16 12:40:33 2012 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1264 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 644 insertions(+), 620 deletions(-)

commit 02ce8bd75012eba885507dde2d428d3f7bf249cf
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Sat Feb 18 21:02:28 2012 +0100

    Updated Romanian Translation

 help/ro/figures/gnac-main-window.png |  Bin 0 -> 42988 bytes
 help/ro/ro.po                        |   22 +-
 po/ro.po                             | 1354 +++++++++++++++++-----------------
 3 files changed, 701 insertions(+), 675 deletions(-)

commit b41bdcdafe163e1ccf52563b3a356d3ffd69f2f4
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Feb 17 00:40:20 2012 +0000

    Updated help/.gitignore

 help/.gitignore |    1 +
 1 file changed, 1 insertion(+)

commit ba7ae493e64fc054e2b1e1113a0e85274b3d4896
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Feb 17 00:39:56 2012 +0000

    Removed useless function call

 src/gnac-main.c |    2 --
 1 file changed, 2 deletions(-)

commit 44637f10dc55f701bef7c8aeef5fcffd1e56ff29
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Feb 17 00:39:13 2012 +0000

    Code optimisation

 src/profiles/gnac-profiles-manager.c |   24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 31cbc7e5d3df6db7e0deda4bd9b682f30c08ce24
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Feb 17 00:38:01 2012 +0000

    Code refactoring

 src/gnac-ui-utils.c |   17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

commit ed4897a280f93fa015323033edf593e471419e32
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Feb 16 12:36:19 2012 +0400

    Updated Russian translation

 help/Makefile.am |    2 +-
 help/ru/ru.po    |  123 ++++++++++
 po/ru.po         |  681 ++++++++++++++++++++++++++++--------------------------
 3 files changed, 480 insertions(+), 326 deletions(-)

commit c2d6a4ce4fd949c1d785ffaf52660c8a8c44419b
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Wed Feb 15 14:10:57 2012 +0200

    [l10n]Updated Turkish translation

 po/tr.po | 1248 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 637 insertions(+), 611 deletions(-)

commit 7070f7ed94f7fc2c446c027dab5458d1aa41b9d4
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Feb 14 18:20:00 2012 +0000

    Updated help/.gitignore

 help/.gitignore |    1 +
 1 file changed, 1 insertion(+)

commit 81e06da9fd960bb723e6f9864ec979bd4d2dfa90
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Feb 14 18:19:29 2012 +0000

    Updated data/ui/gnac.xml

 data/ui/gnac.xml |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a916b96ff4fc2a58a2e32ec84bba5b11ba104221
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Tue Feb 14 23:10:15 2012 +0530

    Updated Telugu Translation

 po/te.po |  146 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 73 insertions(+), 73 deletions(-)

commit a01887b80fe290aefdac61bfd8801cb16d5b2b0c
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Tue Feb 14 13:17:26 2012 +0100

    Updated Danish translation

 po/da.po |  676 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 347 insertions(+), 329 deletions(-)

commit fa2faa5b473f66fefdaf9042a20f463284df6da4
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 13 22:49:43 2012 +0000

    Smaller tooltip images

 src/gnac-ui.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dab7cbdfcb9837b6c6aab41d1081575b0bf829ef
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 13 22:45:57 2012 +0000

    Fixed potential memory leaks

 libgnac/libgnac-metadata.c |    2 ++
 1 file changed, 2 insertions(+)

commit 0e80fecd105dc4dcc97187e33c2fa0eb98fc5ead
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 13 22:44:25 2012 +0000

    Removed useless function

 libgnac/libgnac-metadata.c |   17 +----------------
 1 file changed, 1 insertion(+), 16 deletions(-)

commit d023487bb7c09c2dd00d738a359baa6dfeed3ac4
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Feb 13 22:41:41 2012 +0000

    Clear cached metadata when removing file from list

 libgnac/libgnac-converter.c |    2 ++
 libgnac/libgnac-metadata.c  |   18 ++++++++++++++++++
 libgnac/libgnac-metadata.h  |    7 +++++++
 3 files changed, 27 insertions(+)

commit b9116ef2747b57a06503c65c438657b2ad9a5f88
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Feb 12 19:21:40 2012 +0100

    New French doc translation

 help/Makefile.am |    2 +-
 help/fr/fr.po    |  168 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 169 insertions(+), 1 deletion(-)

commit cf3bb341364d46e446f48c1a6725b5e03dc95836
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Feb 11 17:30:21 2012 +0200

    Added Lithuanian translation

 po/LINGUAS |    1 +
 po/lt.po   | 1408 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1409 insertions(+)

commit f21101b49b57fb78a8fb068e1596c922d7c3b5af
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Feb 9 22:11:45 2012 +0000

    Updated configure.ac

 configure.ac |    1 -
 1 file changed, 1 deletion(-)

commit 0c27bbdb4e070299130af69aa39af8258d50ab48
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Feb 9 22:11:23 2012 +0000

    Code optimisation

 libgnac/libgnac-output.c                |    3 ++-
 src/gnac-options.c                      |    2 +-
 src/gnac-ui.c                           |   32 ++++++++++++++++---------------
 src/profiles/gnac-profiles-manager.c    |    8 +++++---
 src/profiles/gnac-profiles-xml-engine.c |   14 +++++++-------
 5 files changed, 32 insertions(+), 27 deletions(-)

commit ca910f59d39911bae16ea77a3ee8763f8c1d68f1
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Feb 8 14:12:12 2012 +0000

    Added British English translation

 po/LINGUAS  |    1 +
 po/en_GB.po | 1499 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1500 insertions(+)

commit 645ee01cd6501029febbedbda64c1f2f4ee30bef
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Feb 1 22:22:22 2012 +0000

    Updated GStreamer required version

 configure.ac   |    2 +-
 debian/control |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3ae8a8f8b0b1406fd6e84249266b495f233593a5
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Feb 1 22:21:45 2012 +0000

    Code refactoring

 libgnac/libgnac-media-item.c |   12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

commit 168445eb5dc7bfc5488f001630c20fe8e04f1b50
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Feb 1 22:21:11 2012 +0000

    Added support for GST_TAG_ALBUM_GAIN and GST_TAG_ALBUM_PEAK

 libgnac/libgnac-metadata-tags.h |    8 ++++++++
 1 file changed, 8 insertions(+)

commit a9bb9a35903c2cee77d0f04bd7d7e1964c9b4654
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Feb 1 00:57:24 2012 +0000

    Fixed memory leaks

 libgnac/libgnac-metadata.c |    1 +
 src/gnac-main.c            |    3 +++
 src/gnac-properties.c      |    1 +
 src/gnac-ui-utils.c        |    2 +-
 src/gnac-ui.c              |    1 +
 5 files changed, 7 insertions(+), 1 deletion(-)

commit 559def32a86214b458b6475f92cc7e9bae30d508
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 31 21:03:53 2012 +0000

    Remember last used directory

 src/gnac-ui.c |   20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 47797af73907a7d78942e7420cb49f1d65dce0cd
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 31 21:00:08 2012 +0000

    Fixed warnings

 libgnac/libgnac-metadata.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 391bba210d539a3c70ef249da45ccead55a11246
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 31 20:39:41 2012 +0000

    Fixed a memory leak

 libgnac/libgnac-metadata.c |   62 ++++++++++++++++++++++++--------------------
 1 file changed, 34 insertions(+), 28 deletions(-)

commit b55eccd17d41e7226d16414a224c4dc38cb74f69
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 31 20:29:35 2012 +0000

    Removed useless cast

 src/gnac-file-list.c                    |    4 ++--
 src/gnac-ui.c                           |    2 +-
 src/profiles/gnac-profiles-manager.c    |    6 +++---
 src/profiles/gnac-profiles-properties.c |    2 +-
 4 files changed, 7 insertions(+), 7 deletions(-)

commit 8431f3bf484a9983cbee9d21a24b3fef7e01766d
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 31 19:45:33 2012 +0000

    Used gst_object_unref instead of g_object_unref

 libgnac/libgnac-gst-utils.c |    4 ++--
 libgnac/libgnac-gst.c       |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 416878ace1f91cf2dc2456a05ba31d39dbe53ec2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jan 31 20:10:50 2012 +0100

    Updated Slovenian translation

 po/sl.po |  726 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 388 insertions(+), 338 deletions(-)

commit a0cdde88211f1a90e3f7c1355b5126897a4abddd
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 31 02:29:27 2012 +0000

    Keep 'visual errors' visible when conversion paused

 src/gnac-main.c |    2 +-
 src/gnac-main.h |    1 +
 src/gnac-ui.c   |    4 +++-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 61951dd631d563ea077672aac74c56785da044b1
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 31 02:08:40 2012 +0000

    Used GstDiscoverer to retrieve metadata

 libgnac/libgnac-metadata-tags.h |  100 ++++---
 libgnac/libgnac-metadata.c      |  597 +++++++++++++--------------------------
 src/gnac-properties.c           |    4 +-
 3 files changed, 263 insertions(+), 438 deletions(-)

commit 14c8269fb2c553f6d44f20eba8a2806e3ab20e9a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 31 02:08:20 2012 +0000

    Display remaining time in status bar

 data/ui/gnac.xml |    1 +
 1 file changed, 1 insertion(+)

commit 7d33c513d455970af016c9b3a9483210fbfb321a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Jan 29 12:31:50 2012 +0000

    Updated help/.gitignore

 help/.gitignore |    1 +
 1 file changed, 1 insertion(+)

commit 30006c53b1bccf3ed9b1fc9d1e1ad8888a20b68f
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Jan 29 12:28:23 2012 +0000

    Updated debug message

 libgnac/libgnac-gst.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bfb95144c32082335f449a7ff32f1d45bceab376
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Jan 29 12:19:10 2012 +0000

    Fixed a bug

 libgnac/libgnac-gst.c           |   22 ++++++++++++++++------
 libgnac/libgnac-gst.h           |    3 ---
 libgnac/libgnac-media-item.c    |   21 ++++++++++++++-------
 libgnac/libgnac-media-item.h    |    6 ++++++
 libgnac/libgnac-metadata-tags.h |    5 +++++
 libgnac/libgnac-metadata.c      |   16 +++++++++++-----
 6 files changed, 52 insertions(+), 21 deletions(-)

commit 6dbeb8812c6e6c0debb9ec5f5cb9f4e737f3c07f
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jan 28 23:11:36 2012 +0000

    Fixed a bug

 src/gnac-file-list.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 475e89aad41b2debe04ae068ca9a46ea8987c0f6
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jan 27 18:26:26 2012 +0000

    Code refactoring

 libgnac/libgnac-converter.c                  |    2 +-
 libgnac/libgnac-media-item.c                 |   44 +++++++++++++++-----------
 libgnac/libgnac-media-item.h                 |    4 ---
 libgnac/libgnac-metadata.c                   |    4 ++-
 libgnac/libgnac-output.c                     |   32 ++++++++++---------
 src/profiles/formats/gnac-profiles-aac.c     |    2 --
 src/profiles/formats/gnac-profiles-flac.c    |    2 --
 src/profiles/formats/gnac-profiles-lame.c    |    1 -
 src/profiles/formats/gnac-profiles-speex.c   |    1 -
 src/profiles/formats/gnac-profiles-vorbis.c  |    1 -
 src/profiles/formats/gnac-profiles-wavpack.c |    1 -
 src/profiles/gnac-profiles-utils.c           |    1 -
 12 files changed, 46 insertions(+), 49 deletions(-)

commit 19ede8af5cee1da69ff5d74e6da61407988277d6
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jan 27 17:38:04 2012 +0000

    Updated configure.ac

 configure.ac |   17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

commit 379335d939b683ee682009627922494cf8195fe6
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 26 19:23:13 2012 +0000

    Updated debian packaging files

 debian/control   |    4 ++--
 debian/copyright |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 6ad432ee438858bcc508d8f7d057eca494da0d99
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 26 19:21:19 2012 +0000

    Code hardening

 src/profiles/gnac-profiles-utils.c |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 58a7a6e474c130c3b6ec5d0d4fcf698c3f85f168
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Fri Jan 27 00:42:25 2012 +0530

    Added Telugu Translation

 help/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 934d9bdf23fc0d814d45849d643c8cf99a45bd41
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Fri Jan 27 00:41:55 2012 +0530

    Updated Telugu Translation

 help/te/te.po |  143 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 143 insertions(+)

commit 8ab5c7b64f75ae8534c17de3621617b467a1d25f
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Fri Jan 27 00:30:13 2012 +0530

    Added Telugu Translation

 po/LINGUAS |    1 +
 1 file changed, 1 insertion(+)

commit 9d20af20833d868e7d0ad1a49685437cb2dcb470
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Fri Jan 27 00:29:14 2012 +0530

    Updated Telugu Translation

 po/te.po | 1433 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1433 insertions(+)

commit cea74a13b8ae0189500983bc5c7e23e2669f7216
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jan 26 14:34:59 2012 +0100

    Updated Polish translation

 po/pl.po |  907 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 517 insertions(+), 390 deletions(-)

commit d2731bec907e5acaf8e4c414394197f34c5a3a36
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Jan 26 12:04:34 2012 +0100

    [l10n] Updated German translation

 po/de.po |  747 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 331 insertions(+), 416 deletions(-)

commit e1ed1f81f3ff5301dc27bcbc298deed9e3730ce4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 26 11:00:54 2012 +0100

    Updated Spanish translation

 po/es.po |  688 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 360 insertions(+), 328 deletions(-)

commit 21f437cfff903b7ddef2c4d115117c6d6f43a6cc
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Jan 26 09:09:36 2012 +0100

    Updated Czech translation

 po/cs.po |  723 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 315 insertions(+), 408 deletions(-)

commit 3d082f2f26bb2e72584c8b94da8657b9aa47af68
Author: Claude Paroz <claude@2xlibre.net>
Date:   Thu Jan 26 08:56:21 2012 +0100

    Updated French translation

 po/fr.po |  664 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 341 insertions(+), 323 deletions(-)

commit 8e48afbad51cb27a3178cd2b38e114bda7e2cb55
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Jan 26 02:36:29 2012 +0100

    Updated Hungarian translation

 po/hu.po |  672 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 349 insertions(+), 323 deletions(-)

commit e5dcfd378fe133865ddc143a398d957bc21cdabf
Merge: 4106904 74fd92c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 26 00:28:46 2012 +0000

    Merge branch 'devel'

commit 74fd92ca8449f0d0aa78f5d1facea3bf082c43c4
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 26 00:04:31 2012 +0000

    Fixed a bug in gnac-properties

 src/gnac-properties.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 0d7ec5e34e6540dc0078a4f2ef723f244ea7b2a4
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 26 00:00:54 2012 +0000

    Fixed a bug in gnac-file-list

 src/gnac-file-list.c  |   22 ++++++----------------
 src/gnac-file-list.h  |    8 ++------
 src/gnac-main.c       |    2 +-
 src/gnac-properties.c |    6 +++---
 4 files changed, 12 insertions(+), 26 deletions(-)

commit 9de55aa7e36be34c5ac552036af967e0e9fdb6c8
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jan 25 23:18:38 2012 +0000

    Notify 'verbose' only if 'debug' not present

 src/gnac-ui.c |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 6540bb934d2829e3aa8ee67f075453b304f08bd0
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jan 25 23:08:48 2012 +0000

    Fixed warnings

 src/profiles/gnac-profiles-manager.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3ef80af560214a3da1ef70528006aeb2e2894500
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 24 23:49:08 2012 +0000

    Ported to GTK3

 configure.ac                                     |    4 +-
 data/profiles/ui/gnac-profiles-aac.xml           |   26 ++++--
 data/profiles/ui/gnac-profiles-base-advanced.xml |   10 ++-
 data/profiles/ui/gnac-profiles-combo.xml         |   26 +++---
 data/profiles/ui/gnac-profiles-flac.xml          |   16 +++-
 data/profiles/ui/gnac-profiles-lame.xml          |   61 +++++++++----
 data/profiles/ui/gnac-profiles-manager.xml       |  103 ++++++++++------------
 data/profiles/ui/gnac-profiles-properties.xml    |   50 +++++------
 data/profiles/ui/gnac-profiles-speex.xml         |   71 +++++++++++----
 data/profiles/ui/gnac-profiles-unknown.xml       |   10 ++-
 data/profiles/ui/gnac-profiles-vorbis.xml        |   42 ++++++---
 data/profiles/ui/gnac-profiles-wav.xml           |    8 +-
 data/profiles/ui/gnac-profiles-wavpack.xml       |   42 ++++++---
 data/ui/gnac-pref-window.xml                     |   10 +--
 data/ui/gnac-properties-window.xml               |   23 -----
 data/ui/gnac.xml                                 |    2 -
 src/gnac-options.c                               |    3 +-
 src/profiles/gnac-profiles-properties.c          |    2 +-
 18 files changed, 303 insertions(+), 206 deletions(-)

commit 32b13c8e5474b99a51a487a6e1d3612e7e298f31
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jan 24 00:22:07 2012 +0000

    Removed unused functions

 src/gnac-ui.c |   52 +++++++---------------------------------------------
 src/gnac-ui.h |   39 ---------------------------------------
 2 files changed, 7 insertions(+), 84 deletions(-)

commit 4060880bbc922f2e5021a454d5a26022d0b3c3d2
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Jan 23 18:05:15 2012 +0000

    Used g_vasprintf instead of g_vsnprintf

 libgnac/libgnac-debug.c |   39 ++++++++++++++++++++++++++-------------
 1 file changed, 26 insertions(+), 13 deletions(-)

commit 05209566bdad5ab8c7dce21824accd72c2983faf
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Jan 23 18:04:38 2012 +0000

    Used gtk_label_set_text instead of gtk_label_set_markup

 src/profiles/gnac-profiles-properties.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 200a8dfc935595891f500ecb7ac011a69791d9ef
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Jan 23 18:03:57 2012 +0000

    Updated custom format description

 src/profiles/formats/gnac-profiles-unknown.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65f2d3313f4d67d9c66e22cdcf09edb790874451
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jan 21 15:55:43 2012 +0000

    Updated Makefiles

 configure.ac                 |   21 +++++----------------
 data/ui/gnac-pref-window.xml |    5 ++---
 data/ui/gnac.xml             |    9 +++------
 libgnac/Makefile.am          |    4 ++--
 libgnac/libgnac-metadata.c   |    2 +-
 src/Makefile.am              |    6 ++----
 6 files changed, 15 insertions(+), 32 deletions(-)

commit f0f37210fee85c6e07be7b52c7ec6a8170d890d7
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jan 21 15:55:08 2012 +0000

    Updated gnac.desktop.in.in

 data/gnac.desktop.in.in |    1 -
 1 file changed, 1 deletion(-)

commit 5d01a7c3572286fe822adda246b19245ccc2ed5c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jan 21 15:54:34 2012 +0000

    Replaced deprecated symbol

 src/gnac-properties.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 86f2ae9331d49c1e2f6d63190215f5ff88412c42
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jan 13 22:40:45 2012 +0000

    Updated Debian packaging files

 debian/changelog |    6 +++---
 debian/control   |    4 ++--
 debian/copyright |    7 +------
 debian/rules     |    6 ++++--
 4 files changed, 10 insertions(+), 13 deletions(-)

commit 6645d600d4bfa22f08f106ad17b2bec3261c51e7
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jan 13 22:39:51 2012 +0000

    Updated Gnac version

 configure.ac |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e212d28b8b1d9b9799d796501b5296f35d71848d
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jan 13 22:39:20 2012 +0000

    Fixed Makefile to pass distcheck

 Makefile.am |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 705bff31a434a66f11e9ee4b235ebdbcc70a5515
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 12 22:32:13 2012 +0000

    Fixed memory leaks

 libgnac/libgnac-output.c |   93 ++++++++++++++++++++++++++++------------------
 libgnac/libgnac-output.h |    6 +--
 2 files changed, 60 insertions(+), 39 deletions(-)

commit 10f036e7a849c9b2cf4f1bdbfa1af24dd38285e3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 12 22:31:25 2012 +0000

    Fixed trayicon's behaviour

 src/gnac-ui.c |   33 ++++++++++++++++++++++-----------
 1 file changed, 22 insertions(+), 11 deletions(-)

commit e43e64dde13a2c486482465e7072c6262dc1e05e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 12 22:30:24 2012 +0000

    Declared prev_state as static

 src/gnac-main.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d65a605d8ce4bb8a6a8107398d8418814e303d34
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 12 22:28:18 2012 +0000

    Fixed memory leaks

 libgnac/libgnac-converter.c |    7 +++++++
 1 file changed, 7 insertions(+)

commit cefe9c20bab85bdfd9f8b3c78f5ea95fb783bde1
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 12 22:27:59 2012 +0000

    Fixed memory leaks

 src/profiles/gnac-profiles.c |    2 ++
 1 file changed, 2 insertions(+)

commit 1c7d99d6826753911504e4b3f261b05ceda5c475
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jan 12 22:27:24 2012 +0000

    Fixed a bug and memory leaks

 src/profiles/gnac-profiles-xml-engine.c |   11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit fa9b49d4a9dddede3baff8b84c10b341731fa778
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jan 11 17:50:40 2012 +0000

    Fixed memory leaks

 libgnac/libgnac-gst.c |    6 ++++++
 1 file changed, 6 insertions(+)

commit db9cc25762638babb4b6234e08e869ecb4241ca1
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jan 11 17:50:12 2012 +0000

    Fixed a memory leak

 libgnac/libgnac-output.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 712d691a7b05254dda7adfee76854ace183ed69e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jan 11 17:49:52 2012 +0000

    Fixed a memory leak

 src/profiles/gnac-profiles-utils.c |    2 ++
 1 file changed, 2 insertions(+)

commit 3a3b442fb481d80b03b608744f9e836415d06be3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jan 11 17:48:42 2012 +0000

    Fixed trayicon's behaviour

 src/gnac-main.c |    5 ++---
 src/gnac-ui.c   |   16 ++++++++++++++--
 src/gnac-ui.h   |    3 +++
 3 files changed, 19 insertions(+), 5 deletions(-)

commit 816bff07c59d432dfe02a89f175f9091598054fd
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jan 11 17:46:38 2012 +0000

    Removed useless code

 src/gnac-file-list.c |    8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit cbfd6f1899b70862b9f25bc310032569740e7930
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jan 11 17:46:10 2012 +0000

    Fixed a warning

 src/gnac-utils.c |    1 -
 1 file changed, 1 deletion(-)

commit 23812522dcc247a8b129a62d5644c9e696ceae06
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jan 11 17:44:52 2012 +0000

    Display GStreamer pipeline box in debug mode only

 src/profiles/gnac-profiles-properties.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 793158ab6369c53cd6fdba367511aa433add3810
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Dec 30 00:49:35 2011 +0100

    Code refactoring

 src/profiles/formats/gnac-profiles-aac.c     |    9 ++-
 src/profiles/formats/gnac-profiles-flac.c    |    2 +-
 src/profiles/formats/gnac-profiles-lame.c    |   14 ++---
 src/profiles/formats/gnac-profiles-speex.c   |   16 +++--
 src/profiles/formats/gnac-profiles-vorbis.c  |    4 +-
 src/profiles/formats/gnac-profiles-wavpack.c |    6 +-
 src/profiles/gnac-profiles-utils.c           |   83 ++++++++++----------------
 src/profiles/gnac-profiles-utils.h           |   14 +----
 src/profiles/gnac-profiles-xml-engine.c      |    8 ++-
 src/profiles/gnac-profiles-xml-engine.h      |    4 +-
 10 files changed, 63 insertions(+), 97 deletions(-)

commit 73284e84f77e5545d708b388c46acbf347518997
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Dec 30 00:00:16 2011 +0100

    Code refactoring

 src/profiles/formats/gnac-profiles-aac.c     |    7 +--
 src/profiles/formats/gnac-profiles-flac.c    |    4 +-
 src/profiles/formats/gnac-profiles-lame.c    |   14 +++---
 src/profiles/formats/gnac-profiles-speex.c   |   20 ++++-----
 src/profiles/formats/gnac-profiles-vorbis.c  |    6 +--
 src/profiles/formats/gnac-profiles-wav.c     |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.c |   16 +++----
 src/profiles/gnac-profiles-utils.c           |   61 ++++++++------------------
 src/profiles/gnac-profiles-utils.h           |   10 +----
 9 files changed, 51 insertions(+), 89 deletions(-)

commit eb0e4dd120996d0853244390b874b1b08fdb8eac
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Dec 29 18:18:41 2011 +0100

    Code refactoring

 libgnac/libgnac-output.c                     |    9 +++++----
 src/profiles/formats/gnac-profiles-aac.c     |    4 ++--
 src/profiles/formats/gnac-profiles-flac.c    |    4 ++--
 src/profiles/formats/gnac-profiles-lame.c    |    4 ++--
 src/profiles/formats/gnac-profiles-speex.c   |    4 ++--
 src/profiles/formats/gnac-profiles-unknown.c |    4 ++--
 src/profiles/formats/gnac-profiles-vorbis.c  |    4 ++--
 src/profiles/formats/gnac-profiles-wav.c     |    4 ++--
 src/profiles/formats/gnac-profiles-wavpack.c |    4 ++--
 src/profiles/gnac-profiles-default.h         |    2 +-
 src/profiles/gnac-profiles-properties.c      |    4 ++--
 11 files changed, 24 insertions(+), 23 deletions(-)

commit 2871e29e046016d42a428833e9a6cd0bf62f5c9b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Dec 29 11:56:47 2011 +0100

    Code refactoring

 src/gnac-ui-utils.c                          |   11 +----
 src/gnac-ui-utils.h                          |    5 --
 src/profiles/formats/gnac-profiles-unknown.c |    5 +-
 src/profiles/formats/gnac-profiles-wav.c     |    3 +-
 src/profiles/gnac-profiles-default.c         |    5 +-
 src/profiles/gnac-profiles-manager.c         |   66 +++++++++++++-------------
 src/profiles/gnac-profiles-properties.c      |   48 ++++++++-----------
 src/profiles/gnac-profiles-properties.h      |    4 +-
 src/profiles/gnac-profiles-xml-engine.c      |   36 +++++---------
 src/profiles/gnac-profiles.c                 |    4 +-
 10 files changed, 75 insertions(+), 112 deletions(-)

commit f966c19f7cf2db51898bb7febfc75da8087839fb
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Dec 29 09:33:54 2011 +0100

    Code refactoring

 src/profiles/formats/gnac-profiles-aac.c     |    7 +-
 src/profiles/formats/gnac-profiles-flac.c    |    2 +-
 src/profiles/formats/gnac-profiles-lame.c    |    9 +-
 src/profiles/formats/gnac-profiles-speex.c   |   12 +-
 src/profiles/formats/gnac-profiles-vorbis.c  |    5 +-
 src/profiles/formats/gnac-profiles-wavpack.c |    8 +-
 src/profiles/gnac-profiles-default.c         |    2 +-
 src/profiles/gnac-profiles-utils.c           |  235 +++++++++-----------------
 src/profiles/gnac-profiles-utils.h           |    8 +-
 9 files changed, 101 insertions(+), 187 deletions(-)

commit ec632c438f4d9e7907487ad77dfb2d80024ab059
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Dec 28 18:57:55 2011 +0100

    Code refactoring

 src/profiles/formats/gnac-profiles-lame.c    |    8 +--
 src/profiles/formats/gnac-profiles-speex.c   |    4 +-
 src/profiles/formats/gnac-profiles-vorbis.c  |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.c |    2 +-
 src/profiles/gnac-profiles-utils.c           |   78 ++++++++++----------------
 src/profiles/gnac-profiles-utils.h           |    5 +-
 6 files changed, 38 insertions(+), 61 deletions(-)

commit ea08ee00f097cf18468bfc5590c2527190222cd8
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Dec 28 18:48:07 2011 +0100

    Code refactoring

 src/profiles/formats/gnac-profiles-aac.c     |   11 +-
 src/profiles/formats/gnac-profiles-flac.c    |    4 +-
 src/profiles/formats/gnac-profiles-lame.c    |   21 ++-
 src/profiles/formats/gnac-profiles-speex.c   |   24 ++-
 src/profiles/formats/gnac-profiles-vorbis.c  |   12 +-
 src/profiles/formats/gnac-profiles-wavpack.c |   23 +--
 src/profiles/gnac-profiles-default.c         |    7 +-
 src/profiles/gnac-profiles-utils.c           |  228 ++++++++++----------------
 src/profiles/gnac-profiles-utils.h           |   21 +--
 9 files changed, 135 insertions(+), 216 deletions(-)

commit 29add28d24838aa629896f364169a272955be2af
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Dec 28 17:36:53 2011 +0100

    Updated copyright date

 NEWS                                         |    6 +++---
 data/ui/gnac.xml                             |    2 +-
 debian/copyright                             |    4 ++--
 libgnac/libgnac-converter.c                  |    2 +-
 libgnac/libgnac-converter.h                  |    2 +-
 libgnac/libgnac-debug.c                      |    2 +-
 libgnac/libgnac-debug.h                      |    2 +-
 libgnac/libgnac-error.c                      |    2 +-
 libgnac/libgnac-error.h                      |    2 +-
 libgnac/libgnac-gst-utils.c                  |    2 +-
 libgnac/libgnac-gst-utils.h                  |    2 +-
 libgnac/libgnac-gst.c                        |    2 +-
 libgnac/libgnac-gst.h                        |    2 +-
 libgnac/libgnac-marshallers.c                |    2 +-
 libgnac/libgnac-marshallers.h                |    2 +-
 libgnac/libgnac-media-item.c                 |    2 +-
 libgnac/libgnac-media-item.h                 |    2 +-
 libgnac/libgnac-metadata-tags.h              |    2 +-
 libgnac/libgnac-metadata.c                   |    2 +-
 libgnac/libgnac-metadata.h                   |    2 +-
 libgnac/libgnac-output.c                     |    2 +-
 libgnac/libgnac-output.h                     |    2 +-
 libgnac/libgnac-profile.h                    |    2 +-
 src/gnac-bars.c                              |    2 +-
 src/gnac-bars.h                              |    2 +-
 src/gnac-file-list.c                         |    2 +-
 src/gnac-file-list.h                         |    2 +-
 src/gnac-main.c                              |    2 +-
 src/gnac-main.h                              |    2 +-
 src/gnac-options.c                           |    2 +-
 src/gnac-options.h                           |    2 +-
 src/gnac-playlist.c                          |    2 +-
 src/gnac-playlist.h                          |    2 +-
 src/gnac-prefs.c                             |    2 +-
 src/gnac-prefs.h                             |    2 +-
 src/gnac-properties.c                        |    2 +-
 src/gnac-properties.h                        |    2 +-
 src/gnac-settings.c                          |    2 +-
 src/gnac-settings.h                          |    2 +-
 src/gnac-stock-items.c                       |    2 +-
 src/gnac-stock-items.h                       |    2 +-
 src/gnac-ui-utils.c                          |    2 +-
 src/gnac-ui-utils.h                          |    2 +-
 src/gnac-ui.c                                |    2 +-
 src/gnac-ui.h                                |    2 +-
 src/gnac-utils.c                             |    2 +-
 src/gnac-utils.h                             |    2 +-
 src/profiles/formats/gnac-profiles-aac.c     |    2 +-
 src/profiles/formats/gnac-profiles-aac.h     |    2 +-
 src/profiles/formats/gnac-profiles-flac.c    |    2 +-
 src/profiles/formats/gnac-profiles-flac.h    |    2 +-
 src/profiles/formats/gnac-profiles-lame.c    |    2 +-
 src/profiles/formats/gnac-profiles-lame.h    |    2 +-
 src/profiles/formats/gnac-profiles-speex.c   |    2 +-
 src/profiles/formats/gnac-profiles-speex.h   |    2 +-
 src/profiles/formats/gnac-profiles-unknown.c |    2 +-
 src/profiles/formats/gnac-profiles-unknown.h |    2 +-
 src/profiles/formats/gnac-profiles-vorbis.c  |    2 +-
 src/profiles/formats/gnac-profiles-vorbis.h  |    2 +-
 src/profiles/formats/gnac-profiles-wav.c     |    2 +-
 src/profiles/formats/gnac-profiles-wav.h     |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.c |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.h |    2 +-
 src/profiles/gnac-profiles-default.c         |    2 +-
 src/profiles/gnac-profiles-default.h         |    2 +-
 src/profiles/gnac-profiles-manager.c         |    2 +-
 src/profiles/gnac-profiles-manager.h         |    2 +-
 src/profiles/gnac-profiles-properties.c      |    2 +-
 src/profiles/gnac-profiles-properties.h      |    2 +-
 src/profiles/gnac-profiles-utils.c           |    2 +-
 src/profiles/gnac-profiles-utils.h           |    2 +-
 src/profiles/gnac-profiles-xml-engine.c      |    2 +-
 src/profiles/gnac-profiles-xml-engine.h      |    2 +-
 src/profiles/gnac-profiles.c                 |    2 +-
 src/profiles/gnac-profiles.h                 |    2 +-
 75 files changed, 78 insertions(+), 78 deletions(-)

commit c12cf9d776e0e6c0299301b50bf992ed075cc87d
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Dec 28 17:22:34 2011 +0100

    Code refactoring

 configure.ac                                 |    4 +-
 libgnac/libgnac-converter.c                  |   16 +--
 libgnac/libgnac-metadata.c                   |   12 ++-
 src/profiles/formats/gnac-profiles-aac.c     |   81 +++++++-------
 src/profiles/formats/gnac-profiles-flac.c    |   60 ++++++-----
 src/profiles/formats/gnac-profiles-lame.c    |  147 ++++++++++++++------------
 src/profiles/formats/gnac-profiles-speex.c   |  145 +++++++++++++------------
 src/profiles/formats/gnac-profiles-unknown.c |   65 +++++++-----
 src/profiles/formats/gnac-profiles-vorbis.c  |   99 +++++++++--------
 src/profiles/formats/gnac-profiles-wav.c     |   37 +++----
 src/profiles/formats/gnac-profiles-wavpack.c |  123 +++++++++++----------
 src/profiles/gnac-profiles-default.c         |   86 +++++++--------
 src/profiles/gnac-profiles-default.h         |   48 ++++-----
 src/profiles/gnac-profiles-properties.c      |   14 +--
 src/profiles/gnac-profiles-properties.h      |    3 +
 src/profiles/gnac-profiles-utils.c           |  119 ++++++++++++---------
 src/profiles/gnac-profiles-utils.h           |   12 +--
 17 files changed, 568 insertions(+), 503 deletions(-)

commit 445557b4be5fc91a7c34d5b7d587056b15a0a684
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Dec 14 11:49:07 2011 +0000

    Fixed a bug

 libgnac/libgnac-converter.c |    4 +--
 libgnac/libgnac-error.c     |   24 ++++++++----------
 src/gnac-main.c             |   59 +++++++++++++++++++++++--------------------
 3 files changed, 44 insertions(+), 43 deletions(-)

commit b72f8483ff989c342feb7528143be65837ccecde
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Dec 14 01:06:38 2011 +0000

    Code refactoring

 libgnac/libgnac-converter.c |   28 ++++++++-----
 src/gnac-main.c             |   98 +++++++++++++++++++++----------------------
 src/gnac-prefs.c            |    4 +-
 src/gnac-properties.c       |   68 ++++++++++++++----------------
 src/gnac-ui.c               |   11 +++--
 src/gnac-utils.c            |   24 +++++++++++
 src/gnac-utils.h            |    3 ++
 7 files changed, 133 insertions(+), 103 deletions(-)

commit aec8b0430a9ad7595a7e68edd7b3377b749cab88
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Dec 12 17:30:52 2011 +0000

    Created gnac-settings.[ch]

 src/Makefile.am                      |    2 +
 src/gnac-main.c                      |   62 ++-------------
 src/gnac-main.h                      |   30 --------
 src/gnac-options.c                   |    1 +
 src/gnac-prefs.c                     |   32 ++++----
 src/gnac-settings.c                  |  140 ++++++++++++++++++++++++++++++++++
 src/gnac-settings.h                  |   92 ++++++++++++++++++++++
 src/gnac-ui.c                        |   22 ++----
 src/gnac-ui.h                        |    4 -
 src/profiles/gnac-profiles-manager.c |    3 +-
 src/profiles/gnac-profiles.c         |    3 +-
 11 files changed, 268 insertions(+), 123 deletions(-)

commit 86504ca194c425d6655d589116aca88c154e8b2b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Dec 10 20:23:00 2011 +0000

    Code refactoring

 src/gnac-file-list.c         |   19 ++++++++-----------
 src/gnac-stock-items.c       |    3 +--
 src/gnac-ui.c                |   20 ++++++++------------
 src/profiles/gnac-profiles.c |   18 +++++++++---------
 src/profiles/gnac-profiles.h |    3 ---
 5 files changed, 26 insertions(+), 37 deletions(-)

commit 2bb90bf4edb2a144eca65d48d17e05f26042ea05
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Dec 10 14:46:25 2011 +0000

    Code refactoring

 src/gnac-main.c  |  106 +++++++++++++++++++++++-------------------------------
 src/gnac-utils.c |    1 -
 src/gnac-utils.h |    1 +
 3 files changed, 46 insertions(+), 62 deletions(-)

commit 82f84a72a39ad8e7ef821ce3e05b98b5fe046d77
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Dec 10 14:23:26 2011 +0000

    Code refactoring

 src/gnac-main.c  |    8 +++-----
 src/gnac-utils.c |   17 +++++++++++++----
 src/gnac-utils.h |    6 +++++-
 3 files changed, 21 insertions(+), 10 deletions(-)

commit 779aaf2a5a72b5bf39d645e17bf0fb3990bc0fd6
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Dec 10 14:05:40 2011 +0000

    Code cleanup

 configure.ac                            |    2 +-
 src/gnac-file-list.c                    |    4 +-
 src/gnac-main.c                         |   75 ++++++--------
 src/gnac-options.c                      |    1 +
 src/gnac-prefs.c                        |  170 +++++++++++++++----------------
 src/gnac-prefs.h                        |    6 --
 src/gnac-properties.c                   |   17 ++--
 src/gnac-properties.h                   |    6 --
 src/gnac-ui-utils.c                     |   11 +-
 src/gnac-ui.c                           |   36 +++----
 src/gnac-ui.h                           |    4 -
 src/gnac-utils.c                        |   34 ++-----
 src/profiles/gnac-profiles-manager.c    |    9 +-
 src/profiles/gnac-profiles-properties.c |    8 +-
 src/profiles/gnac-profiles-utils.c      |   12 +--
 src/profiles/gnac-profiles.c            |   64 ++++--------
 16 files changed, 187 insertions(+), 272 deletions(-)

commit 78f55bbf6a93ea37f81b7f53f73cea6273af2f7b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Dec 7 17:33:18 2011 +0000

    Code refactoring

 data/profiles/ui/gnac-profiles-manager.xml    |  118 ++++++++++--
 data/profiles/ui/gnac-profiles-properties.xml |  173 +++++++++++------
 data/ui/gnac-pref-window.xml                  |  178 ++++++++++++------
 data/ui/gnac-properties-window.xml            |  140 ++++++++++++--
 data/ui/gnac.xml                              |   80 ++++++--
 src/gnac-file-list.c                          |  165 ++++++----------
 src/gnac-ui.c                                 |  250 +++++++++----------------
 src/gnac-ui.h                                 |    4 +
 src/profiles/gnac-profiles-manager.c          |   39 ++--
 src/profiles/gnac-profiles-manager.h          |    3 -
 src/profiles/gnac-profiles-properties.c       |   27 ++-
 src/profiles/gnac-profiles.c                  |   67 ++-----
 src/profiles/gnac-profiles.h                  |    9 +-
 13 files changed, 712 insertions(+), 541 deletions(-)

commit 59803b25b8c75f937f3f9c9e6ed6757ac4a2d772
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Dec 7 10:00:53 2011 +0000

    Code refactoring

 data/profiles/flac.xml.in                     |    8 +-
 data/profiles/speex.xml.in                    |   18 +-
 data/profiles/ui/gnac-profiles-flac.xml       |    2 +-
 data/profiles/ui/gnac-profiles-lame.xml       |    4 +
 data/profiles/ui/gnac-profiles-manager.xml    |    1 +
 data/profiles/ui/gnac-profiles-properties.xml |    3 +
 data/profiles/ui/gnac-profiles-speex.xml      |    6 +-
 data/profiles/ui/gnac-profiles-vorbis.xml     |    2 +-
 data/profiles/ui/gnac-profiles-wavpack.xml    |    3 +
 src/profiles/formats/gnac-profiles-aac.c      |    6 +-
 src/profiles/formats/gnac-profiles-flac.c     |    8 +-
 src/profiles/formats/gnac-profiles-lame.c     |   12 +-
 src/profiles/formats/gnac-profiles-speex.c    |   22 +-
 src/profiles/formats/gnac-profiles-unknown.c  |    6 +-
 src/profiles/formats/gnac-profiles-vorbis.c   |   11 +-
 src/profiles/formats/gnac-profiles-wav.c      |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.c  |   10 +-
 src/profiles/gnac-profiles-default.c          |   49 ++--
 src/profiles/gnac-profiles-default.h          |    2 +-
 src/profiles/gnac-profiles-manager.c          |  300 +++++++++++--------------
 src/profiles/gnac-profiles-properties.c       |   54 ++---
 src/profiles/gnac-profiles-utils.c            |  144 +++---------
 src/profiles/gnac-profiles-utils.h            |   17 +-
 src/profiles/gnac-profiles-xml-engine.c       |   34 +++
 src/profiles/gnac-profiles-xml-engine.h       |   12 +
 src/profiles/gnac-profiles.c                  |   12 +-
 26 files changed, 308 insertions(+), 440 deletions(-)

commit 948b9c1f74a3b364c1a94f8d933fc8a5c99f8cdb
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 25 23:32:37 2011 +0000

    Added helper functions

 src/gnac-bars.c                         |   35 +++++-----------
 src/gnac-prefs.c                        |   12 +-----
 src/gnac-properties.c                   |    4 +-
 src/gnac-ui-utils.c                     |   69 ++++++++++++++++++++++++++++++-
 src/gnac-ui-utils.h                     |   28 +++++++++++++
 src/gnac-ui.c                           |   64 +++++++++++++++++-----------
 src/gnac-ui.h                           |   18 +++++++-
 src/profiles/gnac-profiles-manager.c    |    7 ++--
 src/profiles/gnac-profiles-properties.c |    3 +-
 src/profiles/gnac-profiles-utils.c      |    7 +---
 10 files changed, 172 insertions(+), 75 deletions(-)

commit ad720754647403310d137da47047868d68fdcbc8
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 25 21:05:12 2011 +0000

    Code refactoring

 data/profiles/aac.xml.in                     |   12 +-
 data/profiles/base.xml.in                    |    6 +-
 data/profiles/flac.xml.in                    |    3 +-
 data/profiles/mp3-lame.xml.in                |   27 +-
 data/profiles/speex.xml.in                   |   30 +-
 data/profiles/ui/gnac-profiles-manager.xml   |    3 +
 data/profiles/vorbis.xml.in                  |   15 +-
 data/profiles/wavpack.xml.in                 |   21 +-
 src/profiles/formats/gnac-profiles-aac.c     |  112 ++---
 src/profiles/formats/gnac-profiles-flac.c    |  124 ++----
 src/profiles/formats/gnac-profiles-lame.c    |  271 +++++-------
 src/profiles/formats/gnac-profiles-speex.c   |  325 ++++++--------
 src/profiles/formats/gnac-profiles-unknown.c |  121 ++----
 src/profiles/formats/gnac-profiles-vorbis.c  |  185 +++-----
 src/profiles/formats/gnac-profiles-wav.c     |   93 ++--
 src/profiles/formats/gnac-profiles-wavpack.c |  269 +++++-------
 src/profiles/gnac-profiles-default.c         |   48 +--
 src/profiles/gnac-profiles-properties.c      |  190 ++++-----
 src/profiles/gnac-profiles-utils.c           |  311 +++++---------
 src/profiles/gnac-profiles-utils.h           |   28 +-
 src/profiles/gnac-profiles-xml-engine.c      |  586 ++++++++++++--------------
 src/profiles/gnac-profiles-xml-engine.h      |   39 +-
 src/profiles/gnac-profiles.c                 |  103 ++---
 23 files changed, 1101 insertions(+), 1821 deletions(-)

commit f7bae69a4c628645ff62b7d9c0e74c206ba5dec9
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Nov 19 00:48:50 2011 +0000

    Code cleanup

 libgnac/libgnac-converter.c  |  359 +++++++++++++++++-------------------------
 libgnac/libgnac-error.c      |   45 +++---
 libgnac/libgnac-gst-utils.c  |   45 ++----
 libgnac/libgnac-gst.c        |  233 ++++++++++++---------------
 libgnac/libgnac-media-item.c |   45 +++---
 libgnac/libgnac-metadata.c   |  347 ++++++++++++++++------------------------
 libgnac/libgnac-output.c     |  223 +++++++++++---------------
 7 files changed, 530 insertions(+), 767 deletions(-)

commit 5554a21ac1c6065cd9089eac433e4be1bbd9564c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 18 22:24:36 2011 +0000

    Code refactoring

 data/profiles/ui/gnac-profiles-manager.xml |    2 +
 data/ui/gnac-properties-window.xml         |    1 +
 data/ui/gnac.xml                           |    2 +-
 src/gnac-file-list.c                       |   14 +-
 src/gnac-main.c                            |  216 ++++++--------
 src/gnac-prefs.c                           |   62 ++--
 src/gnac-properties.c                      |   78 ++---
 src/gnac-stock-items.c                     |    9 +-
 src/gnac-ui.c                              |   33 ++-
 src/profiles/gnac-profiles-default.c       |    2 +-
 src/profiles/gnac-profiles-manager.c       |  432 +++++++++++-----------------
 src/profiles/gnac-profiles-properties.c    |   80 ++----
 src/profiles/gnac-profiles-utils.h         |    3 +
 src/profiles/gnac-profiles-xml-engine.c    |   18 +-
 src/profiles/gnac-profiles.c               |    2 +-
 15 files changed, 392 insertions(+), 562 deletions(-)

commit 270f18b93023c54d53599eb912257ea5f503247d
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 18 22:21:46 2011 +0000

    Cleaned gnac-playlist.[ch]

 src/gnac-playlist.c |  140 +++++++++++++++++++++++----------------------------
 src/gnac-playlist.h |   10 +---
 2 files changed, 65 insertions(+), 85 deletions(-)

commit b1c32103605535989f22151b3d155487f45f059e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 18 21:20:56 2011 +0000

    Cleaned gnac-bars.[ch]

 src/gnac-bars.c |  128 ++++++++++++++++++++++---------------------------------
 src/gnac-bars.h |   14 ++----
 2 files changed, 54 insertions(+), 88 deletions(-)

commit 4ea93e2e43217bb0fb61c7d2268699cf8061fdb0
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 18 11:49:06 2011 +0000

    Added gnac-ui-utils.[ch]

 po/POTFILES.in                               |    1 +
 src/Makefile.am                              |    2 +
 src/gnac-file-list.c                         |    5 +-
 src/gnac-prefs.c                             |   14 +-
 src/gnac-properties.c                        |    7 +-
 src/gnac-ui-utils.c                          |  192 ++++++++++++++++++++++++++
 src/gnac-ui-utils.h                          |   79 +++++++++++
 src/gnac-ui.c                                |    9 +-
 src/gnac-utils.c                             |  178 +-----------------------
 src/gnac-utils.h                             |   46 +-----
 src/profiles/formats/gnac-profiles-unknown.c |    3 +-
 src/profiles/gnac-profiles-default.c         |    4 +-
 src/profiles/gnac-profiles-manager.c         |    7 +-
 src/profiles/gnac-profiles-properties.c      |    7 +-
 src/profiles/gnac-profiles-utils.c           |    5 +-
 15 files changed, 313 insertions(+), 246 deletions(-)

commit 9e15da43bea71923a79549dddabe7a7b93ca4858
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 18 00:43:05 2011 +0000

    Code cleanup

 src/gnac-main.c                      |    5 +-
 src/gnac-ui.c                        |  165 ++++++++++++++--------------------
 src/gnac-ui.h                        |    2 +-
 src/profiles/gnac-profiles-manager.c |   16 ++--
 4 files changed, 80 insertions(+), 108 deletions(-)

commit a7d995f9347a6759ca487ff3c2428df3a7cf59d9
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Nov 17 23:04:07 2011 +0000

    Code refactoring

 data/ui/gnac.xml |    3 +
 src/gnac-ui.c    |  178 +++++++++++++++++++++++-------------------------------
 src/gnac-ui.h    |    4 +-
 3 files changed, 79 insertions(+), 106 deletions(-)

commit dd52624ff96760ee0b14beace3973df91b8fb764
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Nov 16 17:45:38 2011 +0000

    Code cleanup

 libgnac/libgnac-converter.c          |  322 ++++++++++++++--------------------
 libgnac/libgnac-gst-utils.c          |   31 ++--
 libgnac/libgnac-gst.c                |   19 +-
 libgnac/libgnac-metadata.c           |  120 ++++++-------
 src/gnac-main.c                      |   91 +++++-----
 src/gnac-playlist.c                  |    3 +
 src/gnac-utils.c                     |    2 +
 src/profiles/gnac-profiles-manager.c |   11 +-
 8 files changed, 260 insertions(+), 339 deletions(-)

commit d1aec0da7c64780c7a9ee4c5bcf26b99eb5444ea
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Nov 16 15:41:24 2011 +0000

    Code refactoring

 src/gnac-playlist.c                     |    3 +-
 src/profiles/gnac-profiles-default.c    |    4 +-
 src/profiles/gnac-profiles-manager.c    |  221 +++++++++++++++++--------------
 src/profiles/gnac-profiles-properties.c |   12 +-
 src/profiles/gnac-profiles-properties.h |    3 +-
 src/profiles/gnac-profiles.c            |    2 +-
 6 files changed, 134 insertions(+), 111 deletions(-)

commit 61c5832d73f0260cecee5529d263fe176c036786
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Nov 15 16:47:51 2011 +0000

    Code cleanup

 src/profiles/gnac-profiles-utils.c |   54 ++++++++++++++++++++++--------------
 1 file changed, 33 insertions(+), 21 deletions(-)

commit 2e4356ab45d5c1770fb53fe1ae3adf3773fa63b3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Nov 15 16:36:14 2011 +0000

    Code refactoring

 src/profiles/formats/gnac-profiles-aac.c     |    3 +-
 src/profiles/formats/gnac-profiles-flac.c    |    3 +-
 src/profiles/formats/gnac-profiles-lame.c    |    3 +-
 src/profiles/formats/gnac-profiles-speex.c   |    3 +-
 src/profiles/formats/gnac-profiles-vorbis.c  |    3 +-
 src/profiles/formats/gnac-profiles-wav.c     |    3 +-
 src/profiles/formats/gnac-profiles-wavpack.c |    3 +-
 src/profiles/gnac-profiles-default.c         |    3 +-
 src/profiles/gnac-profiles-default.h         |    3 +-
 src/profiles/gnac-profiles-utils.c           |  144 +++++++++-----------------
 src/profiles/gnac-profiles-utils.h           |   26 -----
 11 files changed, 59 insertions(+), 138 deletions(-)

commit a3c01dbf1089d26b7ef0c8885bfcd1066d8dbe5a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Nov 15 15:57:55 2011 +0000

    Code cleanup

 src/profiles/formats/gnac-profiles-speex.c |    1 -
 1 file changed, 1 deletion(-)

commit 5ac791269d7453001ef1d76139a34825c0bbbf87
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Nov 15 15:56:32 2011 +0000

    Fixed a bug

 data/profiles/ui/gnac-profiles-properties.xml |    1 +
 1 file changed, 1 insertion(+)

commit 245b9b59060cf7d95ca6d9dfd4d5d6899caf8276
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Nov 15 15:22:12 2011 +0000

    Code refactoring

 data/profiles/ui/gnac-profiles-speex.xml     |    2 +-
 src/profiles/formats/gnac-profiles-aac.c     |    4 -
 src/profiles/formats/gnac-profiles-flac.c    |    1 -
 src/profiles/formats/gnac-profiles-lame.c    |   10 --
 src/profiles/formats/gnac-profiles-speex.c   |   12 +-
 src/profiles/formats/gnac-profiles-speex.h   |    4 +
 src/profiles/formats/gnac-profiles-vorbis.c  |    5 -
 src/profiles/formats/gnac-profiles-wavpack.c |    7 --
 src/profiles/gnac-profiles-default.c         |    4 +-
 src/profiles/gnac-profiles-utils.c           |  155 ++++++++++++--------------
 src/profiles/gnac-profiles-utils.h           |   32 +-----
 11 files changed, 79 insertions(+), 157 deletions(-)

commit 048b498e09ace69c5a4b8b8062976cbbc379ea80
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Nov 15 14:54:24 2011 +0000

    Used gtkbuilder to connect value-changed signals

 data/profiles/ui/gnac-profiles-flac.xml    |    1 +
 data/profiles/ui/gnac-profiles-lame.xml    |    4 ++++
 data/profiles/ui/gnac-profiles-speex.xml   |    5 +++++
 data/profiles/ui/gnac-profiles-vorbis.xml  |    1 +
 data/profiles/ui/gnac-profiles-wavpack.xml |    3 +++
 src/profiles/formats/gnac-profiles-flac.c  |    5 +----
 src/profiles/formats/gnac-profiles-flac.h  |    3 +++
 src/profiles/gnac-profiles-utils.c         |    1 -
 8 files changed, 18 insertions(+), 5 deletions(-)

commit ac796ae4d2c09a44bf0610be4340c2c3a4d04da5
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Nov 15 14:40:06 2011 +0000

    Used gtkbuilder to connect changed signals

 data/profiles/ui/gnac-profiles-aac.xml       |    3 +++
 data/profiles/ui/gnac-profiles-lame.xml      |    6 ++++++
 data/profiles/ui/gnac-profiles-speex.xml     |    2 ++
 data/profiles/ui/gnac-profiles-vorbis.xml    |    4 ++++
 data/profiles/ui/gnac-profiles-wavpack.xml   |    3 +++
 src/profiles/formats/gnac-profiles-lame.c    |    7 ++-----
 src/profiles/formats/gnac-profiles-lame.h    |    7 +++++++
 src/profiles/formats/gnac-profiles-vorbis.c  |    7 ++-----
 src/profiles/formats/gnac-profiles-vorbis.h  |    7 +++++++
 src/profiles/formats/gnac-profiles-wavpack.c |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.h |    4 ++++
 src/profiles/gnac-profiles-utils.c           |    5 ++++-
 12 files changed, 45 insertions(+), 12 deletions(-)

commit 4e6d814ec22f0c30066536eee161310aa5840b5b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Nov 7 22:49:44 2011 +0000

    Used gtkbuilder to connect toggled signals

 data/profiles/ui/gnac-profiles-aac.xml       |    1 +
 data/profiles/ui/gnac-profiles-speex.xml     |    2 ++
 data/profiles/ui/gnac-profiles-wavpack.xml   |    1 +
 src/profiles/formats/gnac-profiles-aac.c     |    5 +----
 src/profiles/formats/gnac-profiles-aac.h     |    3 +++
 src/profiles/formats/gnac-profiles-speex.c   |    7 +++----
 src/profiles/formats/gnac-profiles-speex.h   |    3 +++
 src/profiles/formats/gnac-profiles-wavpack.c |    5 +----
 src/profiles/formats/gnac-profiles-wavpack.h |    3 +++
 src/profiles/gnac-profiles-utils.c           |    1 -
 10 files changed, 18 insertions(+), 13 deletions(-)

commit db0340dd9d13f3fa13647c93c3bcdd3874eef799
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 4 23:44:06 2011 +0000

    Used gtkbuilder to connect toggled signals

 data/profiles/ui/gnac-profiles-lame.xml      |    3 ++
 data/profiles/ui/gnac-profiles-speex.xml     |    3 ++
 data/profiles/ui/gnac-profiles-vorbis.xml    |    2 ++
 data/profiles/ui/gnac-profiles-wavpack.xml   |    2 ++
 src/profiles/formats/gnac-profiles-lame.c    |   24 +++-------------
 src/profiles/formats/gnac-profiles-lame.h    |    4 +++
 src/profiles/formats/gnac-profiles-speex.c   |   25 ++++-------------
 src/profiles/formats/gnac-profiles-speex.h   |    8 ++++++
 src/profiles/formats/gnac-profiles-vorbis.c  |   20 +++-----------
 src/profiles/formats/gnac-profiles-vorbis.h  |    4 +++
 src/profiles/formats/gnac-profiles-wavpack.c |   38 ++++++++------------------
 src/profiles/formats/gnac-profiles-wavpack.h |    8 ++++++
 src/profiles/gnac-profiles-utils.c           |   13 ---------
 src/profiles/gnac-profiles-utils.h           |    6 ----
 14 files changed, 59 insertions(+), 101 deletions(-)

commit 6009d028dc671cc0b54d0a8b80ffaf2adcabc5d2
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 4 16:45:58 2011 +0000

    Code refactoring

 src/profiles/formats/gnac-profiles-aac.c     |    4 ++--
 src/profiles/formats/gnac-profiles-flac.c    |    4 ++--
 src/profiles/formats/gnac-profiles-lame.c    |   21 +++++++++++++--------
 src/profiles/formats/gnac-profiles-speex.c   |   21 +++++++++++++--------
 src/profiles/formats/gnac-profiles-unknown.c |    4 ++--
 src/profiles/formats/gnac-profiles-vorbis.c  |   21 +++++++++++++--------
 src/profiles/formats/gnac-profiles-wav.c     |    4 ++--
 src/profiles/formats/gnac-profiles-wavpack.c |   23 ++++++++++++++---------
 src/profiles/gnac-profiles-default.h         |    2 +-
 src/profiles/gnac-profiles-properties.c      |    4 ++--
 10 files changed, 64 insertions(+), 44 deletions(-)

commit eac751797efa916d2f99f0e9cb63aa4ab6f5c041
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 4 16:16:33 2011 +0000

    Code refactoring

 src/profiles/formats/gnac-profiles-lame.c    |  110 ++++++++++++++++++++------
 src/profiles/formats/gnac-profiles-speex.c   |   89 +++++++++++----------
 src/profiles/formats/gnac-profiles-vorbis.c  |   59 +++++++++-----
 src/profiles/formats/gnac-profiles-wavpack.c |   48 +++++++----
 4 files changed, 204 insertions(+), 102 deletions(-)

commit 41da3aa0cbe748bb296e40488a0fc0c7c1b587c1
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 4 13:15:30 2011 +0000

    Code cleanup

 src/gnac-utils.c                             |    2 +-
 src/profiles/formats/gnac-profiles-aac.c     |   23 ++---
 src/profiles/formats/gnac-profiles-flac.c    |   23 ++---
 src/profiles/formats/gnac-profiles-lame.c    |  109 +++++++++++------------
 src/profiles/formats/gnac-profiles-speex.c   |  122 ++++++++++++++------------
 src/profiles/formats/gnac-profiles-unknown.c |   32 ++++---
 src/profiles/formats/gnac-profiles-vorbis.c  |   48 +++++-----
 src/profiles/formats/gnac-profiles-wav.c     |    9 +-
 src/profiles/formats/gnac-profiles-wavpack.c |   64 ++++++--------
 9 files changed, 217 insertions(+), 215 deletions(-)

commit ca411bf58a7069bd198f46702d7485e439dbf425
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Nov 3 15:07:35 2011 +0000

    Code cleanup

 src/gnac-utils.c                        |   13 +-
 src/profiles/gnac-profiles-default.c    |   78 +++---
 src/profiles/gnac-profiles-manager.c    |  413 +++++++++++++++--------------
 src/profiles/gnac-profiles-properties.c |  220 +++++++++-------
 src/profiles/gnac-profiles-utils.c      |  308 ++++++++++++----------
 src/profiles/gnac-profiles-xml-engine.c |  435 ++++++++++++++++---------------
 src/profiles/gnac-profiles.c            |   21 +-
 7 files changed, 797 insertions(+), 691 deletions(-)

commit 9bfdf31a23b514aef924b45be7b947a160c43891
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Nov 2 14:11:48 2011 +0000

    Updated POTFILES.in

 po/POTFILES.in |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 2c411b76e746d8a4fab22a3e29d5c675dc6d8845
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Nov 2 13:21:52 2011 +0000

    Code refactoring

 data/profiles/ui/gnac-profiles-manager.xml    |    1 -
 data/profiles/ui/gnac-profiles-properties.xml |    2 +
 data/profiles/ui/gnac-profiles-unknown.xml    |    1 +
 src/gnac-file-list.c                          |    6 +-
 src/gnac-main.c                               |    1 -
 src/gnac-ui.c                                 |   58 +++--
 src/gnac-utils.c                              |   16 ++
 src/gnac-utils.h                              |    8 +
 src/profiles/formats/gnac-profiles-aac.c      |   83 +++++--
 src/profiles/formats/gnac-profiles-aac.h      |   48 ----
 src/profiles/formats/gnac-profiles-flac.c     |   77 +++++--
 src/profiles/formats/gnac-profiles-flac.h     |   45 ----
 src/profiles/formats/gnac-profiles-lame.c     |  219 ++++++++++++-------
 src/profiles/formats/gnac-profiles-lame.h     |   54 -----
 src/profiles/formats/gnac-profiles-speex.c    |  271 +++++++++++++++--------
 src/profiles/formats/gnac-profiles-speex.h    |   52 -----
 src/profiles/formats/gnac-profiles-unknown.c  |  150 +++++++------
 src/profiles/formats/gnac-profiles-unknown.h  |   41 +---
 src/profiles/formats/gnac-profiles-vorbis.c   |  157 +++++++++-----
 src/profiles/formats/gnac-profiles-vorbis.h   |   48 ----
 src/profiles/formats/gnac-profiles-wav.c      |   69 ++++--
 src/profiles/formats/gnac-profiles-wav.h      |   37 ----
 src/profiles/formats/gnac-profiles-wavpack.c  |  179 +++++++++------
 src/profiles/formats/gnac-profiles-wavpack.h  |   50 -----
 src/profiles/gnac-profiles-default.c          |   41 ++--
 src/profiles/gnac-profiles-default.h          |    3 +-
 src/profiles/gnac-profiles-manager.c          |  246 ++++++++++-----------
 src/profiles/gnac-profiles-manager.h          |   12 +-
 src/profiles/gnac-profiles-properties.c       |  187 ++++++++--------
 src/profiles/gnac-profiles-properties.h       |    6 +-
 src/profiles/gnac-profiles-utils.c            |  170 ++++++++-------
 src/profiles/gnac-profiles-utils.h            |   15 +-
 src/profiles/gnac-profiles-xml-engine.c       |  289 ++++++++++++++-----------
 src/profiles/gnac-profiles.c                  |  160 ++++++--------
 src/profiles/gnac-profiles.h                  |    3 +
 35 files changed, 1415 insertions(+), 1390 deletions(-)

commit 75095a522ca1f70b6a3bb0a7fddd407ced1a6fa5
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Oct 30 14:05:17 2011 +0000

    Code refactoring

 data/profiles/ui/gnac-profiles-manager.xml |    2 -
 data/ui/gnac-pref-window.xml               |    2 +-
 data/ui/gnac-properties-window.xml         |    6 +-
 src/gnac-file-list.c                       |    1 -
 src/gnac-prefs.c                           |    8 +-
 src/gnac-prefs.h                           |    2 +-
 src/gnac-properties.c                      |   12 +-
 src/gnac-properties.h                      |   16 +-
 src/gnac-ui.c                              |    8 +-
 src/gnac-utils.c                           |   22 +++
 src/gnac-utils.h                           |   12 ++
 src/profiles/gnac-profiles-manager.c       |   44 +-----
 src/profiles/gnac-profiles-manager.h       |   11 --
 src/profiles/gnac-profiles-properties.c    |  230 ++++++++++++++--------------
 src/profiles/gnac-profiles-utils.c         |   20 +--
 src/profiles/gnac-profiles-xml-engine.c    |   10 +-
 16 files changed, 193 insertions(+), 213 deletions(-)

commit 79bd81f998cb7815be066d3cb4fdd453a982f1a8
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Oct 30 12:18:47 2011 +0000

    Code refactoring

 src/gnac-properties.c |  118 ++++++++++++++++++-------------------------------
 src/gnac-properties.h |    3 --
 2 files changed, 43 insertions(+), 78 deletions(-)

commit f271cbca9b9c832a4810d256d718b276eb8f7955
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Oct 30 11:41:22 2011 +0000

    Code refactoring

 src/gnac-prefs.c                     |    4 +
 src/gnac-properties.c                |  370 ++++++++++++++++++++--------------
 src/gnac-utils.c                     |    7 +
 src/gnac-utils.h                     |    3 +
 src/profiles/gnac-profiles-manager.c |    2 +-
 5 files changed, 229 insertions(+), 157 deletions(-)

commit 0958ba83949dc35042a015606ffb11eccd165412
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Oct 30 10:11:15 2011 +0000

    Code cleanup

 src/gnac-prefs.c |   36 ++++++++++++++++++++----------------
 1 file changed, 20 insertions(+), 16 deletions(-)

commit 0182253c693fb2cc4229a28c56d325c1d2420c43
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Oct 29 01:46:15 2011 +0100

    Code cleanup

 src/gnac-file-list.c |   46 ++++++++++++++++++++--------------------------
 1 file changed, 20 insertions(+), 26 deletions(-)

commit 9cc3aa20661e9b2d7c83fa66c940e9d0bb7cd1c7
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Oct 29 01:34:22 2011 +0100

    Code cleanup

 src/gnac-file-list.c |  320 +++++++++++++++++---------------------------------
 src/gnac-file-list.h |    9 --
 2 files changed, 110 insertions(+), 219 deletions(-)

commit d165d01721a082a7154d6a991702acba3e09fa29
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Oct 28 14:18:14 2011 +0100

    Code cleanup

 src/gnac-ui.c |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 8160e2b0cc9b76d70ad0bc9def56bf60d3a7c557
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Oct 28 13:14:19 2011 +0100

    Fixed warnings

 src/gnac-properties.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ce4ff31364b372a08c623d6a3bf41e2e31ae1117
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Oct 27 15:57:35 2011 +0100

    Fixed warnings

 src/profiles/gnac-profiles-manager.c |   23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit eff20533f396d974d6074f9e243fe1488b63929e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Oct 23 14:15:57 2011 +0100

    Fixed warnings

 src/profiles/formats/gnac-profiles-unknown.c |    1 +
 src/profiles/gnac-profiles-utils.c           |    1 +
 src/profiles/gnac-profiles-xml-engine.c      |    1 +
 src/profiles/gnac-profiles.c                 |    1 +
 4 files changed, 4 insertions(+)

commit 142f551c6c5de3c4c1f0b3498013e9654a68c89d
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Oct 23 14:12:28 2011 +0100

    Code refactoring

 src/gnac-prefs.c                             |   18 ++++++------------
 src/gnac-utils.c                             |    7 +++++++
 src/gnac-utils.h                             |    3 +++
 src/profiles/formats/gnac-profiles-unknown.c |    2 +-
 src/profiles/gnac-profiles-properties.c      |    2 +-
 src/profiles/gnac-profiles-utils.c           |    2 +-
 src/profiles/gnac-profiles-xml-engine.c      |    2 +-
 src/profiles/gnac-profiles.c                 |    7 +++----
 8 files changed, 23 insertions(+), 20 deletions(-)

commit 44267555c93b4e41fbe25e312e04c3ea4afecf54
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Oct 23 11:56:31 2011 +0100

    Updated po/POTFILES.in

 po/POTFILES.in |    1 +
 1 file changed, 1 insertion(+)

commit 2343787e7c03ea52920244395f3391a63c7ab71f
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Oct 23 11:37:59 2011 +0100

    Code refactoring

 src/gnac-main.c                         |    3 +-
 src/gnac-prefs.c                        |  342 ++++++++++++++-----------------
 src/gnac-properties.c                   |   37 ++--
 src/gnac-ui.c                           |   29 +--
 src/gnac-utils.c                        |   24 ++-
 src/gnac-utils.h                        |    9 +
 src/profiles/gnac-profiles-manager.c    |  145 +++++--------
 src/profiles/gnac-profiles-properties.c |  105 ++++------
 8 files changed, 299 insertions(+), 395 deletions(-)

commit f7458274faf8b64754110707fbc7166369edef0e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Oct 22 20:03:24 2011 +0100

    Code cleanup

 libgnac/libgnac-converter.c             |   29 +++++----------------
 libgnac/libgnac-debug.c                 |   34 ++++++++++++-------------
 src/profiles/gnac-profiles-utils.c      |   42 +++++++++++++++++--------------
 src/profiles/gnac-profiles-xml-engine.c |    8 +++---
 4 files changed, 50 insertions(+), 63 deletions(-)

commit 82dad8fe3ec681b7b92dfa458c78c1e4ef43c672
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Oct 22 19:29:55 2011 +0100

    Code refactoring

 libgnac/libgnac-converter.c |   84 +++----------------------------------------
 libgnac/libgnac-converter.h |   18 ++++++++++
 libgnac/libgnac-error.c     |   79 ++++++++++++++++++++++++++++++++++++++++
 libgnac/libgnac-error.h     |    5 +++
 libgnac/libgnac-output.c    |   18 ++++++++++
 libgnac/libgnac-output.h    |    4 +++
 6 files changed, 128 insertions(+), 80 deletions(-)

commit d0c29fa7205af446351468634dcc56a6ebf50e65
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Oct 22 18:23:42 2011 +0100

    Code cleanup

 libgnac/libgnac-error.c      |   32 +++++++++++++++++++++++-----
 libgnac/libgnac-error.h      |    5 +++++
 libgnac/libgnac-media-item.c |   48 ++++++++++++++++++------------------------
 libgnac/libgnac-media-item.h |    1 +
 4 files changed, 54 insertions(+), 32 deletions(-)

commit 6662c60ff3b63cad36261e4c5caab1ee36c6a8d0
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Oct 22 17:43:33 2011 +0100

    Code cleanup

 src/profiles/formats/gnac-profiles-aac.c     |   10 ++++----
 src/profiles/formats/gnac-profiles-flac.c    |    2 +-
 src/profiles/formats/gnac-profiles-lame.c    |   20 ++++++++--------
 src/profiles/formats/gnac-profiles-speex.c   |    8 +++----
 src/profiles/formats/gnac-profiles-unknown.c |    4 ++--
 src/profiles/formats/gnac-profiles-vorbis.c  |    8 +++----
 src/profiles/formats/gnac-profiles-wav.c     |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.c |   12 +++++-----
 src/profiles/gnac-profiles-utils.c           |   32 +++++++++++++-------------
 src/profiles/gnac-profiles.c                 |    2 +-
 10 files changed, 50 insertions(+), 50 deletions(-)

commit feec725a2d8e3988ee59a587db53ad15f5e197a9
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Oct 22 12:58:49 2011 +0100

    Fixed a bug

 src/profiles/gnac-profiles-manager.c    |    5 +----
 src/profiles/gnac-profiles-properties.c |    7 ++++---
 2 files changed, 5 insertions(+), 7 deletions(-)

commit b05ed9d83abc4ba8dd54a8d84c99f52b3b779c3c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Oct 21 21:32:57 2011 +0100

    Code cleanup

 data/profiles/ui/gnac-profiles-aac.xml           |    6 +-
 data/profiles/ui/gnac-profiles-base-advanced.xml |    4 +-
 data/profiles/ui/gnac-profiles-combo.xml         |    2 +-
 data/profiles/ui/gnac-profiles-lame.xml          |   12 +-
 data/profiles/ui/gnac-profiles-speex.xml         |    4 +-
 data/profiles/ui/gnac-profiles-vorbis.xml        |    8 +-
 data/profiles/ui/gnac-profiles-wavpack.xml       |    6 +-
 data/ui/gnac.xml                                 |    1 +
 libgnac/libgnac-converter.c                      |   34 +--
 libgnac/libgnac-debug.c                          |   22 +-
 libgnac/libgnac-error.c                          |    8 +-
 libgnac/libgnac-gst-utils.c                      |    2 +-
 libgnac/libgnac-gst.c                            |   93 +------
 libgnac/libgnac-media-item.c                     |   24 +-
 libgnac/libgnac-media-item.h                     |    2 -
 libgnac/libgnac-metadata.c                       |    9 +-
 libgnac/libgnac-output.c                         |   17 +-
 libgnac/libgnac-output.h                         |    5 -
 src/gnac-bars.c                                  |    5 +-
 src/gnac-file-list.c                             |  153 ++----------
 src/gnac-file-list.h                             |    2 +-
 src/gnac-main.c                                  |   90 ++-----
 src/gnac-main.h                                  |   15 +-
 src/gnac-options.c                               |    4 +-
 src/gnac-options.h                               |    3 -
 src/gnac-playlist.c                              |    8 +-
 src/gnac-prefs.c                                 |   14 +-
 src/gnac-properties.c                            |   75 +++---
 src/gnac-stock-items.c                           |    4 +-
 src/gnac-ui.c                                    |   72 ++----
 src/gnac-ui.h                                    |    5 +
 src/gnac-utils.c                                 |   65 ++++-
 src/gnac-utils.h                                 |    9 +
 src/profiles/formats/gnac-profiles-unknown.c     |    3 -
 src/profiles/gnac-profiles-default.h             |    1 -
 src/profiles/gnac-profiles-manager.c             |   11 +-
 src/profiles/gnac-profiles-manager.h             |    3 -
 src/profiles/gnac-profiles-properties.c          |  286 +++-------------------
 src/profiles/gnac-profiles-properties.h          |    2 -
 src/profiles/gnac-profiles-utils.c               |   25 +-
 src/profiles/gnac-profiles-xml-engine.c          |    3 +-
 41 files changed, 294 insertions(+), 823 deletions(-)

commit 4106904615f9973224744ae238db296f2936b1a8
Author: Mateusz Kacprzak <mateusz.kacprzak@yandex.ru>
Date:   Mon Oct 17 13:48:13 2011 +0200

    Added Polish translation

 po/LINGUAS |    1 +
 po/pl.po   | 1395 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1396 insertions(+)

commit fe9fe7444cbec12f8f51df01d899f942cb01b916
Author: Fran Dieguez <fran@openhost.es>
Date:   Sun Sep 25 13:29:36 2011 +0200

    Updated Galician translations

 po/gl.po |  538 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 335 insertions(+), 203 deletions(-)

commit 0ceb4e95a57b9bbdb3e5b082b46a7f0d5f4de3bc
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   Thu Sep 15 16:27:38 2011 +0200

    Updated Spanish translation

 po/es.po |   46 ++++------------------------------------------
 1 file changed, 4 insertions(+), 42 deletions(-)

commit 4241039413900395f07bf1b32c4727126fab5124
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 7 20:54:53 2011 +0100

    Updated GtkBuilder XML files

 data/ui/gnac-pref-window.xml       |   15 ++++-----------
 data/ui/gnac-properties-window.xml |   11 ++++++++---
 2 files changed, 12 insertions(+), 14 deletions(-)

commit daa0064c5f30c2c78652756fe10aa6c8987b63eb
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 5 14:48:30 2011 +0100

    Updated help/.gitignore

 help/.gitignore |    1 +
 1 file changed, 1 insertion(+)

commit 1675841bdbc96f8b965a0e44e1e8afbd185aafeb
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 5 12:21:08 2011 +0100

    Updated man page

 man/gnac.1 |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df52d7e01bab2b75ce0373cb412bd7ab8b1aa781
Merge: 8311d80 c5d26fe
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 5 10:20:00 2011 +0100

    Merge branch 'master' into devel

commit c5d26fe2cefed73942b0e1ae3d7142c096f024eb
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 5 10:19:24 2011 +0100

    Updated Debian packaging files

 debian/changelog |    6 +++---
 debian/control   |    4 ++--
 debian/copyright |    4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 6aada12024e78b5d3f2b5483c9942a8350035af6
Author: Marek Černocký <marek@manet.cz>
Date:   Tue May 3 12:34:27 2011 +0200

    Updated Czech screenshot

 help/cs/figures/gnac-main-window.png |  Bin 55626 -> 55554 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 8311d808dbf7333f995d2fd5ebf1e281cda45128
Merge: 12600d6 22b7be2
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Apr 24 09:16:53 2011 +0100

    Merge branch 'master' into devel

commit 22b7be2b027661913fe2c0bb64cbd147a7f23764
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sat Apr 23 03:34:19 2011 +0300

    Added Turkish translation

 po/LINGUAS |    1 +
 po/tr.po   | 1490 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1491 insertions(+)

commit 0d951ba4f905d9828627e4859a6836468854467a
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Fri Apr 22 20:05:01 2011 +0200

    [l10n] Updated Italian translation

 po/it.po |  582 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 345 insertions(+), 237 deletions(-)

commit 15bf9f4caaf2c45debb112c6045abf99b2b9d245
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Fri Apr 22 16:04:46 2011 +0200

    Added da to list of languages

 help/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af4bf6493aafd809ec0d53f62f6ac9374dfebf7b
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Fri Apr 22 16:04:13 2011 +0200

    Added Danish translation of the documentation

 help/da/da.po |  166 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 166 insertions(+)

commit c0971169dc640accfd4d434065a57ac27123c9a4
Author: Mateus Zenaide <matzenh@gmail.com>
Date:   Mon Apr 18 17:20:17 2011 -0300

    Updated Brazilian Portuguese translation. Reviewed by Antonio Fernandes C. Neto <fernandes@pelivre.org>

 po/pt_BR.po |  556 ++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 345 insertions(+), 211 deletions(-)

commit 7cccdb0b0f88965f4d29be5fadf89b45e13a0ec6
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Apr 8 21:55:34 2011 +0100

    Stored user profiles in XDG_DATA_HOME

 src/profiles/gnac-profiles-manager.c    |    4 ++--
 src/profiles/gnac-profiles-properties.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 78b48a43847932323b8606ea4cbfea4833ed7c48
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Apr 6 10:09:08 2011 +0100

    Fixed a bug

 src/gnac-prefs.c |    4 ++++
 1 file changed, 4 insertions(+)

commit c6db7612c67ab9d645ae589ae3fc39b0c1786366
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Apr 5 10:30:12 2011 +0100

    Fixed a bug

 src/gnac-main.c |    6 +++---
 src/gnac-ui.c   |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit ed365419e2dc85ec626d977955204054310c5f82
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Apr 5 10:29:43 2011 +0100

    Added help/.gitignore file

 help/.gitignore |    6 ++++++
 1 file changed, 6 insertions(+)

commit f6025a3a4c6ca62f495401f135477f2874019d49
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Apr 4 18:54:44 2011 +0200

    Czech screenshot

 help/cs/figures/gnac-main-window.png |  Bin 55736 -> 55626 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit b33cb4efc6a525c1c97470ae5c4d6ac54d9aaeec
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Apr 4 18:50:01 2011 +0200

    Czech screenshot

 help/cs/figures/gnac-main-window.png |  Bin 0 -> 55736 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 963c8ecac51d6df94dcf8fd756ba8c4da4ae69c7
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sun Apr 3 00:30:57 2011 +0400

    Updated Russian translation

 po/LINGUAS |    1 +
 po/ru.po   | 1389 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1390 insertions(+)

commit 0b08a8791579b08cbd2f812de68a0710883c620f
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Apr 2 22:25:00 2011 +0200

    Added Czech language

 help/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0769a0fd3068e768aaba3de0fc21eb6d3ed2b583
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Apr 2 22:24:40 2011 +0200

    Czech translation

 help/cs/cs.po |  159 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 159 insertions(+)

commit 78feeba40a7fc163158f970b9fd95ef0bedfa326
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Fri Apr 1 12:11:18 2011 +0200

    Updated Danish translation

 po/da.po |  578 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 314 insertions(+), 264 deletions(-)

commit 318c7964ebf765b0a499c0835bc37f3b6e52e2e2
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sat Mar 19 13:55:48 2011 +0100

    Updated Romanian translation

 help/Makefile.am |    2 +-
 help/ro/ro.po    |  165 +++++++
 po/ro.po         | 1450 ++++++++++++++++++++++++++++++------------------------
 3 files changed, 986 insertions(+), 631 deletions(-)

commit bcd22f4082abbe1e065953f7d30ffc02f35217ff
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Mar 18 21:32:25 2011 +0100

    Updated Slovenian translation

 po/sl.po |   47 +++++++++++++++++------------------------------
 1 file changed, 17 insertions(+), 30 deletions(-)

commit 9a2aad3d689176512fae8c29679f9e802c417c4b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Mar 18 12:46:55 2011 +0100

    Updated Hungarian translation

 po/hu.po |  169 +++++++++++++++++++++-----------------------------------------
 1 file changed, 56 insertions(+), 113 deletions(-)

commit 2a3892fadc0e828398027936509cf2915980df71
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Mar 17 23:06:57 2011 +0100

    Added hu to LINGUAS

 po/LINGUAS |    1 +
 1 file changed, 1 insertion(+)

commit 3cd864d41a0a11ff493f4dfa80a7aa476a378d96
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Mar 17 23:06:45 2011 +0100

    Added Hungarian translation by Gyorgy Ballo

 po/hu.po | 1550 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1550 insertions(+)

commit 2fa287cd5190311e73e70335153ca5c9c7af0b19
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Mar 17 21:29:52 2011 +0100

    Updated Swedish translation

 po/sv.po |  533 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 327 insertions(+), 206 deletions(-)

commit db155cf11e78460ffe710a93de77f0f6518da380
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Mar 17 20:01:30 2011 +0100

    Updated Spanish translation

 po/es.po |  599 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 371 insertions(+), 228 deletions(-)

commit fb5992c99c6a78cd3e84512814099de26a4ffbdf
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Mar 17 19:43:51 2011 +0100

    Updated Slovenian translation

 po/sl.po |  543 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 338 insertions(+), 205 deletions(-)

commit adac953cb1da7b8bdbe24a5cd131d1595af8beb6
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Mar 17 17:37:02 2011 +0100

    [l10n] Updated German translation

 po/de.po |  559 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 331 insertions(+), 228 deletions(-)

commit c9b9e7834137444e8351bda6067d9c4069b50f60
Author: Claude Paroz <claude@2xlibre.net>
Date:   Thu Mar 17 11:45:46 2011 +0100

    Updated French translation

 po/fr.po |  530 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 326 insertions(+), 204 deletions(-)

commit 785a3a114f236b9dd9838a55a0c2ea0bd31901b7
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Mar 17 11:26:08 2011 +0100

    Updated Czech translation

 po/cs.po |  574 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 370 insertions(+), 204 deletions(-)

commit 12600d6e72b9a02dc6bcdd9386f98ca8aca0a4c3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Mar 16 08:57:42 2011 +0000

    Added missing file

 data/org.gnome.gnac.gschema.xml.in |   66 ++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

commit edc3d97ac48591172442455996a6e6c81a34fe40
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Mar 16 08:53:42 2011 +0000

    Added missing file

 .gitignore                         |    2 ++
 data/org.gnome.gnac.gschema.xml.in |   66 ++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

commit c1efa4415747ce14f6b377701e398755e343b3ed
Merge: 2e988bd ee04f8c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Mar 8 00:13:44 2011 +0000

    Merge branch 'devel'

commit ee04f8ce8501e6a3ed16d41536a052bef26bf0de
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Mar 4 14:37:52 2011 +0000

    Improved 'gnac -l' output

 src/profiles/gnac-profiles-manager.c |   34 ++++++++++++++++++++++++----------
 1 file changed, 24 insertions(+), 10 deletions(-)

commit d80ca27763363be4074e823956fb58fa96041a95
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Mar 2 14:56:58 2011 +0000

    Updated copyright date

 NEWS                                         |    5 +++--
 TODO                                         |    1 -
 data/ui/gnac.xml                             |    2 +-
 debian/copyright                             |    4 ++--
 libgnac/libgnac-converter.c                  |    2 +-
 libgnac/libgnac-converter.h                  |    2 +-
 libgnac/libgnac-debug.c                      |    2 +-
 libgnac/libgnac-debug.h                      |    2 +-
 libgnac/libgnac-error.c                      |    2 +-
 libgnac/libgnac-error.h                      |    2 +-
 libgnac/libgnac-gst-utils.c                  |    2 +-
 libgnac/libgnac-gst-utils.h                  |    2 +-
 libgnac/libgnac-gst.c                        |    2 +-
 libgnac/libgnac-gst.h                        |    2 +-
 libgnac/libgnac-marshallers.c                |    2 +-
 libgnac/libgnac-marshallers.h                |    2 +-
 libgnac/libgnac-media-item.c                 |    2 +-
 libgnac/libgnac-media-item.h                 |    2 +-
 libgnac/libgnac-metadata-tags.h              |    2 +-
 libgnac/libgnac-metadata.c                   |    2 +-
 libgnac/libgnac-metadata.h                   |    2 +-
 libgnac/libgnac-output.c                     |    2 +-
 libgnac/libgnac-output.h                     |    2 +-
 libgnac/libgnac-profile.h                    |    2 +-
 src/gnac-bars.c                              |    2 +-
 src/gnac-bars.h                              |    2 +-
 src/gnac-file-list.c                         |    2 +-
 src/gnac-file-list.h                         |    2 +-
 src/gnac-main.c                              |    2 +-
 src/gnac-main.h                              |    2 +-
 src/gnac-options.c                           |    2 +-
 src/gnac-options.h                           |    2 +-
 src/gnac-playlist.c                          |    2 +-
 src/gnac-playlist.h                          |    2 +-
 src/gnac-prefs.c                             |    2 +-
 src/gnac-prefs.h                             |    2 +-
 src/gnac-properties.c                        |    2 +-
 src/gnac-properties.h                        |    2 +-
 src/gnac-stock-items.c                       |    2 +-
 src/gnac-stock-items.h                       |    2 +-
 src/gnac-ui.c                                |    2 +-
 src/gnac-ui.h                                |    2 +-
 src/gnac-utils.c                             |    2 +-
 src/gnac-utils.h                             |    2 +-
 src/profiles/formats/gnac-profiles-aac.c     |    2 +-
 src/profiles/formats/gnac-profiles-aac.h     |    2 +-
 src/profiles/formats/gnac-profiles-flac.c    |    2 +-
 src/profiles/formats/gnac-profiles-flac.h    |    2 +-
 src/profiles/formats/gnac-profiles-lame.c    |    2 +-
 src/profiles/formats/gnac-profiles-lame.h    |    2 +-
 src/profiles/formats/gnac-profiles-speex.c   |    2 +-
 src/profiles/formats/gnac-profiles-speex.h   |    2 +-
 src/profiles/formats/gnac-profiles-unknown.c |    2 +-
 src/profiles/formats/gnac-profiles-unknown.h |    2 +-
 src/profiles/formats/gnac-profiles-vorbis.c  |    2 +-
 src/profiles/formats/gnac-profiles-vorbis.h  |    2 +-
 src/profiles/formats/gnac-profiles-wav.c     |    2 +-
 src/profiles/formats/gnac-profiles-wav.h     |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.c |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.h |    2 +-
 src/profiles/gnac-profiles-default.c         |    2 +-
 src/profiles/gnac-profiles-default.h         |    2 +-
 src/profiles/gnac-profiles-manager.c         |    2 +-
 src/profiles/gnac-profiles-manager.h         |    2 +-
 src/profiles/gnac-profiles-properties.c      |    2 +-
 src/profiles/gnac-profiles-properties.h      |    2 +-
 src/profiles/gnac-profiles-utils.c           |    2 +-
 src/profiles/gnac-profiles-utils.h           |    2 +-
 src/profiles/gnac-profiles-xml-engine.c      |    2 +-
 src/profiles/gnac-profiles-xml-engine.h      |    2 +-
 src/profiles/gnac-profiles.c                 |    2 +-
 src/profiles/gnac-profiles.h                 |    2 +-
 72 files changed, 74 insertions(+), 74 deletions(-)

commit 2e988bd50edb64f5154026ef27df8088465de4b5
Author: Aron Xu <aronxu@gnome.org>
Date:   Wed Feb 23 18:19:20 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po |   29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit 0efe545692ae22ce539a067b3b4a2df64ff6f57a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jan 21 15:34:32 2011 +0000

    Merged branch 'gnac-gsettings'

 .gitignore                           |    1 -
 configure.ac                         |   24 ++--
 data/Makefile.am                     |   40 ++-----
 data/gnac.schemas.in                 |  115 -------------------
 data/ui/gnac-pref-window.xml         |    2 -
 po/POTFILES.in                       |    3 +-
 src/Makefile.am                      |    2 -
 src/gnac-gconf.c                     |  208 ----------------------------------
 src/gnac-gconf.h                     |   83 --------------
 src/gnac-main.c                      |   68 +++++++++--
 src/gnac-main.h                      |   30 +++++
 src/gnac-options.c                   |    4 +-
 src/gnac-prefs.c                     |  111 ++++++++----------
 src/gnac-prefs.h                     |    8 --
 src/gnac-ui.c                        |   26 +++--
 src/gnac-ui.h                        |    7 +-
 src/profiles/gnac-profiles-manager.c |   13 +--
 17 files changed, 187 insertions(+), 558 deletions(-)

commit 533a1377d1cffcaa5de3118216b382aa29a94713
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Dec 20 11:52:07 2010 +0100

    [l10n] Added screenshot to German doc translation

 help/de/de.po                        |    4 ++--
 help/de/figures/gnac-main-window.png |  Bin 0 -> 26766 bytes
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3085be9be0cf1e61f28b6c5ea7bf20b8e62783a9
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Dec 16 07:49:11 2010 -0700

    Removed duplicate file

 help/AZ/sl.po |  126 ---------------------------------------------------------
 1 file changed, 126 deletions(-)

commit 02854c85f9267333bc8f711fae23148b974330da
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Dec 15 19:02:32 2010 +0100

    Added Slovenian translation

 help/sl/sl.po |  126 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 126 insertions(+)

commit 40715429c36b18bd0f4946ba1358cc241554d3fe
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Dec 15 19:01:35 2010 +0100

    Added Slovenian translation

 help/AZ/sl.po |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de5c3fd8c14fd7ff3ba5016282d717e8c14fa7ba
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Dec 15 17:41:27 2010 +0100

    Added sl for Slovenian translation

 help/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75fb75c6b613d4cd4ade4bc1de51da5ee88c0f97
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Dec 15 17:41:03 2010 +0100

    Added Slovenian translation

 help/AZ/sl.po |  126 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 126 insertions(+)

commit ec222df6f5dfb33a439c3f55aba4915fc11191ac
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Dec 11 18:39:33 2010 +0100

    Updated Spanish translation

 help/es/es.po |  161 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 161 insertions(+)

commit 23f3cacd4a8f4c87a2c551db32e45af65bf47a98
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Dec 11 18:39:12 2010 +0100

    Added Spanish to DOC_LINGUAS

 help/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eeb2dfdbffcb24de069c525444e53242c6efc899
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Dec 11 11:45:29 2010 +0100

    [l10n] Updated German doc translation

 help/de/de.po |  123 +++++++++++++++++++++++++++++++++------------------------
 1 file changed, 72 insertions(+), 51 deletions(-)

commit 286d9009f248e6b1f7554a70aa8b9a01cae41b2b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Dec 9 15:23:58 2010 -0500

    Better filtering of input files

 src/gnac-main.c |   19 ++++++++++---------
 src/gnac-ui.c   |    1 +
 2 files changed, 11 insertions(+), 9 deletions(-)

commit e8239aff0f9cd365cf1a62715fabc9d450458d3e
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Dec 4 22:13:02 2010 +0100

    Added missing file

 help/gnac.omf.in |    9 +++++++++
 1 file changed, 9 insertions(+)

commit c5b1f1a0b4508e1c99c1cc3c35a37414fbbfc704
Author: Aron Xu <aronxu@gnome.org>
Date:   Sun Nov 14 13:20:42 2010 +0800

    Update Simplified Chinese translation.

 po/zh_CN.po |  892 +++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 527 insertions(+), 365 deletions(-)

commit 8b5c886f9dcf3b0cb25381ccc2e3df146e7042d9
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Nov 8 09:00:42 2010 +0000

    Better separation between gnac-main and gnac-ui

 data/ui/gnac.xml |    2 +-
 src/gnac-main.c  |   15 ---------------
 src/gnac-main.h  |    4 ----
 src/gnac-ui.c    |   14 ++++++++++++++
 src/gnac-ui.h    |    4 ++++
 5 files changed, 19 insertions(+), 20 deletions(-)

commit 4a90d763bcfb1066e44f290eeb8f0167414f7d98
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Nov 7 12:10:16 2010 +0000

    Ensured filters have been initialised before returning default_file_filter

 libgnac/libgnac-converter.c |   11 ++++-------
 src/gnac-ui.c               |    3 +++
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 0488ceca24eeb629c51131149417891f835e411e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Nov 6 19:05:51 2010 +0000

    Code cleanup

 libgnac/libgnac-converter.c |    1 -
 src/gnac-main.c             |    3 ++-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7e7dcd3a50eb217b521b48e5fd65dd65456cff4a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Nov 6 17:37:35 2010 +0000

    Code cleanup

 libgnac/libgnac-gst.c |    8 ++++----
 man/gnac.1            |    8 ++++----
 src/gnac-main.c       |   22 ++++++++++++----------
 src/gnac-options.c    |    8 ++++----
 4 files changed, 24 insertions(+), 22 deletions(-)

commit 723eb508652a0ad749ce59e70804a4af2d24e441
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 5 13:16:38 2010 +0000

    Fixed a memory leak

 data/gnac.schemas.in                 |    2 +-
 src/profiles/gnac-profiles-manager.c |   12 +++++++++---
 2 files changed, 10 insertions(+), 4 deletions(-)

commit d2629e53b8ebaac6ab2732fefbe994418ea0584c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 5 09:06:16 2010 +0000

    Code hardening
    
    If the key folder_hierarchy_pattern does not exist in gconf, a NULL
    value will be returned. libgnac_output_build_output was not checking for
    the existence of folder_hierarchy_pattern before using it, yielding to a
    potential segfault.
    Thanks to Brian Yoder for reporting the issue.

 libgnac/libgnac-output.c |   45 ++++++++++++++++++---------------------------
 1 file changed, 18 insertions(+), 27 deletions(-)

commit d16558059101cd7b19b44237e8312a8e2b393d10
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Nov 1 20:53:42 2010 +0000

    Added menu item to hide toolbar

 data/gnac.schemas.in |   10 ++++++++++
 data/ui/gnac.xml     |   20 ++++++++++++++++++--
 src/gnac-gconf.c     |    1 +
 src/gnac-gconf.h     |    1 +
 src/gnac-ui.c        |   40 +++++++++++++++++++++++++++++++++++-----
 src/gnac-ui.h        |    4 ++++
 6 files changed, 69 insertions(+), 7 deletions(-)

commit 13db70cf93002d672c24729bd2e44555a23db790
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Nov 1 20:50:47 2010 +0000

    Added textual representation of channels' numbers

 src/gnac-properties.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0870753c1f9a2bab5181e1b94df2b475d0e2ff2a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Oct 31 22:28:52 2010 +0000

    Retrieve and display tag 'encoder' and 'container'

 libgnac/libgnac-metadata-tags.h |   24 ++++++++++++++++------
 src/gnac-properties.c           |   42 +++++++++++++++++++++------------------
 2 files changed, 41 insertions(+), 25 deletions(-)

commit 97227524f7ee698efae2bef097e0f66dc2abf5c5
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Oct 26 00:48:08 2010 +0100

    Added 'Shockwave Flash file' filter

 data/gnac.desktop.in.in                 |    2 +-
 libgnac/libgnac-metadata.c              |    8 ++++----
 src/gnac-ui.c                           |   23 ++++++++++++-----------
 src/profiles/gnac-profiles-default.c    |    4 ++--
 src/profiles/gnac-profiles-manager.c    |    2 +-
 src/profiles/gnac-profiles-properties.c |    2 +-
 6 files changed, 21 insertions(+), 20 deletions(-)

commit ddd2bb4ac6955be33d9200bd0f8677f1d33065dc
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Oct 19 00:39:00 2010 +0100

    Better separation between gnac-main and gnac-ui

 data/ui/gnac.xml     |   10 ++--
 src/gnac-file-list.c |   16 +-----
 src/gnac-main.c      |  134 +-------------------------------------------------
 src/gnac-main.h      |   44 +++--------------
 src/gnac-ui.c        |  133 ++++++++++++++++++++++++++++++++++++++++++++++++-
 src/gnac-ui.h        |   26 ++++++++++
 6 files changed, 175 insertions(+), 188 deletions(-)

commit d7b127cd7cbe90031718122dbe3b642b59bd0661
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Oct 18 17:30:09 2010 +0100

    Better separation between gnac-main and gnac-ui

 data/ui/gnac.xml |    2 +-
 src/gnac-main.c  |  105 +++------------------------------------------------
 src/gnac-main.h  |    5 ---
 src/gnac-ui.c    |  110 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/gnac-ui.h    |   20 ++++++++++
 5 files changed, 136 insertions(+), 106 deletions(-)

commit e8f6d06c0511a5f1be0d23b4a2373251ad402fa6
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Oct 16 11:50:57 2010 +0100

    Fixed memory leaks

 libgnac/libgnac-converter.c |    4 ++++
 src/gnac-ui.c               |    7 ++++++-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit c85c08a49529608fa1bafc3d742232a5ea3bd245
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Oct 15 23:11:37 2010 +0100

    Display conversion's status in trayicon's tooltip

 src/gnac-main.c |    1 +
 src/gnac-ui.c   |    6 +++++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit be8bf820d57fba392e1378ecbd389e9ab0dac6aa
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Oct 15 21:10:22 2010 +0100

    Fixed memory leaks

 libgnac/libgnac-converter.c |    2 ++
 libgnac/libgnac-gst-utils.c |    7 +++----
 libgnac/libgnac-output.c    |    2 +-
 src/gnac-main.c             |   15 +++++++++++----
 4 files changed, 17 insertions(+), 9 deletions(-)

commit c5d25da3bca8a4c647beca5ed521126947e98ed6
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Oct 15 20:52:15 2010 +0100

    Fixed memory leaks

 libgnac/libgnac-gst-utils.c |   23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit 8cd472b49e431fa1a35a9b960754d4bd60eb19f3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Oct 15 20:37:27 2010 +0100

    Fixed memory leaks

 libgnac/libgnac-converter.c  |   12 ++++++++++++
 libgnac/libgnac-converter.h  |    3 +++
 libgnac/libgnac-media-item.c |    3 +--
 libgnac/libgnac-output.c     |   12 ++++++++----
 src/gnac-ui.c                |    2 ++
 5 files changed, 26 insertions(+), 6 deletions(-)

commit 8402c0216974f6e90a2515a2d12273cc37a37697
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Oct 12 15:01:54 2010 +0100

    Fixed a memory leak

 m4/intltool.m4   |    2 +-
 src/gnac-prefs.c |   12 ++++++++----
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 875e3cc85512a178f3ba84a518797c2f6d7a1f5a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Oct 11 16:52:37 2010 +0100

    Code cleanup

 src/gnac-main.c                         |    5 ++---
 src/gnac-properties.c                   |    2 +-
 src/gnac-ui.c                           |    2 +-
 src/profiles/gnac-profiles-manager.c    |   16 ++++++++--------
 src/profiles/gnac-profiles-properties.c |   10 +++++-----
 src/profiles/gnac-profiles-utils.c      |   18 +++++++++---------
 6 files changed, 26 insertions(+), 27 deletions(-)

commit a699088f78655f91bd35d67c2d6a33a4f589d903
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Oct 9 11:53:42 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  865 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 478 insertions(+), 387 deletions(-)

commit dc5f30b450e8b2efe1bcdb785bd70d1062450efb
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Oct 2 10:33:01 2010 +0100

    Added '-l' command-line option

 man/gnac.1                           |    5 +-
 src/gnac-options.c                   |   22 +++++++
 src/profiles/gnac-profiles-manager.c |  106 ++++++++++++++++++++++++++++++++++
 src/profiles/gnac-profiles-manager.h |    3 +
 4 files changed, 135 insertions(+), 1 deletion(-)

commit 01e8c03ad7ddd9322c70d84fa43d5d8798c5387e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Sep 28 20:28:34 2010 +0100

    Added 'gnac_exit' function

 src/gnac-gconf.c                             |    3 ++-
 src/gnac-main.c                              |    8 ++++++++
 src/gnac-main.h                              |    3 +++
 src/gnac-options.c                           |    4 ++--
 src/gnac-ui.c                                |    2 +-
 src/profiles/formats/gnac-profiles-unknown.c |    3 ++-
 src/profiles/gnac-profiles-default.c         |    5 +++--
 src/profiles/gnac-profiles-manager.c         |    3 ++-
 src/profiles/gnac-profiles-properties.c      |    4 ++--
 9 files changed, 25 insertions(+), 10 deletions(-)

commit 45a8d91af109dce3d6363b4ea07c8903e68da11c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Sep 28 19:55:35 2010 +0100

    Added '-a' command-line option

 man/gnac.1         |    5 ++++-
 src/gnac-options.c |   23 +++++++++++++++++++++++
 2 files changed, 27 insertions(+), 1 deletion(-)

commit 17d2337304d560328077b1098fd21ee4fa63aef3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Sep 28 16:43:52 2010 +0100

    Moved initialisation of gconf-client into [gs]etters

 src/gnac-gconf.c |   13 ++++++++++++-
 src/gnac-gconf.h |    3 ---
 src/gnac-main.c  |    1 -
 3 files changed, 12 insertions(+), 5 deletions(-)

commit c6a485ef999dc1c41c0a4cd0f3313021acfbc22b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Sep 19 22:15:10 2010 +0100

    Code cleanup

 src/gnac-ui.c |   15 ++-------------
 1 file changed, 2 insertions(+), 13 deletions(-)

commit a25fab35a748a039253de115a90bc06522460e72
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Sep 19 22:10:44 2010 +0100

    Fixed a bug in notifications' handling

 data/ui/gnac.xml |    2 +-
 src/gnac-main.c  |    9 +++++----
 src/gnac-main.h  |    8 ++++----
 src/gnac-ui.c    |    6 +++---
 4 files changed, 13 insertions(+), 12 deletions(-)

commit 9fe687a955d1c160496e355df06a6ac708dae4c7
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Sep 18 22:02:40 2010 +0100

    Code cleanup

 src/gnac-file-list.c                 |    2 +-
 src/profiles/gnac-profiles-manager.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fdd4884c341d54cd99ebe275da72668e4e01ae07
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Sep 14 16:54:05 2010 +0100

    Added safety checks in destroy functions

 src/gnac-gconf.c |    2 +-
 src/gnac-main.c  |    7 ++++---
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 6ca5531bce20bb82e67ddd6a11041f1e33813023
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Sep 14 16:34:28 2010 +0100

    Fixed a memory leak

 src/gnac-main.c |    1 +
 1 file changed, 1 insertion(+)

commit 15867e9424d29f2ab15b51361bc4eaf015ba76b2
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Sep 10 16:38:36 2010 +0100

    Updated NEWS

 NEWS |    1 +
 1 file changed, 1 insertion(+)

commit 4beec26c52495f16d486be3372789e0912b316de
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Sep 10 00:15:42 2010 +0100

    Hide trayicon on cancellation of conversion

 src/gnac-ui.c |    1 +
 1 file changed, 1 insertion(+)

commit 9d212060ffff383da6dadde45fec1f9f6a3f2b82
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Sep 9 21:34:07 2010 +0100

    Code cleanup

 src/gnac-ui.c |    6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 501c4d99c3032535c6b7668f63628cf79f8adfa0
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Sep 9 21:30:40 2010 +0100

    Fixed trac ticket #41 (notification on conversion completed)

 configure.ac     |   11 +++++++++++
 data/ui/gnac.xml |    1 +
 src/Makefile.am  |   10 ++++++----
 src/gnac-main.c  |   30 ++++++++++++++++++++++++++----
 src/gnac-main.h  |    5 +++++
 src/gnac-ui.c    |   50 +++++++++++++++++++++++++++++++++++++++++++++-----
 src/gnac-ui.h    |    3 +++
 7 files changed, 97 insertions(+), 13 deletions(-)

commit d5a0f84f38855d98ffea4500e11868cd74f502d7
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Aug 12 13:43:46 2010 +0200

    Updated Swedish translation

 po/sv.po |  656 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 377 insertions(+), 279 deletions(-)

commit 56d0481afa51af16e95fcd1af1cd1bbf69a03129
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Aug 4 23:17:45 2010 +0100

    Updated licence to GPLv3+ (Fixed bug #625585)

 ChangeLog                                    |    4 ++--
 configure.ac                                 |    2 +-
 data/ui/gnac.xml                             |    2 +-
 debian/copyright                             |    2 +-
 libgnac/libgnac-converter.c                  |    2 +-
 libgnac/libgnac-converter.h                  |    2 +-
 libgnac/libgnac-debug.c                      |    2 +-
 libgnac/libgnac-debug.h                      |    2 +-
 libgnac/libgnac-error.c                      |    2 +-
 libgnac/libgnac-error.h                      |    2 +-
 libgnac/libgnac-gst-utils.c                  |    2 +-
 libgnac/libgnac-gst-utils.h                  |    2 +-
 libgnac/libgnac-gst.c                        |    2 +-
 libgnac/libgnac-gst.h                        |    2 +-
 libgnac/libgnac-marshallers.c                |    2 +-
 libgnac/libgnac-marshallers.h                |    2 +-
 libgnac/libgnac-media-item.c                 |    2 +-
 libgnac/libgnac-media-item.h                 |    2 +-
 libgnac/libgnac-metadata-tags.h              |    2 +-
 libgnac/libgnac-metadata.c                   |    2 +-
 libgnac/libgnac-metadata.h                   |    2 +-
 libgnac/libgnac-output.c                     |    2 +-
 libgnac/libgnac-output.h                     |    2 +-
 libgnac/libgnac-profile.h                    |    2 +-
 man/gnac.1                                   |    2 +-
 src/gnac-bars.c                              |    2 +-
 src/gnac-bars.h                              |    2 +-
 src/gnac-file-list.c                         |    2 +-
 src/gnac-file-list.h                         |    2 +-
 src/gnac-gconf.c                             |    2 +-
 src/gnac-gconf.h                             |    2 +-
 src/gnac-main.c                              |    2 +-
 src/gnac-main.h                              |    2 +-
 src/gnac-options.c                           |    2 +-
 src/gnac-options.h                           |    2 +-
 src/gnac-playlist.c                          |    2 +-
 src/gnac-playlist.h                          |    2 +-
 src/gnac-prefs.c                             |    2 +-
 src/gnac-prefs.h                             |    2 +-
 src/gnac-properties.c                        |    2 +-
 src/gnac-properties.h                        |    2 +-
 src/gnac-stock-items.c                       |    2 +-
 src/gnac-stock-items.h                       |    2 +-
 src/gnac-ui.c                                |    2 +-
 src/gnac-ui.h                                |    2 +-
 src/gnac-utils.c                             |    2 +-
 src/gnac-utils.h                             |    2 +-
 src/profiles/formats/gnac-profiles-aac.c     |    2 +-
 src/profiles/formats/gnac-profiles-aac.h     |    2 +-
 src/profiles/formats/gnac-profiles-flac.c    |    2 +-
 src/profiles/formats/gnac-profiles-flac.h    |    2 +-
 src/profiles/formats/gnac-profiles-lame.c    |    2 +-
 src/profiles/formats/gnac-profiles-lame.h    |    2 +-
 src/profiles/formats/gnac-profiles-speex.c   |    2 +-
 src/profiles/formats/gnac-profiles-speex.h   |    2 +-
 src/profiles/formats/gnac-profiles-unknown.c |    2 +-
 src/profiles/formats/gnac-profiles-unknown.h |    2 +-
 src/profiles/formats/gnac-profiles-vorbis.c  |    2 +-
 src/profiles/formats/gnac-profiles-vorbis.h  |    2 +-
 src/profiles/formats/gnac-profiles-wav.c     |    2 +-
 src/profiles/formats/gnac-profiles-wav.h     |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.c |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.h |    2 +-
 src/profiles/gnac-profiles-default.c         |    2 +-
 src/profiles/gnac-profiles-default.h         |    2 +-
 src/profiles/gnac-profiles-manager.c         |    2 +-
 src/profiles/gnac-profiles-manager.h         |    2 +-
 src/profiles/gnac-profiles-properties.c      |    2 +-
 src/profiles/gnac-profiles-properties.h      |    2 +-
 src/profiles/gnac-profiles-utils.c           |    2 +-
 src/profiles/gnac-profiles-utils.h           |    2 +-
 src/profiles/gnac-profiles-xml-engine.c      |    2 +-
 src/profiles/gnac-profiles-xml-engine.h      |    2 +-
 src/profiles/gnac-profiles.c                 |    2 +-
 src/profiles/gnac-profiles.h                 |    2 +-
 75 files changed, 76 insertions(+), 76 deletions(-)

commit a75a1918c17250b5dbf28ece09200d9aff9ebca8
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jul 22 21:38:57 2010 +0100

    Added 3GPP and RealMedia filters

 data/gnac.desktop.in.in |    2 +-
 src/gnac-ui.c           |   20 +++++++++++---------
 2 files changed, 12 insertions(+), 10 deletions(-)

commit 9679a3c609dbb0d4da1ddb5b475afe2de044a4e5
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jul 20 22:08:25 2010 +0100

    Removed useless code

 src/gnac-ui.c |   13 -------------
 1 file changed, 13 deletions(-)

commit e5e0edbf0bc9750a5ee78dc9b092d58b2e89be37
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jul 17 12:29:54 2010 +0100

    Added video thumbnail in metadata

 libgnac/libgnac-metadata.c |   33 +++++++++++++++++++++++++--------
 libgnac/libgnac-output.c   |    4 ++--
 src/gnac-main.c            |   10 ++++++----
 src/gnac-utils.c           |    4 ++--
 4 files changed, 35 insertions(+), 16 deletions(-)

commit c2e9ae216adf6d0f4eb51a6da1900c30b68df510
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Jul 11 12:18:09 2010 +0100

    Cleaned up the code

 src/gnac-properties.c |   57 +++++++++++++++++--------------------------------
 1 file changed, 20 insertions(+), 37 deletions(-)

commit d0032e962ef3f945295fd36af26760698117487b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Jul 11 12:10:11 2010 +0100

    Retrieve and display framerate

 src/gnac-properties.c |   18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit bcfd73e4e41ba578541ce6504dbdf2f1269fc1fc
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jul 10 21:43:56 2010 +0100

    Retrieve and display video codec

 .gitignore                      |    1 +
 libgnac/libgnac-metadata-tags.h |    4 ++++
 src/gnac-properties.c           |    5 ++++-
 3 files changed, 9 insertions(+), 1 deletion(-)

commit 2a521944982db0d8528fd6ef166489bab91abb32
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jul 10 18:11:35 2010 +0100

    Rendered the dependency to 'libunique' optional

 configure.ac                            |   29 ++++++++++++++---------------
 src/gnac-ui.c                           |   16 +++++++++++++++-
 src/profiles/gnac-profiles-properties.c |    2 +-
 3 files changed, 30 insertions(+), 17 deletions(-)

commit 96ade5fb6dfb3821395cb8ccedc06816b25b07bf
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jul 10 13:37:32 2010 +0100

    Fixed a bug

 src/gnac-bars.c |    1 +
 1 file changed, 1 insertion(+)

commit 706c3f1b3aa5870873d092fa450efbe14ca0d976
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jul 10 13:13:25 2010 +0100

    Handled properly cases when source and destination files are identical

 libgnac/libgnac-converter.c |   18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit 639ed1068640507cc7190a692b993d3a64834078
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jul 10 12:26:24 2010 +0100

    Fixed a memory leak

 src/gnac-main.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 4b051072288ff15c68af9e287a8c1330918eae82
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Jul 10 12:22:59 2010 +0100

    Cleaned up the code

 src/gnac-bars.c        |  208 +++++++++++++++++++++---------------------------
 src/gnac-bars.h        |   19 +++--
 src/gnac-main.c        |   44 +++++-----
 src/gnac-stock-items.c |    2 +-
 src/gnac-ui.c          |   62 +++++++--------
 src/gnac-ui.h          |    7 +-
 6 files changed, 155 insertions(+), 187 deletions(-)

commit a55672cf227dde677ee376b9b5c75dd481dcca20
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Jul 9 22:10:31 2010 +0200

    Updated Slovenian translation

 po/sl.po |   80 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 40 insertions(+), 40 deletions(-)

commit 95d38516f46bb2ac625f5629abea4a541740d97d
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jul 8 18:31:52 2010 +0100

    Cleaned up the code

 src/gnac-main.c  |    1 -
 src/gnac-utils.c |   15 ++++-----------
 src/gnac-utils.h |    3 ---
 3 files changed, 4 insertions(+), 15 deletions(-)

commit 48454e8e7095712dd33305db93e620ca6730edfb
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jul 7 20:55:31 2010 +0100

    Updated short description

 data/gnac.desktop.in.in |    2 +-
 data/ui/gnac.xml        |    2 +-
 debian/control          |    2 +-
 gnac.doap               |    2 +-
 man/gnac.1              |    6 +++---
 5 files changed, 7 insertions(+), 7 deletions(-)

commit 239941b7585a986499d6fa4e4720abb8b2d9b3cd
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Jul 5 17:36:51 2010 +0100

    Fixed trac ticket #42: Extract and convert audio from video

 NEWS                         |    4 ++++
 data/gnac.desktop.in.in      |    2 +-
 libgnac/libgnac-converter.c  |   32 ++++++++++++++++----------------
 libgnac/libgnac-gst-utils.c  |   27 +++++++++++++--------------
 libgnac/libgnac-gst.c        |    8 +++++---
 libgnac/libgnac-media-item.c |    1 +
 libgnac/libgnac-media-item.h |    1 +
 src/gnac-ui.c                |   42 ++++++++++++++++++++++++++++++++++++++++++
 8 files changed, 83 insertions(+), 34 deletions(-)

commit a6c8bc1a60b6d96d5abbe5c2e81b81ce1732e1f4
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Thu Jul 1 21:58:34 2010 +0200

    Quick change to changelog that permits packaging

 debian/changelog |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 56dd84f2bc64af086449fc6aa5dd4ce4ac069f20
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jul 1 08:10:23 2010 +0100

    Updated debian packaging files

 debian/changelog |    2 +-
 debian/control   |    6 +++---
 debian/copyright |   14 +++++++-------
 debian/rules     |    2 +-
 4 files changed, 12 insertions(+), 12 deletions(-)

commit 8d4f80a6107f0effeb9c9ecb49552daa83b5069b
Author: Petr Kovar <pknbe@volny.cz>
Date:   Wed Jun 30 15:53:41 2010 +0200

    Update Czech translation by Marek Cernocky

 po/cs.po |  940 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 547 insertions(+), 393 deletions(-)

commit 05957a5a6e7e6aeaabdcd9db3d7ae0bb26059a21
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jun 29 12:00:54 2010 +0100

    Fixed bug #622238

 libgnac/libgnac-output.c |   23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit 3d5ba500a51a08bc4f150fa86887281455e6aaee
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Jun 26 10:28:30 2010 +0200

    Updated Spanish translation

 po/es.po |  694 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 412 insertions(+), 282 deletions(-)

commit fbc62382199422abbbccfb755796f21018e82b9c
Merge: bd3dab5 325db1b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jun 23 08:58:56 2010 +0100

    Merged branch 'devel'

commit 325db1b9167de9f1f86c562795498b0da94abe83
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Jun 21 17:13:16 2010 +0100

    Updated NEWS

 NEWS |    8 ++++++++
 1 file changed, 8 insertions(+)

commit bd3dab5a287bb4400521eead1870394b98be3069
Author: Claude Paroz <claude@2xlibre.net>
Date:   Mon Jun 21 11:23:17 2010 +0200

    Remove translatable property on stock gtk items

 data/ui/gnac.xml |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6eeea8e13c96b9abe1bf28ef5f0dbfadf3cad664
Author: Claude Paroz <claude@2xlibre.net>
Date:   Mon Jun 21 11:22:25 2010 +0200

    Updated French translation
    
    Contributed by Bruno Brouard and Claude Paroz

 po/fr.po | 1031 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 560 insertions(+), 471 deletions(-)

commit 53a3e6dfb4bc5ba0f40b63cb923fa36a0a9f44a7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jun 21 09:46:41 2010 +0200

    Update Galician translations

 po/gl.po |  133 +++++++++++++++-----------------------------------------------
 1 file changed, 31 insertions(+), 102 deletions(-)

commit 3e372a3eb6b523e517aff62c130cf506702e8f82
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jun 21 09:17:52 2010 +0200

    Update Galician translations

 po/gl.po |  665 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 393 insertions(+), 272 deletions(-)

commit 84e1620344eca8ba8ba289b3879ced805f2546d0
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Jun 20 21:10:13 2010 +0100

    Cleaned gnac_on_destroy

 src/gnac-main.c |   59 ++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 39 insertions(+), 20 deletions(-)

commit a97d9f7230670a1b8eb9883cfacc8ef02f4ba8ce
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sat Jun 19 14:39:56 2010 +0200

    [l10n] Updated Italian translation

 po/it.po | 1266 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 672 insertions(+), 594 deletions(-)

commit 0301820de11c0737e007117959de36e1c4077c2b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jun 18 21:08:26 2010 +0100

    Disabled trayicon's menu items while waiting for an exit confirmation

 src/gnac-main.c |    9 +++++++++
 src/gnac-ui.c   |   13 +++++++++++++
 src/gnac-ui.h   |    3 +++
 3 files changed, 25 insertions(+)

commit b4c65825f758fdb0c752295a10109814793416b3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jun 18 20:36:30 2010 +0100

    Fixed a bug preventing the main window from being properly shown

 src/gnac-ui.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f5ef25dc166bfd5b4b967a550ed1873dc1b4a719
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jun 18 20:35:19 2010 +0100

    Made libgnac more resilient to potential errors

 libgnac/libgnac-gst.c        |    2 ++
 libgnac/libgnac-media-item.c |    4 ++++
 2 files changed, 6 insertions(+)

commit dace63998d442a339bc23073d38bc5709bf1e73c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jun 18 07:59:14 2010 +0100

    Ask the user only once to install a missing plugin

 libgnac/libgnac-converter.c |   22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit f5957478befa7e00832c6451e07b983b89495f49
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Jun 18 07:57:10 2010 +0100

    Requested a default size for the filter combo in gnac-file-chooser

 src/gnac-ui.c |    1 +
 1 file changed, 1 insertion(+)

commit a36a8dac60b3b4d5018b8246bcfa10f70959a1d9
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Thu Jun 17 15:27:23 2010 +0200

    Updated Danish translation

 po/da.po |    7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 889fe68008811c44fb4255c9c022af1effc4ce83
Author: Djavan Fagundes <djavan@comum.org>
Date:   Tue Jun 15 19:23:32 2010 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  891 +++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 530 insertions(+), 361 deletions(-)

commit f8f0ea52cd2c923a25410e3550be82b74b26b37b
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Mon Jun 14 10:10:23 2010 +0200

    Updated Danish translation

 po/da.po |  899 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 536 insertions(+), 363 deletions(-)

commit 3ca32497c08799967effcec451214ac1a69e3277
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Jun 11 21:29:22 2010 +0200

    Added German doc translation

 help/Makefile.am |    2 +-
 help/de/de.po    |  156 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 157 insertions(+), 1 deletion(-)

commit 1c0d38339c3b176b4c5ccc9b535edf1472321abe
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Jun 11 21:16:23 2010 +0200

    Updated German translation

 po/de.po |  692 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 422 insertions(+), 270 deletions(-)

commit 62312b8dcfe3143fb54c9d8b7bd72a6cd0a87a42
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Jun 11 19:26:33 2010 +0200

    Updated Slovenian translation

 po/sl.po |  654 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 379 insertions(+), 275 deletions(-)

commit 827fc75aa84bc9bef0ba538be54849784e2019d1
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jun 10 12:05:40 2010 +0100

    Reactivated main window's controls after plugin installation

 libgnac/libgnac-converter.c |   26 +++++++++++++++++---------
 libgnac/libgnac-converter.h |    5 ++++-
 src/gnac-bars.c             |   13 +++++++++++++
 src/gnac-bars.h             |    3 +++
 src/gnac-main.c             |   12 +++++++++---
 5 files changed, 46 insertions(+), 13 deletions(-)

commit 80d63e0a837aa8ad8e8bd1d0773db57fdaba5b6c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Jun 10 02:30:16 2010 +0100

    Cleaned the strings

 data/profiles/ui/gnac-profiles-base-advanced.xml |    2 +-
 data/ui/gnac-pref-window.xml                     |    4 +--
 data/ui/gnac-properties-window.xml               |    4 +--
 libgnac/libgnac-converter.c                      |    3 +-
 libgnac/libgnac-debug.c                          |   16 +++++-----
 libgnac/libgnac-metadata.c                       |    3 +-
 libgnac/libgnac-output.h                         |    6 ++++
 src/gnac-gconf.c                                 |    4 ++-
 src/gnac-main.c                                  |   26 +++++++++--------
 src/gnac-options.c                               |    4 ++-
 src/gnac-prefs.c                                 |    1 +
 src/gnac-properties.c                            |    7 +++--
 src/gnac-ui.c                                    |   34 ++++++++++++----------
 src/gnac-utils.c                                 |   16 +++++++---
 src/profiles/gnac-profiles-manager.c             |   15 +++++-----
 src/profiles/gnac-profiles-properties.c          |   12 ++++----
 16 files changed, 91 insertions(+), 66 deletions(-)

commit 1c5926f098fc8694156fb334764172d67e4a8e09
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jun 9 23:04:35 2010 +0100

    Updated documentation

 help/C/figures/gnac-main-window.png |  Bin 0 -> 49435 bytes
 help/C/intro.page                   |   10 +++++++++-
 help/Makefile.am                    |    3 ++-
 3 files changed, 11 insertions(+), 2 deletions(-)

commit 5bc4d7efa08601ee63eb1ba0d81e7de9bdc66e70
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Wed Jun 9 22:10:30 2010 +0200

    Edit short introduction

 help/C/intro.page |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 577ee4e18c651601f6c2b0e66ad4264c83953292
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Wed Jun 9 21:55:42 2010 +0200

    Fixed erroneous merge

 src/gnac-ui.h |    1 +
 1 file changed, 1 insertion(+)

commit d265013c26963a47a6d55319da4ae7679fcf9fea
Merge: 6bac2de 21bc367
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Wed Jun 9 21:50:11 2010 +0200

    Merge branch 'libunique' into devel
    
    Conflicts:
    	src/gnac-ui.c
    	src/gnac-ui.h

commit 6bac2debe62bc2d9462d4b00b085280d09e25e93
Merge: 599987c 65cbe0e
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Wed Jun 9 21:43:22 2010 +0200

    Merge branch 'master' into devel

commit 65cbe0e6d39bf51ee8c79a4831914dad0162a131
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jun 9 08:54:15 2010 +0100

    Fixed a concurrency bug

 src/gnac-main.c |   40 +++++++++++++++++++++++++---------------
 1 file changed, 25 insertions(+), 15 deletions(-)

commit aea007a7924a67764e08bdb25d9d66ca8971d190
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jun 8 21:23:10 2010 +0100

    Improved file filters

 data/ui/gnac.xml |  105 ++++++++++++++
 src/gnac-main.c  |  304 ++--------------------------------------
 src/gnac-main.h  |    5 -
 src/gnac-ui.c    |  411 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/gnac-ui.h    |   30 ++++
 5 files changed, 555 insertions(+), 300 deletions(-)

commit adf6c97dac9dd24ed5d9d7c7924f6926f33259dc
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jun 1 18:27:13 2010 +0100

    Cleaned playlists handling

 src/gnac-main.c     |   16 +++------
 src/gnac-playlist.c |   98 ++++++++++++++++++++++++++++++++++++---------------
 src/gnac-playlist.h |    7 ++++
 3 files changed, 81 insertions(+), 40 deletions(-)

commit bb8111a41ccfe4c15a810e30858f34a1628e477b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 21:09:31 2010 +0100

    Added WavPack filter

 src/gnac-main.c |   29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit 64669c3a83b8335b6b1b0defb25760428ac48f06
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 21:03:50 2010 +0100

    Disabled main interface during plugins' installation

 libgnac/libgnac-converter.c  |   16 ++++++++++++++++
 libgnac/libgnac-converter.h  |    4 ++++
 libgnac/libgnac-media-item.c |    2 ++
 src/gnac-bars.c              |   36 ++++++++++++++++++++++++++++++++++++
 src/gnac-bars.h              |    9 +++++++++
 src/gnac-main.c              |   32 +++++++++++++++++++++++++-------
 src/gnac-main.h              |    3 ++-
 7 files changed, 94 insertions(+), 8 deletions(-)

commit 3ccfe23d2c0c93aab65c1d9137304ba960c13b1b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 20:30:57 2010 +0100

    Improved display of VBR files' bitrate

 libgnac/libgnac-metadata-tags.h |    5 +++++
 libgnac/libgnac-metadata.c      |   14 ++++++++++++--
 src/gnac-properties.c           |   11 +++++++++--
 3 files changed, 26 insertions(+), 4 deletions(-)

commit f47b359eb932b348df867145ce22fa6b7f50fe9a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 17:51:32 2010 +0100

    Fixed a bug

 libgnac/libgnac-converter.c |    2 ++
 1 file changed, 2 insertions(+)

commit 731ab75bbc09fd00c00f0374c6d20f632a4178e7
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 15:51:26 2010 +0100

    Handled properly track-gain and track-peak tags

 src/gnac-properties.c |   21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit 581bf5b4963314882b9db82522583cfd7fa9971a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 28 17:48:33 2010 +0100

    Escaped text to prevent warnings

 src/gnac-properties.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de935852061d92de718f62eda01caad711234fb2
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 28 00:21:35 2010 +0100

    Code cleanup

 .gitignore                                   |    1 +
 ChangeLog                                    | 2747 +-------------------------
 INSTALL                                      |  114 +-
 Makefile.am                                  |   13 +
 NEWS                                         |    4 +-
 autogen.sh                                   |    2 +-
 libgnac/libgnac-converter.c                  |    4 +-
 libgnac/libgnac-converter.h                  |    3 +-
 libgnac/libgnac-debug.c                      |    2 +-
 libgnac/libgnac-debug.h                      |   14 +-
 libgnac/libgnac-error.c                      |    2 +-
 libgnac/libgnac-error.h                      |    8 +-
 libgnac/libgnac-gst-utils.c                  |    2 +-
 libgnac/libgnac-gst-utils.h                  |   32 +-
 libgnac/libgnac-gst.c                        |    4 +-
 libgnac/libgnac-gst.h                        |   14 +-
 libgnac/libgnac-marshallers.c                |    3 +-
 libgnac/libgnac-marshallers.h                |   41 +-
 libgnac/libgnac-media-item.c                 |    4 +-
 libgnac/libgnac-media-item.h                 |   37 +-
 libgnac/libgnac-metadata-tags.h              |    2 +-
 libgnac/libgnac-metadata.c                   |    2 +-
 libgnac/libgnac-metadata.h                   |    2 +-
 libgnac/libgnac-output.c                     |    2 +-
 libgnac/libgnac-output.h                     |   24 +-
 libgnac/libgnac-profile.h                    |    4 +-
 po/ChangeLog                                 |  179 --
 src/Makefile.am                              |    1 -
 src/gnac-bars.c                              |    2 +-
 src/gnac-bars.h                              |    6 +-
 src/gnac-file-list.c                         |    9 +-
 src/gnac-file-list.h                         |   10 +-
 src/gnac-gconf.c                             |    5 +-
 src/gnac-gconf.h                             |   23 +-
 src/gnac-main.c                              |  118 +-
 src/gnac-main.h                              |   17 +-
 src/gnac-options.c                           |    5 +-
 src/gnac-options.h                           |    5 +-
 src/gnac-playlist.c                          |    2 +-
 src/gnac-playlist.h                          |    6 +-
 src/gnac-prefs.c                             |    2 +-
 src/gnac-prefs.h                             |    6 +-
 src/gnac-properties.c                        |    2 +-
 src/gnac-properties.h                        |   16 +-
 src/gnac-stock-items.c                       |    2 +-
 src/gnac-stock-items.h                       |    6 +-
 src/gnac-ui.c                                |   40 +-
 src/gnac-ui.h                                |    7 +-
 src/gnac-utils.c                             |    2 +-
 src/gnac-utils.h                             |    6 +-
 src/gnac.h                                   |   31 -
 src/profiles/formats/gnac-profiles-aac.c     |  122 +-
 src/profiles/formats/gnac-profiles-aac.h     |   16 +-
 src/profiles/formats/gnac-profiles-flac.c    |   54 +-
 src/profiles/formats/gnac-profiles-flac.h    |   16 +-
 src/profiles/formats/gnac-profiles-lame.c    |  417 ++--
 src/profiles/formats/gnac-profiles-lame.h    |   36 +-
 src/profiles/formats/gnac-profiles-speex.c   |  392 ++--
 src/profiles/formats/gnac-profiles-speex.h   |   32 +-
 src/profiles/formats/gnac-profiles-unknown.c |  108 +-
 src/profiles/formats/gnac-profiles-unknown.h |   18 +-
 src/profiles/formats/gnac-profiles-vorbis.c  |  201 +-
 src/profiles/formats/gnac-profiles-vorbis.h  |   24 +-
 src/profiles/formats/gnac-profiles-wav.c     |   29 +-
 src/profiles/formats/gnac-profiles-wav.h     |   15 +-
 src/profiles/formats/gnac-profiles-wavpack.c |  289 +--
 src/profiles/formats/gnac-profiles-wavpack.h |   28 +-
 src/profiles/gnac-profiles-default.c         |  179 +-
 src/profiles/gnac-profiles-default.h         |   59 +-
 src/profiles/gnac-profiles-manager.c         |  696 ++++---
 src/profiles/gnac-profiles-manager.h         |   66 +-
 src/profiles/gnac-profiles-properties.c      |  571 +++---
 src/profiles/gnac-profiles-properties.h      |   42 +-
 src/profiles/gnac-profiles-utils.c           |  669 ++++---
 src/profiles/gnac-profiles-utils.h           |  190 +-
 src/profiles/gnac-profiles-xml-engine.c      |  298 +--
 src/profiles/gnac-profiles-xml-engine.h      |   63 +-
 src/profiles/gnac-profiles.c                 |  118 +-
 src/profiles/gnac-profiles.h                 |    6 +-
 79 files changed, 3159 insertions(+), 5190 deletions(-)

commit 599987c41ffefd5cf81f079534226c28d1d770fc
Merge: 392ec06 aa0cf78
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Wed Jun 9 21:39:19 2010 +0200

    Merge branch 'file-chooser' into devel
    
    Conflicts:
    	src/gnac-main.c

commit 392ec063c5a29da0e0c3a992f42c4c3dd54a9cd5
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Jun 9 08:54:15 2010 +0100

    Fixed a concurrency bug

 src/gnac-main.c |   40 +++++++++++++++++++++++++---------------
 1 file changed, 25 insertions(+), 15 deletions(-)

commit aa0cf78c43d4a01470953bb6aa3a78d33a635643
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jun 8 21:23:10 2010 +0100

    Improved file filters

 data/ui/gnac.xml    |  105 +++++++++++++
 src/gnac-main.c     |  318 ++-------------------------------------
 src/gnac-main.h     |    5 -
 src/gnac-playlist.c |   98 ++++++++----
 src/gnac-playlist.h |    7 +
 src/gnac-ui.c       |  411 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/gnac-ui.h       |   30 ++++
 7 files changed, 635 insertions(+), 339 deletions(-)

commit 1c7ef9f6cc73e75b184e0e108cef00244d1f0f07
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jun 6 23:40:39 2010 +0200

    Created Galician translations and added gl to LINGUAS file

 po/LINGUAS |    1 +
 po/gl.po   | 1333 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1334 insertions(+)

commit 76546f2dc457488b579f7f4363415f1752bfb8df
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Jun 1 18:27:13 2010 +0100

    Cleaned playlists handling

 src/gnac-main.c     |   16 +++------
 src/gnac-playlist.c |   98 ++++++++++++++++++++++++++++++++++++---------------
 src/gnac-playlist.h |    7 ++++
 3 files changed, 81 insertions(+), 40 deletions(-)

commit 08c22e890e63ccb2c585f6dea600c8bcf19d46ea
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 21:09:31 2010 +0100

    Added WavPack filter

 src/gnac-main.c |   29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit 1e5ed9dfe0589b0b2dda0a9fe1560dc6a533299e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 21:03:50 2010 +0100

    Disabled main interface during plugins' installation

 libgnac/libgnac-converter.c  |   16 ++++++++++++++++
 libgnac/libgnac-converter.h  |    4 ++++
 libgnac/libgnac-media-item.c |    2 ++
 src/gnac-bars.c              |   36 ++++++++++++++++++++++++++++++++++++
 src/gnac-bars.h              |    9 +++++++++
 src/gnac-main.c              |   32 +++++++++++++++++++++++++-------
 src/gnac-main.h              |    3 ++-
 7 files changed, 94 insertions(+), 8 deletions(-)

commit 2f9ca3b33f718249263bbf28e1e6c9f4e97b3a66
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 20:30:57 2010 +0100

    Improved display of VBR files' bitrate

 libgnac/libgnac-metadata-tags.h |    5 +++++
 libgnac/libgnac-metadata.c      |   14 ++++++++++++--
 src/gnac-properties.c           |   11 +++++++++--
 3 files changed, 26 insertions(+), 4 deletions(-)

commit 45cde34a6bbd46f0d8d25807b4cf8b1f9c6c102a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 17:51:32 2010 +0100

    Fixed a bug

 libgnac/libgnac-converter.c |    2 ++
 1 file changed, 2 insertions(+)

commit 22c79ccdf4d8415eaa47edb5d1c5909b1098d083
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat May 29 15:51:26 2010 +0100

    Handled properly track-gain and track-peak tags

 src/gnac-properties.c |   21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit 6d337d7df2f9f8bb360dc9f894976617fbf2c320
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri May 28 20:04:31 2010 +0200

    Updated Slovenian translation

 po/sl.po |  230 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 129 insertions(+), 101 deletions(-)

commit 6f6a184fa4c218852098ce775500ee8a1b11a0f7
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 28 17:48:33 2010 +0100

    Escaped text to prevent warnings

 src/gnac-properties.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21bc3673527ab75dc913123f7de198dbb92418d4
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 28 14:11:41 2010 +0100

    Added libunique support (trac ticket #39)

 configure.ac       |    6 +++
 src/Makefile.am    |    2 +
 src/gnac-main.c    |    2 +
 src/gnac-options.c |   56 ++++++++++++++---------
 src/gnac-options.h |    9 ++++
 src/gnac-ui.c      |  126 ++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/gnac-ui.h      |    5 +++
 src/gnac-utils.c   |   32 +++++++++++++
 src/gnac-utils.h   |    4 ++
 9 files changed, 219 insertions(+), 23 deletions(-)

commit 528b2736ea4218ef16bfe1c043b32832d5089d03
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 28 00:21:35 2010 +0100

    Code cleanup

 .gitignore                                   |    1 +
 ChangeLog                                    | 2747 +-------------------------
 INSTALL                                      |  114 +-
 Makefile.am                                  |   13 +
 NEWS                                         |    4 +-
 autogen.sh                                   |    2 +-
 libgnac/libgnac-converter.c                  |    4 +-
 libgnac/libgnac-converter.h                  |    3 +-
 libgnac/libgnac-debug.c                      |    2 +-
 libgnac/libgnac-debug.h                      |   14 +-
 libgnac/libgnac-error.c                      |    2 +-
 libgnac/libgnac-error.h                      |    8 +-
 libgnac/libgnac-gst-utils.c                  |    2 +-
 libgnac/libgnac-gst-utils.h                  |   32 +-
 libgnac/libgnac-gst.c                        |    4 +-
 libgnac/libgnac-gst.h                        |   14 +-
 libgnac/libgnac-marshallers.c                |    3 +-
 libgnac/libgnac-marshallers.h                |   41 +-
 libgnac/libgnac-media-item.c                 |    4 +-
 libgnac/libgnac-media-item.h                 |   37 +-
 libgnac/libgnac-metadata-tags.h              |    2 +-
 libgnac/libgnac-metadata.c                   |    2 +-
 libgnac/libgnac-metadata.h                   |    2 +-
 libgnac/libgnac-output.c                     |    2 +-
 libgnac/libgnac-output.h                     |   24 +-
 libgnac/libgnac-profile.h                    |    4 +-
 po/ChangeLog                                 |  179 --
 src/Makefile.am                              |    1 -
 src/gnac-bars.c                              |    2 +-
 src/gnac-bars.h                              |    6 +-
 src/gnac-file-list.c                         |    9 +-
 src/gnac-file-list.h                         |   10 +-
 src/gnac-gconf.c                             |    5 +-
 src/gnac-gconf.h                             |   23 +-
 src/gnac-main.c                              |  118 +-
 src/gnac-main.h                              |   17 +-
 src/gnac-options.c                           |    5 +-
 src/gnac-options.h                           |    5 +-
 src/gnac-playlist.c                          |    2 +-
 src/gnac-playlist.h                          |    6 +-
 src/gnac-prefs.c                             |    2 +-
 src/gnac-prefs.h                             |    6 +-
 src/gnac-properties.c                        |    2 +-
 src/gnac-properties.h                        |   16 +-
 src/gnac-stock-items.c                       |    2 +-
 src/gnac-stock-items.h                       |    6 +-
 src/gnac-ui.c                                |   40 +-
 src/gnac-ui.h                                |    7 +-
 src/gnac-utils.c                             |    2 +-
 src/gnac-utils.h                             |    6 +-
 src/gnac.h                                   |   31 -
 src/profiles/formats/gnac-profiles-aac.c     |  122 +-
 src/profiles/formats/gnac-profiles-aac.h     |   16 +-
 src/profiles/formats/gnac-profiles-flac.c    |   54 +-
 src/profiles/formats/gnac-profiles-flac.h    |   16 +-
 src/profiles/formats/gnac-profiles-lame.c    |  417 ++--
 src/profiles/formats/gnac-profiles-lame.h    |   36 +-
 src/profiles/formats/gnac-profiles-speex.c   |  392 ++--
 src/profiles/formats/gnac-profiles-speex.h   |   32 +-
 src/profiles/formats/gnac-profiles-unknown.c |  108 +-
 src/profiles/formats/gnac-profiles-unknown.h |   18 +-
 src/profiles/formats/gnac-profiles-vorbis.c  |  201 +-
 src/profiles/formats/gnac-profiles-vorbis.h  |   24 +-
 src/profiles/formats/gnac-profiles-wav.c     |   29 +-
 src/profiles/formats/gnac-profiles-wav.h     |   15 +-
 src/profiles/formats/gnac-profiles-wavpack.c |  289 +--
 src/profiles/formats/gnac-profiles-wavpack.h |   28 +-
 src/profiles/gnac-profiles-default.c         |  179 +-
 src/profiles/gnac-profiles-default.h         |   59 +-
 src/profiles/gnac-profiles-manager.c         |  696 ++++---
 src/profiles/gnac-profiles-manager.h         |   66 +-
 src/profiles/gnac-profiles-properties.c      |  571 +++---
 src/profiles/gnac-profiles-properties.h      |   42 +-
 src/profiles/gnac-profiles-utils.c           |  669 ++++---
 src/profiles/gnac-profiles-utils.h           |  190 +-
 src/profiles/gnac-profiles-xml-engine.c      |  298 +--
 src/profiles/gnac-profiles-xml-engine.h      |   63 +-
 src/profiles/gnac-profiles.c                 |  118 +-
 src/profiles/gnac-profiles.h                 |    6 +-
 79 files changed, 3159 insertions(+), 5190 deletions(-)

commit 8cd850fabbd1edeb6017d23aa28b42e5f4771364
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu May 27 23:14:51 2010 +0200

    Updated German translation

 po/de.po |  196 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 101 insertions(+), 95 deletions(-)

commit 41b9c28a37c8245ed252e06d3dd7faf45a9e5839
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed May 26 18:01:17 2010 +0200

    Updated Spanish translation

 po/es.po |  208 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 113 insertions(+), 95 deletions(-)

commit 00985de57fc94ac167501c2ef512129b15f154b0
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed May 26 14:13:16 2010 +0200

    Updated Swedish translation

 po/sv.po |  414 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 225 insertions(+), 189 deletions(-)

commit d1b461515a8a92e2ec16ab4f07b51322f4097a71
Merge: 74cf001 baea7eb
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Tue May 25 22:04:16 2010 +0200

    Merge branch 'master' into devel

commit baea7ebbbb586ad874556367214efed567b8dda4
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue May 25 12:29:35 2010 +0100

    Removed markup from GTKBuilder translatable strings

 data/profiles/ui/gnac-profiles-flac.xml       |   12 ++++++---
 data/profiles/ui/gnac-profiles-lame.xml       |   12 ++++++---
 data/profiles/ui/gnac-profiles-manager.xml    |   24 +++++++++++------
 data/profiles/ui/gnac-profiles-properties.xml |   18 ++++++++-----
 data/profiles/ui/gnac-profiles-speex.xml      |   36 ++++++++++++++++---------
 data/profiles/ui/gnac-profiles-vorbis.xml     |   12 ++++++---
 data/ui/gnac-pref-window.xml                  |   24 +++++++++++------
 src/gnac-prefs.c                              |    2 +-
 8 files changed, 93 insertions(+), 47 deletions(-)

commit 94474b619c501bd50ee458a9c130c459f2db29c1
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue May 25 19:05:58 2010 +0200

    Updated Spanish translation

 po/es.po |   99 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 58 insertions(+), 41 deletions(-)

commit 74cf0014603f6cccd258c0d3a76ffe3a33ce8e0a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue May 25 12:29:35 2010 +0100

    Removed markup from GTKBuilder translatable strings

 data/profiles/ui/gnac-profiles-flac.xml       |   12 ++++++---
 data/profiles/ui/gnac-profiles-lame.xml       |   12 ++++++---
 data/profiles/ui/gnac-profiles-manager.xml    |   24 +++++++++++------
 data/profiles/ui/gnac-profiles-properties.xml |   18 ++++++++-----
 data/profiles/ui/gnac-profiles-speex.xml      |   36 ++++++++++++++++---------
 data/profiles/ui/gnac-profiles-vorbis.xml     |   12 ++++++---
 data/ui/gnac-pref-window.xml                  |   24 +++++++++++------
 src/gnac-prefs.c                              |    2 +-
 8 files changed, 93 insertions(+), 47 deletions(-)

commit 39d051db092a94a8082b63b72766430d656e7a8a
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon May 24 17:27:44 2010 +0200

    Updated German translation

 po/de.po |   97 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 57 insertions(+), 40 deletions(-)

commit 82055e3de79f020ef0253693d74d1a8ce99c724d
Merge: 4f4b333 0a7462c
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sat May 22 09:33:47 2010 +0200

    Merge branch 'devel'

commit 0a7462c02c56f8be31d1b41301626e072f11d07c
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Thu May 20 22:52:18 2010 +0200

    Minor edit on debian dir

 debian/control |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8da1313974178c928e64297e3181de2f01afb002
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Thu May 20 22:10:42 2010 +0200

    Fix problem in debian directory

 debian/changelog     |    4 ++--
 debian/control       |    4 ++--
 debian/rules         |    2 +-
 debian/source/format |    1 +
 4 files changed, 6 insertions(+), 5 deletions(-)

commit 32758b13ae836dc07daae96151a15e615927dffa
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri May 21 19:36:16 2010 +0200

    Updated Slovenian translation

 po/sl.po |   89 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 41 insertions(+), 48 deletions(-)

commit 4f4b333a63fe724307ca91769c01dea79a2c3ca0
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 21 15:14:37 2010 +0100

    Updated copyright date in 'About Gnac' window

 data/ui/gnac.xml |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99790e9930e0f42bd4f0aa742dffc3d9e39a945d
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 21 11:44:22 2010 +0100

    Updated .gitignore file

 .gitignore |    1 +
 1 file changed, 1 insertion(+)

commit a2d3282726ef763e0f11b4abc6a07087a5d39ae8
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 21 09:06:04 2010 +0100

    Added support for Mallard documentation

 Makefile.am                  |   10 ++++++--
 configure.ac                 |    6 ++---
 data/ui/gnac.xml             |    9 ++++---
 help/C/figures/gnac-logo.png |  Bin 0 -> 2532 bytes
 help/C/index.page            |   17 +++++++++++++
 help/C/intro.page            |   16 ++++++++++++
 help/C/license.page          |   57 ++++++++++++++++++++++++++++++++++++++++++
 help/Makefile.am             |   14 +++++++++++
 src/gnac-main.c              |   27 ++++++++------------
 src/gnac-main.h              |    2 +-
 10 files changed, 131 insertions(+), 27 deletions(-)

commit 6af340fec72cadd14bbbb842f8b61e769aa0c6f5
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Thu May 20 22:52:18 2010 +0200

    Minor edit on debian dir

 debian/control |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b54f17e0dd271b6e20845d45c7017ea828117182
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 20 21:46:59 2010 +0100

    Added a missing file in POTFILES.in

 po/POTFILES.in |    1 +
 1 file changed, 1 insertion(+)

commit e5c98b4b2682832e3ab328eebf59ab84bb177cd8
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 20 21:37:13 2010 +0100

    Checked whether plugin installation is supported

 libgnac/libgnac-media-item.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f9aedafda04c20b02c83adcfd8e5fb951f8fdfb5
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 20 21:35:38 2010 +0100

    Prevented annoying warnings

 libgnac/libgnac-converter.c |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 152352a9ad52133b42b1633a4d7a623730046004
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Thu May 20 22:10:42 2010 +0200

    Fix problem in debian directory

 debian/changelog     |    4 ++--
 debian/control       |    4 ++--
 debian/rules         |    2 +-
 debian/source/format |    1 +
 4 files changed, 6 insertions(+), 5 deletions(-)

commit d8f6971733ba6e80868d67786d58807a5d04df14
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri May 21 19:36:16 2010 +0200

    Updated Slovenian translation

 po/sl.po |   89 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 41 insertions(+), 48 deletions(-)

commit 6b6553283e552a92c34a3f26d905ad9ece027072
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 21 15:14:37 2010 +0100

    Updated copyright date in 'About Gnac' window

 data/ui/gnac.xml |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6357794714593cf0a5a3d63a71a9e037a3251353
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 21 11:44:22 2010 +0100

    Updated .gitignore file

 .gitignore |    1 +
 1 file changed, 1 insertion(+)

commit 415cd2b54fb79fe1886a06494d6910d957971e08
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri May 21 09:06:04 2010 +0100

    Added support for Mallard documentation

 Makefile.am                  |   10 ++++++--
 configure.ac                 |    6 ++---
 data/ui/gnac.xml             |    9 ++++---
 help/C/figures/gnac-logo.png |  Bin 0 -> 2532 bytes
 help/C/index.page            |   17 +++++++++++++
 help/C/intro.page            |   16 ++++++++++++
 help/C/license.page          |   57 ++++++++++++++++++++++++++++++++++++++++++
 help/Makefile.am             |   14 +++++++++++
 src/gnac-main.c              |   27 ++++++++------------
 src/gnac-main.h              |    2 +-
 10 files changed, 131 insertions(+), 27 deletions(-)

commit c0adc749ac314815dc80aae74ea1d97276bf7ab9
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 20 21:46:59 2010 +0100

    Added a missing file in POTFILES.in

 po/POTFILES.in |    1 +
 1 file changed, 1 insertion(+)

commit 1f88649e76cf998e517e52fdd644ab8cff77e980
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 20 21:37:13 2010 +0100

    Checked whether plugin installation is supported

 libgnac/libgnac-media-item.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2e21fc4e0e0d6a1a1b64b725fa2dd72c1103f029
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 20 21:35:38 2010 +0100

    Prevented annoying warnings

 libgnac/libgnac-converter.c |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 6d69eb4264d69c0facfa1b0e80c3f9744fa6ddba
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Thu May 20 21:28:47 2010 +0200

    Update french translation

 po/fr.po |  560 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 275 insertions(+), 285 deletions(-)

commit 71bc57e719e046dcc305e197a23c242390dd6532
Merge: a4158cb 7aa60bc
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Thu May 20 19:17:06 2010 +0200

    Merge branch 'devel'

commit 7aa60bc32e3380a9fdcfddae9f024b33d457ef3c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu May 20 01:44:08 2010 +0100

    Fixed a bug in the support for missing plugin installation

 libgnac/libgnac-media-item.c |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 30001729ae3c35b0403d06023c8223a5e45bf630
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed May 19 18:12:57 2010 +0100

    Fixed the support for missing plugin installation

 libgnac/libgnac-converter.c  |   14 +++++++----
 libgnac/libgnac-gst-utils.c  |    2 +-
 libgnac/libgnac-gst.c        |   53 +++++++++++++++++++++++++++++++++++++-----
 libgnac/libgnac-media-item.c |   40 ++++++++++++++++++++++---------
 4 files changed, 87 insertions(+), 22 deletions(-)

commit 68eb3da8051b0532c837338d9ea404051f37f398
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed May 19 17:49:49 2010 +0100

    Fixed a bug in configure.ac

 configure.ac |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit ead47f2c57d332929e34684b1a67f5aab657289b
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed May 19 17:43:58 2010 +0100

    Improved the trayicon's tooltips

 src/gnac-ui.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2b1ecb809d6a35b60a3b107e8359b9c527b4d6ab
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun May 16 22:55:41 2010 +0100

    Retrieve and display tag GST_TAG_PREVIEW_IMAGE

 libgnac/libgnac-metadata.c |   35 ++++++++++++++++++++++-------------
 1 file changed, 22 insertions(+), 13 deletions(-)

commit a4158cb67660e34e09342760af35a43156019e2b
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon May 10 23:22:03 2010 +0200

    Updated Spanish translation

 po/es.po |  159 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 90 insertions(+), 69 deletions(-)

commit 5f5fc08a59a0a1b20e170155c21c3811af82117f
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon May 10 00:10:34 2010 +0100

    Fixed a double bug

 libgnac/libgnac-media-item.c |   33 +++++++++++++++------------------
 1 file changed, 15 insertions(+), 18 deletions(-)

commit 1a619a5c25eda37666e5a99bb66f7185672002ba
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun May 9 21:50:04 2010 +0100

    Improved the trayicon's tooltips

 libgnac/libgnac-output.c |   10 +++++-----
 src/gnac-ui.c            |   33 +++++++++++++++++++++++----------
 2 files changed, 28 insertions(+), 15 deletions(-)

commit 3d13430df02882310e4b038fb259c193853501ee
Merge: c1010d1 ec11865
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun May 9 16:13:43 2010 +0200

    Merge branch 'master' into devel

commit c1010d13232a8242a4325ab6efff6ab07516dea9
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun May 9 16:09:11 2010 +0200

    Add debian folder, for .deb building

 debian/changelog |    5 +++
 debian/compat    |    1 +
 debian/control   |   14 ++++++++
 debian/copyright |   40 +++++++++++++++++++++
 debian/dirs      |    1 +
 debian/docs      |    3 ++
 debian/rules     |  105 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 169 insertions(+)

commit fff4db9ced55eb25bee158416563bc45519ffc99
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun May 9 16:05:47 2010 +0200

    Partly finish separation between libgnac-output, converter and media-item.

 libgnac/libgnac-converter.c  |   16 +++++++++-
 libgnac/libgnac-converter.h  |    5 +++
 libgnac/libgnac-media-item.c |   10 +++++-
 libgnac/libgnac-output.c     |   70 ++++++++++++++----------------------------
 libgnac/libgnac-output.h     |   28 ++++++++---------
 5 files changed, 65 insertions(+), 64 deletions(-)

commit cb037b4c0157a32cc3acb82a5a14a570b2622f16
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun May 9 10:51:09 2010 +0200

    Prepare and move some code do disconnect output from meia-item and gst

 libgnac/libgnac-gst.c        |    8 --------
 libgnac/libgnac-gst.h        |    1 -
 libgnac/libgnac-media-item.c |   10 ++++++++++
 libgnac/libgnac-output.c     |   14 ++++++++++++++
 libgnac/libgnac-output.h     |   10 ++++++++++
 5 files changed, 34 insertions(+), 9 deletions(-)

commit ec11865c3978543c698488a92aeb6b9b26084da0
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat May 8 12:45:09 2010 +0200

    Updated German translation

 po/de.po |  217 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 117 insertions(+), 100 deletions(-)

commit 0bd9128030489698c6f34e9e2ea32e10baa7a08d
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat May 8 09:44:03 2010 +0200

    Updated Slovenian translation

 po/sl.po |  159 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 88 insertions(+), 71 deletions(-)

commit 84f2a9c7a1e0db5b07ac3c4abc3742fc35ee1ccb
Merge: f11edb3 1d6cc2a
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Fri May 7 22:21:14 2010 +0200

    Merge branch 'devel' into refactoring
    
    Conflicts:
    	libgnac/libgnac-converter.c
    	libgnac/libgnac-converter.h
    	libgnac/libgnac-output.c

commit 1d6cc2a4bd609b9b9c003e0420a238b8f85c2a0a
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Fri May 7 22:01:36 2010 +0200

    Update .gitignore for cleaner commits

 .gitignore |   30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit ae61e14dcdcc3fcc5aaaeb501e648c6341b482ec
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Fri May 7 21:39:30 2010 +0200

    Port some refactoring, such as media-items and gst-utils

 src/gnac-ui.c |    1 +
 1 file changed, 1 insertion(+)

commit c6d14439650b77a3fe9f554734b1d940c5955cfb
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun May 2 21:50:29 2010 +0200

    Fix some comment

 src/gnac-ui.c |    1 -
 1 file changed, 1 deletion(-)

commit 41458fa84d29c03f5fd6f35df6374a4572a3d548
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Mon Apr 26 21:43:20 2010 +0200

    Start refactoring

 libgnac/libgnac-gst-utils.c  |  187 ++++++++++++++++++++++++++++++++
 libgnac/libgnac-gst-utils.h  |   71 ++++++++++++
 libgnac/libgnac-media-item.c |  243 ++++++++++++++++++++++++++++++++++++++++++
 libgnac/libgnac-media-item.h |  106 ++++++++++++++++++
 libgnac/libgnac-profile.h    |   44 ++++++++
 5 files changed, 651 insertions(+)

commit ecc4cb747570a1dc27c3c58404cd7f09a30ab8f9
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Fri May 7 20:02:33 2010 +0200

    Fix forgotten bugs

 libgnac/libgnac-converter.c |   65 -------------------------------------------
 src/gnac-properties.h       |    4 ---
 src/gnac-ui.c               |    2 +-
 3 files changed, 1 insertion(+), 70 deletions(-)

commit e8ac7fbb4facbf153717d0ad17a03c15fc4890ae
Merge: b21a4ae 940ae71
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Fri May 7 19:58:36 2010 +0200

    Merge branch 'devel'
    
    Conflicts:
    	configure.ac
    	libgnac/libgnac-converter.c
    	libgnac/libgnac-output.c
    	src/gnac-properties.h

commit b21a4ae917d29a441e40052d286f7b195a3ab131
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue May 4 23:11:39 2010 +0100

    Fixed a bug preventing the properties window from being correctly displayed after having been hidden

 data/ui/gnac-properties-window.xml |    5 +----
 src/gnac-properties.c              |   11 +++++++++++
 src/gnac-properties.h              |    5 +++++
 3 files changed, 17 insertions(+), 4 deletions(-)

commit 940ae71c0baecb99bd0861cb505cd52281499c5c
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue May 4 23:01:59 2010 +0100

    Fixed a bug preventing the properties window from being correctly displayed after having been hidden

 data/ui/gnac-properties-window.xml |    5 +----
 src/gnac-properties.c              |   11 +++++++++++
 src/gnac-properties.h              |    5 +++++
 3 files changed, 17 insertions(+), 4 deletions(-)

commit e262e12985a9c598e12265db9d304280d322ec41
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue May 4 11:39:51 2010 +0100

    Replaced deprecated symbols

 src/gnac-prefs.c                        |    2 +-
 src/profiles/gnac-profiles-properties.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c444a347412fea49f623f37259e8807f9a7d93a4
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue May 4 11:37:35 2010 +0100

    Replaced deprecated symbols

 src/gnac-prefs.c                        |    2 +-
 src/profiles/gnac-profiles-properties.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e4e44e6614a2ca55aec17142961feee261956ac5
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Apr 28 00:11:57 2010 +0100

    Fixed bug #603042

 data/profiles/default/Voice,_Lossless.xml.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4793e16b0f2af47ab1f0d3ea912b800fb6608fcc
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Apr 26 19:06:10 2010 +0100

    Fixed bug #606762 (trac ticket #2) and trac ticket #1

 libgnac/libgnac-converter.c |   31 ++++++++++++++-----------------
 libgnac/libgnac-output.c    |    2 --
 2 files changed, 14 insertions(+), 19 deletions(-)

commit cf21db14734aecee84222c88d04b542bb4594cf5
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Apr 22 16:50:00 2010 +0100

    Code cleanup to prevent warnings when destroying windows.

 src/gnac-prefs.c      |    4 +---
 src/gnac-properties.c |    4 +---
 src/gnac-ui.c         |    8 ++------
 3 files changed, 4 insertions(+), 12 deletions(-)

commit 9ff9820a12c766fee678814bd3f358c5fdbb7a0e
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Apr 22 16:46:41 2010 +0100

    Code cleanup to prevent warnings when destroying windows.

 src/gnac-prefs.c      |    4 +---
 src/gnac-properties.c |    4 +---
 src/gnac-ui.c         |   12 ++++--------
 3 files changed, 6 insertions(+), 14 deletions(-)

commit 0bbbb4ce5a44db304759a697a5b93ab26df0a5c3
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Apr 21 22:10:02 2010 +0100

    Fixed bug #616395 (trac ticket #33)

 libgnac/libgnac-output.c |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 27f485b800621dabaf40c7930237c89649f85715
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Apr 21 22:16:58 2010 +0100

    Fixed bug #616395 (trac ticket #33)

 libgnac/libgnac-output.c |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 771427c1ed3963c97afa15dd88c9411f1f5f4bff
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Mar 23 11:48:49 2010 +0000

    Updated build system (trac ticket #32)

 Makefile.am                                  |    5 +-
 TODO                                         |    1 +
 autogen.sh                                   |   11 +-
 configure.ac                                 |  147 ++++++++++++++------------
 libgnac/libgnac-converter.c                  |    2 +-
 libgnac/libgnac-output.c                     |    1 -
 src/gnac-main.c                              |    5 +-
 src/profiles/formats/gnac-profiles-aac.c     |    3 +-
 src/profiles/formats/gnac-profiles-flac.c    |    3 +-
 src/profiles/formats/gnac-profiles-lame.c    |    3 +-
 src/profiles/formats/gnac-profiles-speex.c   |    3 +-
 src/profiles/formats/gnac-profiles-unknown.c |    5 +-
 src/profiles/formats/gnac-profiles-vorbis.c  |    3 +-
 src/profiles/formats/gnac-profiles-wav.c     |    3 +-
 src/profiles/formats/gnac-profiles-wavpack.c |    3 +-
 src/profiles/gnac-profiles-default.c         |    3 +-
 src/profiles/gnac-profiles-properties.c      |   13 ++-
 src/profiles/gnac-profiles-utils.c           |    2 +-
 src/profiles/gnac-profiles-xml-engine.c      |   17 +--
 19 files changed, 116 insertions(+), 117 deletions(-)

commit ab1773ecb4c0ecf57a43963d3320409055f20958
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Mar 17 18:58:29 2010 +0100

    Updated Spanish translation

 po/es.po |  127 ++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 90 insertions(+), 37 deletions(-)

commit 5bff23456e50de3fe72c1bfcb050db454e9fef6a
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Mar 17 17:56:14 2010 +0100

    Updated Spanish translation

 po/es.po |  261 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 131 insertions(+), 130 deletions(-)

commit cccfe98927d1156f50866caa33ce3b5633794def
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Mar 14 17:42:18 2010 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  189 ++++++++------------------------------------------------------
 1 file changed, 24 insertions(+), 165 deletions(-)

commit f6c8b9a70a871907f3693d5fc864c04d08d1c267
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Mar 14 17:39:06 2010 +0100

    Add Norwegian language entry.

 po/LINGUAS |    1 +
 1 file changed, 1 insertion(+)

commit a7ebcc72d15db02f2248636e2ceb2880a7159b76
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Mar 14 17:38:57 2010 +0100

    Added Norwegian bokmål translation

 po/nb.po | 1347 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1347 insertions(+)

commit a01a3cf9ae6557388be13c9e34e7e4bee372521d
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Mar 7 15:30:35 2010 +0100

    Update Czech translation

 po/cs.po |   38 ++++++--------------------------------
 1 file changed, 6 insertions(+), 32 deletions(-)

commit 44a16d1cf96510fcfa1ab4d525588eb2eb4aa98b
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Mar 6 21:43:13 2010 +0100

    Updated German translation

 po/de.po |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 634c742cad7ed41d3224ecbc2190d24a8d0ee9d0
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Mar 6 16:07:03 2010 +0100

    Updated Slovenian translation

 po/sl.po |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 3666619991ccd137fe698683ec7159800052bace
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Mar 4 23:24:27 2010 +0000

    Fixed bug #607022 (trac ticket #31).

 data/profiles/speex.xml.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d10453af78bfee4bec1c4dbec3adf6d6e06d485b
Author: Aron Xu <aronxu@gnome.org>
Date:   Wed Mar 3 19:53:46 2010 +0800

    Add Simplified Chinese translation.

 po/LINGUAS  |    1 +
 po/zh_CN.po | 1220 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1221 insertions(+)

commit cd9f6c999afbb1454b67282ea429fdf7e98df6ec
Author: Taylon Silmer <taylonsilva@gmail.com>
Date:   Fri Feb 12 16:02:08 2010 -0300

    Added Brazilian Portuguese translation

 po/LINGUAS  |    1 +
 po/pt_BR.po | 1278 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1279 insertions(+)

commit 1b6cdd7463a416f57d859d37d6e7ae869aafcfee
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Mon Jan 18 19:53:21 2010 +0100

    Refactoring and fix on _error_cb

 configure.ac                |    9 +-
 libgnac/libgnac-converter.c |  247 +++++++++++++++++++++++++++++--------------
 libgnac/libgnac-converter.h |    1 -
 libgnac/libgnac-gst.c       |    9 ++
 libgnac/libgnac-output.c    |    2 +
 src/gnac-ui.c               |    2 +
 6 files changed, 186 insertions(+), 84 deletions(-)

commit 87a02f0c2f09f88ecd4c36699a8835130452b7ee
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Jan 17 10:17:53 2010 +0000

    Added some flags for the compiler to improve the debugging abilities (trac ticket #12)

 configure.ac |    7 +++++++
 1 file changed, 7 insertions(+)

commit 22a0093c32c4add95ca86dc5910e464ccac3f45c
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sat Jan 16 17:23:10 2010 +0100

    Added Danish translation

 po/da.po | 1288 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1288 insertions(+)

commit 72dd3945170c89141690f8900afb3a80f87356ba
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sat Jan 16 17:22:21 2010 +0100

    Added da to list of languages

 po/LINGUAS |    1 +
 1 file changed, 1 insertion(+)

commit f11edb34632c2592ebf7d5dda87d773346f416d9
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Tue Jan 12 18:45:05 2010 +0100

    Partial refactoring
    Need some bugfixes

 libgnac/Makefile.am         |    5 +
 libgnac/libgnac-converter.c |  342 +++++++++++++++----------------------------
 libgnac/libgnac-converter.h |   45 +-----
 libgnac/libgnac-gst.c       |  288 ++++++------------------------------
 libgnac/libgnac-gst.h       |   60 ++------
 libgnac/libgnac-metadata.c  |   14 +-
 libgnac/libgnac-output.c    |   16 +-
 libgnac/libgnac-output.h    |    3 +-
 8 files changed, 202 insertions(+), 571 deletions(-)

commit b775c093c08868b7a5cf29ee1c1367f9ff30cfd9
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Jan 10 19:35:15 2010 +0100

    Updated Swedish translation

 po/sv.po | 1010 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 452 insertions(+), 558 deletions(-)

commit 8d1ab86b04cfe38dd1e5caded0a646d3a10c008e
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun Nov 29 21:39:15 2009 +0100

    Fix bug #603042, change default caps to int instead of float

 data/profiles/base.xml.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ff2f33f162b3a7d13aceefe0d4a71978e618265
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Nov 29 18:59:55 2009 +0000

    Print state changes in debug mode only.

 src/gnac-main.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c02d3b18c7adcec06d8f4eaa91b1f1303dfeee6
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun Nov 29 18:32:25 2009 +0100

    Fix a bug introduced in last commit with gnac State

 src/gnac-main.c |    8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 75dc08133d913cf4b34a1a23d20e8f2a59bcd8ba
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Nov 29 16:47:32 2009 +0000

    Added debug and verbose options.

 configure.ac            |    2 +-
 libgnac/libgnac-debug.c |   35 ++++++----
 libgnac/libgnac-debug.h |    3 +
 man/gnac.1              |   10 ++-
 po/POTFILES.in          |    1 +
 src/Makefile.am         |    2 +
 src/gnac-main.c         |   49 ++------------
 src/gnac-main.h         |    3 +
 src/gnac-options.c      |  168 +++++++++++++++++++++++++++++++++++++++++++++++
 src/gnac-options.h      |   52 +++++++++++++++
 10 files changed, 264 insertions(+), 61 deletions(-)

commit 0923284bf86826497833be73ddbb221307117779
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun Nov 29 11:33:55 2009 +0100

    Improve feedback handling, better categorization of the messages

 libgnac/libgnac-converter.c |   27 ++++++++++++++++++---------
 libgnac/libgnac-debug.c     |   16 ++++++++++++----
 libgnac/libgnac-debug.h     |   36 ++++++++++++++++++++++++++++++++++--
 libgnac/libgnac-gst.c       |    4 ++--
 src/gnac-main.c             |    8 ++++----
 5 files changed, 70 insertions(+), 21 deletions(-)

commit 135e14f84ec9109dd2b8b2234d5b3c2028e82390
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sat Nov 21 22:48:04 2009 +0100

    Add a basic .gitignore file

 .gitignore |    4 ++++
 1 file changed, 4 insertions(+)

commit e19fd9ef1824f4dff286db6ebd513808f61c0565
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Nov 13 10:13:03 2009 +0100

    Added sl for Slovenian translation

 po/LINGUAS |    1 +
 1 file changed, 1 insertion(+)

commit d937f57713c5a75c649c7365689f5ad9314f2afc
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Nov 13 10:12:35 2009 +0100

    Updated Slovenian translation

 po/sl.po | 1187 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1187 insertions(+)

commit 36cea7703a12e2ae06c904c40aab26a0de6e3332
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Nov 6 19:39:38 2009 +0000

    Updated the Makefiles and the man page. Changed spacings in gnac-pref-window.xml.

 configure.ac                 |    6 +++++-
 data/ui/gnac-pref-window.xml |    6 ++++--
 man/gnac.1                   |   12 +++++++-----
 src/Makefile.am              |    8 ++++----
 4 files changed, 20 insertions(+), 12 deletions(-)

commit e0e5b270a59cb9784d0af0e6ba1e660d63db86aa
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Nov 3 17:08:08 2009 +0100

    Update Czech translation.

 po/cs.po |  705 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 348 insertions(+), 357 deletions(-)

commit 10d0adcbdbec8835d1e22d65134e5329250f90d6
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Nov 2 13:13:08 2009 +0100

    Added initial Spanish translation

 po/es.po | 1229 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1229 insertions(+)

commit ce801ee15e321fd4fa0529ebab3a45c66a1fcd96
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Nov 2 13:12:42 2009 +0100

    Added es to LINGUAS

 po/LINGUAS |    1 +
 1 file changed, 1 insertion(+)

commit ad4bbe9f40b947d7362a0db9733134b1f8ae20b7
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun Oct 25 14:23:35 2009 +0100

    Fix an inclusion problem

 src/gnac-ui.h |    1 -
 1 file changed, 1 deletion(-)

commit cb133b380163a2909964af417714cb8d04358078
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Oct 18 11:47:15 2009 +0200

    Updated German translation

 po/de.po |  856 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 469 insertions(+), 387 deletions(-)

commit 89a5ea8876a5d2cfab47b94f27d8b7e383fd0697
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Sep 18 23:22:00 2009 +0200

    Cleaned up the tree (forgot to add some files).

 data/icons/Makefile.am       |   58 ++++++++++++++++++++++++++++++++++++++++++
 data/profiles/ui/Makefile.am |   18 +++++++++++++
 data/ui/Makefile.am          |    8 ++++++
 man/Makefile.am              |    4 +++
 4 files changed, 88 insertions(+)

commit 87e4c3917512417c4927e66bf390ff8157cf54c7
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Sep 18 23:20:14 2009 +0200

    Cleaned up the tree.

 AUTHORS                                          |    6 +-
 Makefile.am                                      |    2 +-
 NEWS                                             |   25 +-
 configure.ac                                     |    7 +-
 data/Makefile.am                                 |   73 +-
 data/gnac-128.png                                |  Bin 17561 -> 0 bytes
 data/gnac-16.png                                 |  Bin 988 -> 0 bytes
 data/gnac-192.png                                |  Bin 29175 -> 0 bytes
 data/gnac-22.png                                 |  Bin 1436 -> 0 bytes
 data/gnac-24.png                                 |  Bin 1688 -> 0 bytes
 data/gnac-256.png                                |  Bin 41271 -> 0 bytes
 data/gnac-32.png                                 |  Bin 2532 -> 0 bytes
 data/gnac-48.png                                 |  Bin 4466 -> 0 bytes
 data/gnac-64.png                                 |  Bin 6841 -> 0 bytes
 data/gnac-72.png                                 |  Bin 8051 -> 0 bytes
 data/gnac-96.png                                 |  Bin 12153 -> 0 bytes
 data/gnac-pref-window.xml                        |  598 -----------------
 data/gnac-properties-window.xml                  |  562 ----------------
 data/gnac.1                                      |   89 ---
 data/gnac.png                                    |  Bin 4466 -> 0 bytes
 data/gnac.svg                                    |  773 ----------------------
 data/gnac.xml                                    |  389 -----------
 data/icons/gnac-128.png                          |  Bin 0 -> 17561 bytes
 data/icons/gnac-16.png                           |  Bin 0 -> 988 bytes
 data/icons/gnac-192.png                          |  Bin 0 -> 29175 bytes
 data/icons/gnac-22.png                           |  Bin 0 -> 1436 bytes
 data/icons/gnac-24.png                           |  Bin 0 -> 1688 bytes
 data/icons/gnac-256.png                          |  Bin 0 -> 41271 bytes
 data/icons/gnac-32.png                           |  Bin 0 -> 2532 bytes
 data/icons/gnac-48.png                           |  Bin 0 -> 4466 bytes
 data/icons/gnac-64.png                           |  Bin 0 -> 6841 bytes
 data/icons/gnac-72.png                           |  Bin 0 -> 8051 bytes
 data/icons/gnac-96.png                           |  Bin 0 -> 12153 bytes
 data/icons/gnac.png                              |  Bin 0 -> 4466 bytes
 data/icons/gnac.svg                              |  773 ++++++++++++++++++++++
 data/profiles/Makefile.am                        |   17 +-
 data/profiles/gnac-profiles-aac.xml              |  174 -----
 data/profiles/gnac-profiles-base-advanced.xml    |   80 ---
 data/profiles/gnac-profiles-combo.xml            |   57 --
 data/profiles/gnac-profiles-flac.xml             |  113 ----
 data/profiles/gnac-profiles-lame.xml             |  427 ------------
 data/profiles/gnac-profiles-manager.xml          |  348 ----------
 data/profiles/gnac-profiles-properties.xml       |  339 ----------
 data/profiles/gnac-profiles-speex.xml            |  420 ------------
 data/profiles/gnac-profiles-unknown.xml          |   47 --
 data/profiles/gnac-profiles-vorbis.xml           |  262 --------
 data/profiles/gnac-profiles-wav.xml              |   51 --
 data/profiles/gnac-profiles-wavpack.xml          |  303 ---------
 data/profiles/ui/gnac-profiles-aac.xml           |  174 +++++
 data/profiles/ui/gnac-profiles-base-advanced.xml |   80 +++
 data/profiles/ui/gnac-profiles-combo.xml         |   57 ++
 data/profiles/ui/gnac-profiles-flac.xml          |  113 ++++
 data/profiles/ui/gnac-profiles-lame.xml          |  427 ++++++++++++
 data/profiles/ui/gnac-profiles-manager.xml       |  348 ++++++++++
 data/profiles/ui/gnac-profiles-properties.xml    |  339 ++++++++++
 data/profiles/ui/gnac-profiles-speex.xml         |  420 ++++++++++++
 data/profiles/ui/gnac-profiles-unknown.xml       |   47 ++
 data/profiles/ui/gnac-profiles-vorbis.xml        |  262 ++++++++
 data/profiles/ui/gnac-profiles-wav.xml           |   51 ++
 data/profiles/ui/gnac-profiles-wavpack.xml       |  303 +++++++++
 data/ui/gnac-pref-window.xml                     |  598 +++++++++++++++++
 data/ui/gnac-properties-window.xml               |  562 ++++++++++++++++
 data/ui/gnac.xml                                 |  389 +++++++++++
 gnac.spec.in                                     |   65 --
 libgnac/libgnac-converter.c                      |    8 +-
 libgnac/libgnac-converter.h                      |    8 +-
 libgnac/libgnac-debug.c                          |    8 +-
 libgnac/libgnac-debug.h                          |    8 +-
 libgnac/libgnac-error.c                          |    8 +-
 libgnac/libgnac-error.h                          |    8 +-
 libgnac/libgnac-gst.c                            |    8 +-
 libgnac/libgnac-gst.h                            |    8 +-
 libgnac/libgnac-marshallers.c                    |    8 +-
 libgnac/libgnac-marshallers.h                    |    8 +-
 libgnac/libgnac-metadata-tags.h                  |    8 +-
 libgnac/libgnac-metadata.c                       |    8 +-
 libgnac/libgnac-metadata.h                       |    8 +-
 libgnac/libgnac-output.c                         |    8 +-
 libgnac/libgnac-output.h                         |    8 +-
 man/gnac.1                                       |   89 +++
 po/POTFILES.in                                   |   30 +-
 po/fr.po                                         |   16 +-
 src/gnac-bars.c                                  |    8 +-
 src/gnac-bars.h                                  |    8 +-
 src/gnac-file-list.c                             |    8 +-
 src/gnac-file-list.h                             |    8 +-
 src/gnac-gconf.c                                 |    8 +-
 src/gnac-gconf.h                                 |    8 +-
 src/gnac-main.c                                  |    8 +-
 src/gnac-main.h                                  |    8 +-
 src/gnac-playlist.c                              |    8 +-
 src/gnac-playlist.h                              |    8 +-
 src/gnac-prefs.c                                 |    8 +-
 src/gnac-prefs.h                                 |    8 +-
 src/gnac-properties.c                            |    8 +-
 src/gnac-properties.h                            |    8 +-
 src/gnac-stock-items.c                           |    8 +-
 src/gnac-stock-items.h                           |    8 +-
 src/gnac-ui.c                                    |    8 +-
 src/gnac-ui.h                                    |    8 +-
 src/gnac-utils.c                                 |    8 +-
 src/gnac-utils.h                                 |    8 +-
 src/gnac.h                                       |    8 +-
 src/profiles/formats/gnac-profiles-aac.c         |    8 +-
 src/profiles/formats/gnac-profiles-aac.h         |    8 +-
 src/profiles/formats/gnac-profiles-flac.c        |    8 +-
 src/profiles/formats/gnac-profiles-flac.h        |    8 +-
 src/profiles/formats/gnac-profiles-lame.c        |    8 +-
 src/profiles/formats/gnac-profiles-lame.h        |    8 +-
 src/profiles/formats/gnac-profiles-speex.c       |    8 +-
 src/profiles/formats/gnac-profiles-speex.h       |    8 +-
 src/profiles/formats/gnac-profiles-unknown.c     |    8 +-
 src/profiles/formats/gnac-profiles-unknown.h     |    8 +-
 src/profiles/formats/gnac-profiles-vorbis.c      |    8 +-
 src/profiles/formats/gnac-profiles-vorbis.h      |    8 +-
 src/profiles/formats/gnac-profiles-wav.c         |    8 +-
 src/profiles/formats/gnac-profiles-wav.h         |    8 +-
 src/profiles/formats/gnac-profiles-wavpack.c     |    8 +-
 src/profiles/formats/gnac-profiles-wavpack.h     |    8 +-
 src/profiles/gnac-profiles-default.c             |    8 +-
 src/profiles/gnac-profiles-default.h             |    8 +-
 src/profiles/gnac-profiles-manager.c             |    8 +-
 src/profiles/gnac-profiles-manager.h             |    8 +-
 src/profiles/gnac-profiles-properties.c          |    8 +-
 src/profiles/gnac-profiles-properties.h          |    8 +-
 src/profiles/gnac-profiles-utils.c               |    8 +-
 src/profiles/gnac-profiles-utils.h               |    8 +-
 src/profiles/gnac-profiles-xml-engine.c          |    8 +-
 src/profiles/gnac-profiles-xml-engine.h          |    8 +-
 src/profiles/gnac-profiles.c                     |    8 +-
 src/profiles/gnac-profiles.h                     |    8 +-
 131 files changed, 5286 insertions(+), 5531 deletions(-)

commit 1ac2539150e9fb21d3daa099b3e75fb214122d8a
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Sep 13 20:26:44 2009 +0200

    Merged the video part of gnac and gnac-video (libgnac only).

 libgnac/libgnac-converter.c     |   66 ++++++++++--
 libgnac/libgnac-converter.h     |    2 +
 libgnac/libgnac-gst.c           |  212 +++++++++++++++++++++++++++++++++++----
 libgnac/libgnac-gst.h           |    7 ++
 libgnac/libgnac-metadata-tags.h |   20 ++++
 libgnac/libgnac-metadata.c      |   88 ++++++++++++----
 6 files changed, 347 insertions(+), 48 deletions(-)

commit 1cbbf9fa04cb0ccf3807ac456434a3904d5ca275
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sun Sep 6 11:20:23 2009 +0200

    Merged the audio part of gnac and gnac-video.

 libgnac/libgnac-converter.c |   26 ++--
 libgnac/libgnac-gst.c       |  308 ++++++++++++++++++++++++++++++-------------
 libgnac/libgnac-gst.h       |   18 +++
 libgnac/libgnac-metadata.c  |   75 ++++++-----
 src/gnac-main.c             |   14 +-
 src/gnac-main.h             |    6 +-
 6 files changed, 296 insertions(+), 151 deletions(-)

commit 372130de1714fece350e848eb591b1a8a147cb14
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Sep 3 15:12:52 2009 +0200

    Updated gnac.doap

 gnac.doap |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 4143b716fe628b7fdcdd85a95a116d4169cea50d
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Aug 28 09:24:25 2009 +0200

    Change spacing in gnac-prefs in accordance to the GNOME Human Interface Guidelines.

 data/gnac-pref-window.xml |   32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit 57d2c729ea3597c00ac2c70324cd1f6f47e143ab
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Aug 25 18:18:35 2009 +0200

    Improved the notification icon's tooltips.

 src/gnac-ui.c |   50 +++++++++++++++++++++++++++-----------------------
 1 file changed, 27 insertions(+), 23 deletions(-)

commit 9c4af5afc55c29ecc1e4203bd15b5b7aa5fcb823
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Aug 25 09:05:18 2009 +0200

    Double click rather than single click on the tree view to add files.

 src/gnac-file-list.c |   25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit d4b0e3018e51d7755df7039a3bb63bb3dbe9f8e6
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Aug 22 20:20:59 2009 +0200

    Clicking on an empty line in the treeview has the same effect as clicking on 'add'.

 src/gnac-file-list.c |   38 ++++++++++++++++++++------------------
 1 file changed, 20 insertions(+), 18 deletions(-)

commit 6f11e0a3d648b86748e6330bae5f733664a146fa
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Sat Aug 22 20:14:29 2009 +0200

    Clicking on the GtkFileChooserButton in gnac-prefs makes it sensitive.

 data/gnac-pref-window.xml |   20 +++++++++++++-------
 src/gnac-prefs.c          |   12 ++++++++----
 2 files changed, 21 insertions(+), 11 deletions(-)

commit d1d85f9db019777df80d4d7d04663b9841d16561
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Fri Aug 21 10:23:10 2009 +0200

    Removed useless file.

 data/gnac-bars.xml |   36 ------------------------------------
 data/gnac.xml      |    4 ++--
 2 files changed, 2 insertions(+), 38 deletions(-)

commit fb9f54a2dc248c98d01ac1f958656c52ac066e27
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Thu Aug 20 09:46:35 2009 +0200

    Cleaned up the the strings for the translators. Updated the french translation.

 data/gnac-pref-window.xml                    |    4 +-
 data/gnac-properties-window.xml              |    2 +-
 data/gnac.schemas.in                         |    6 +-
 data/gnac.xml                                |    2 +-
 data/profiles/gnac-profiles-lame.xml         |    6 +-
 data/profiles/gnac-profiles-properties.xml   |    2 +-
 data/profiles/gnac-profiles-speex.xml        |    2 +-
 data/profiles/gnac-profiles-vorbis.xml       |    2 +-
 data/profiles/mp3-lame.xml.in                |    2 +-
 data/profiles/wavpack.xml.in                 |    2 +-
 libgnac/libgnac-converter.c                  |   24 +-
 libgnac/libgnac-gst.c                        |    8 +-
 libgnac/libgnac-metadata.c                   |    6 +-
 libgnac/libgnac-output.h                     |   13 +-
 po/cs.po                                     |  473 ++++++++++++-------------
 po/de.po                                     |  469 ++++++++++++-------------
 po/fr.po                                     |  480 ++++++++++++--------------
 po/he.po                                     |  437 ++++++++++++-----------
 po/it.po                                     |  446 ++++++++++++------------
 po/ro.po                                     |  448 ++++++++++++------------
 po/sv.po                                     |  449 ++++++++++++------------
 src/gnac-gconf.c                             |   12 +-
 src/gnac-main.c                              |   34 +-
 src/gnac-playlist.c                          |    6 +-
 src/gnac-prefs.c                             |   50 ++-
 src/gnac-properties.c                        |    6 +-
 src/gnac-ui.c                                |   22 +-
 src/profiles/formats/gnac-profiles-unknown.c |   10 +-
 src/profiles/gnac-profiles-manager.c         |   42 +--
 src/profiles/gnac-profiles-properties.c      |   31 +-
 30 files changed, 1746 insertions(+), 1750 deletions(-)

commit f9616a29b6c686ce91e1dc99a21119ef0b701eab
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Wed Aug 19 12:27:22 2009 +0200

    Add a man page.

 data/Makefile.am |    3 ++
 data/gnac.1      |   89 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gnac-main.c  |   40 ++++++++++++++++--------
 3 files changed, 120 insertions(+), 12 deletions(-)

commit 1c08d7c9e4106158c873da20c00eea1b6f73b7db
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Tue Aug 18 17:46:32 2009 +0200

    Add COPYING and INSTALL to the tree.

 COPYING     |  674 ++++++++++++++++++++++++++++++++
 INSTALL     |  291 ++++++++++++++
 po/gnac.pot | 1231 -----------------------------------------------------------
 3 files changed, 965 insertions(+), 1231 deletions(-)

commit 53ffd193020c377b32340818bdc2cc9db1f9fca1
Author: Benoît Dupasquier <bdupasqu@src.gnome.org>
Date:   Mon Aug 10 16:51:27 2009 +0200

    Add Bugzilla information.

 configure.ac            |    2 +-
 data/gnac.desktop.in.in |    7 +++++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 6c68134e1a232b281375ede1d372524b9139e708
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun Aug 9 22:24:35 2009 +0200

    Edit .doap file

 gnac.doap |    7 +++++++
 1 file changed, 7 insertions(+)

commit e4f5aff8a38a9c568bee1bdf131a5c16a176aacb
Author: David Joaquim <djoaquim@src.gnome.org>
Date:   Sun Aug 9 22:06:39 2009 +0200

    Add doap file

 gnac.doap |   18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 4170b8449e81b7d6d391ee825759e44bb3fda299
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Sun Aug 2 08:17:58 2009 +0000

    Update cs translation, fix a mistake in Makefile.am (thanks to Lubos Stanek)

 data/Makefile.am |    4 +--
 po/cs.po         |   74 +++++++++++++++++++++++++++++++-----------------------
 2 files changed, 44 insertions(+), 34 deletions(-)

commit 89adad850193a8671e025fee3c7aebcbadb94e6f
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Jul 31 14:27:37 2009 +0000

    - Fix a bug in gnac-prefs preventing the output filename to be saved,
    - Handle properly cases when a filename does not have any extension.

 data/Makefile.am          |    3 +-
 data/gnac-pref-window.xml |    4 +-
 libgnac/libgnac-output.c  |    8 +++-
 src/gnac-prefs.c          |  107 +++++++++++++++++++--------------------------
 4 files changed, 55 insertions(+), 67 deletions(-)

commit 9a1caa418a5c75570e964040db0d3f03d644d9b8
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Jul 31 08:44:00 2009 +0000

    Fix a bug.

 src/gnac-prefs.c |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 00deb04720af9efc27702a29e4caa9632033f768
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Jul 29 15:51:20 2009 +0000

    Fix a bug in the flac profile: the compression level goes from 0 to 8, although gst-inspect flacenc indicates it goes up to 9. Thanks to Jay Moore for pointing out the bug.

 data/profiles/flac.xml.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a5fe557e0e7df000b2400564000e3b79a396418
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Mon Jul 27 12:07:50 2009 +0000

    Fix a bug in the update of the toolbar.

 src/gnac-bars.c |    6 +++---
 src/gnac-main.c |    5 ++++-
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 16cc8c054a17276d6bc9623ffda17affa33af151
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Jul 22 17:35:09 2009 +0000

    - Fix a piece of code preventing gnac from being compiled,
    - Update some strings and translations.

 data/gnac-properties-window.xml           |   17 ++--
 libgnac/libgnac-converter.c               |    4 +-
 po/cs.po                                  |  139 +++++++++++++-------------
 po/de.po                                  |  141 ++++++++++++++-------------
 po/fr.po                                  |  112 ++++++++++-----------
 po/gnac.pot                               |   96 +++++++++---------
 po/he.po                                  |  116 +++++++++++-----------
 po/it.po                                  |  140 ++++++++++++--------------
 po/ro.po                                  |  136 +++++++++++---------------
 po/sv.po                                  |  151 +++++++++++++----------------
 src/gnac-prefs.c                          |   25 +++--
 src/gnac-ui.c                             |    2 +-
 src/profiles/formats/gnac-profiles-lame.c |    4 +-
 src/profiles/gnac-profiles-manager.c      |   12 +--
 14 files changed, 512 insertions(+), 583 deletions(-)

commit e4fc1f34fc50355b28782f1cf1fa6df124f8f301
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Jul 21 16:36:58 2009 +0000

    - Clicking on a non-sensitive entry (e.g., custom pattern entry) makes it sensitive.

 data/gnac-pref-window.xml |  113 +++++++++++++++++++++++++++------------------
 src/gnac-prefs.c          |   68 +++++++++++++++++++++++----
 src/gnac-prefs.h          |    5 ++
 3 files changed, 131 insertions(+), 55 deletions(-)

commit 89a7f7c97ca3dd36d5c49b1eb29f60312096cafa
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Mon Jul 20 18:36:03 2009 +0000

    - Fix some bugs (close_dialog_on_add, sensitivity of widgets when no files are
      added),
    - New feature: double clicking on a file in the file chooser adds this file to
      the list,
    - New feature: hitting 'enter' in the file chooser adds the selected
      file/folder to the list.

 src/gnac-bars.c |   12 ++++++++----
 src/gnac-main.c |   57 +++++++++++++++++++++++++++++++++++++++++--------------
 2 files changed, 51 insertions(+), 18 deletions(-)

commit 6c52f3bcdfc6937ae82a51548ac1337201f01899
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Mon Jul 20 07:14:12 2009 +0000

    - Add some folder hierarchy patterns,
    - Fancier tooltips for the custom patterns,
    - Update french translation.

 data/gnac-pref-window.xml  |   36 ++-----
 data/gnac.xml              |   16 +--
 libgnac/libgnac-metadata.c |    4 +-
 po/cs.po                   |  186 +++++++++++++++++++---------------
 po/de.po                   |  185 +++++++++++++++++++---------------
 po/fr.po                   |  238 ++++++++++++++++++++++----------------------
 po/gnac.pot                |  182 ++++++++++++++++++---------------
 po/he.po                   |  186 +++++++++++++++++++---------------
 po/it.po                   |  186 +++++++++++++++++++---------------
 po/ro.po                   |  186 +++++++++++++++++++---------------
 po/sv.po                   |  186 +++++++++++++++++++---------------
 src/gnac-prefs.c           |   49 +++++++--
 src/gnac-prefs.h           |    8 ++
 13 files changed, 934 insertions(+), 714 deletions(-)

commit 7c990fdfedb0e197f6bb9ad7c412653910d2a896
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Jul 17 07:08:04 2009 +0000

    Fix some memory leaks.

 data/gnac-pref-window.xml   |    2 +-
 libgnac/libgnac-converter.c |    2 ++
 libgnac/libgnac-output.c    |   21 +++++++++++++++------
 libgnac/libgnac-output.h    |    3 +++
 src/gnac-main.c             |   29 ++++++++++++++++++++---------
 src/gnac-prefs.c            |   43 ++++++++++++++++++++++++++++---------------
 src/gnac-prefs.h            |    6 ------
 7 files changed, 69 insertions(+), 37 deletions(-)

commit 6bd58e6bed71e5d0d03b4873376b6ff43b9df457
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Jul 15 17:52:55 2009 +0000

    Add the possibility to copy an existing profile.

 data/profiles/gnac-profiles-manager.xml |   19 ++++++-
 src/profiles/gnac-profiles-manager.c    |   88 ++++++++++++++++++++++++++++++-
 src/profiles/gnac-profiles-manager.h    |    3 ++
 3 files changed, 107 insertions(+), 3 deletions(-)

commit 32150cb81ada51d4521159f8d94837fec573c7d5
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Jul 15 07:08:34 2009 +0000

    Update translations.

 ChangeLog   |  160 ++++++++++++++++++++++++++++++++
 po/cs.po    |  295 +++++++++++++++++++++++++++++++++++++++++-----------------
 po/de.po    |  294 +++++++++++++++++++++++++++++++++++++++++-----------------
 po/fr.po    |  296 ++++++++++++++++++++++++++++++++++++++++++-----------------
 po/gnac.pot |  286 ++++++++++++++++++++++++++++++++++++++++-----------------
 po/he.po    |  294 +++++++++++++++++++++++++++++++++++++++++-----------------
 po/it.po    |  295 +++++++++++++++++++++++++++++++++++++++++-----------------
 po/ro.po    |  295 +++++++++++++++++++++++++++++++++++++++++-----------------
 po/sv.po    |  295 +++++++++++++++++++++++++++++++++++++++++-----------------
 9 files changed, 1844 insertions(+), 666 deletions(-)

commit dbd2e67f5dbf9294509bc730e5de9efccfc17ff7
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Jul 15 06:48:37 2009 +0000

    - Add a 'Strip special characters' option in gnac-prefs.

 data/gnac-pref-window.xml   |   15 +++++++-
 data/gnac.schemas.in        |   10 ++++++
 libgnac/libgnac-converter.c |   22 ++++++++++++
 libgnac/libgnac-output.c    |   82 ++++++++++++++++++-------------------------
 libgnac/libgnac-output.h    |    3 +-
 src/gnac-gconf.c            |    1 +
 src/gnac-gconf.h            |    1 +
 src/gnac-main.c             |    1 +
 src/gnac-prefs.c            |   18 +++++++++-
 src/gnac-prefs.h            |    4 +++
 10 files changed, 106 insertions(+), 51 deletions(-)

commit 93a57d4c169ee128686420f8a0bd88c53027d749
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Jul 14 17:28:19 2009 +0000

    - Update the trayicon's popup menu (Show/Hide) depending on the visibility of the main window.

 src/gnac-ui.c |   21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit f411e0c3321e00d0419088eafe5a52cde5ec7a75
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Jul 14 17:13:07 2009 +0000

    - Don't print error messages when the user has chosen not to overwrite a file (display rather a GTK_STOCK_DIALOG_INFO).
    - Update the trayicon's tooltip even if it is currently displayed.

 libgnac/libgnac-converter.c |    6 +++++-
 src/gnac-file-list.c        |    7 ++++---
 src/gnac-file-list.h        |    4 +++-
 src/gnac-main.c             |   17 ++++++++++++++---
 src/gnac-ui.c               |    4 +++-
 5 files changed, 29 insertions(+), 9 deletions(-)

commit 0ddf7e73f836d617d9886fccf38a9f66dc7227f3
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Jul 14 06:59:02 2009 +0000

    - Better error handling: display a dialog when the destination file already
      exists.

 libgnac/libgnac-converter.c   |   65 ++++++++++++++++++++++++++++++++++---
 libgnac/libgnac-converter.h   |    1 +
 libgnac/libgnac-marshallers.c |   71 +++++++++++++++++++++++++++++++++++++++--
 libgnac/libgnac-marshallers.h |   47 +++++++++++++++++++++++----
 src/gnac-file-list.c          |    1 -
 src/gnac-main.c               |   38 +++++++++++++---------
 6 files changed, 192 insertions(+), 31 deletions(-)

commit f9a20dab2cecc43a9c94e2981c00a4a50c0e4308
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Jul 14 06:55:05 2009 +0000

    - Set the svn keyword 'Id' on all headers files in src/profiles/formats.

 src/profiles/formats/gnac-profiles-aac.h     |    2 +-
 src/profiles/formats/gnac-profiles-flac.h    |    2 +-
 src/profiles/formats/gnac-profiles-lame.h    |    2 +-
 src/profiles/formats/gnac-profiles-speex.h   |    2 +-
 src/profiles/formats/gnac-profiles-unknown.h |    2 +-
 src/profiles/formats/gnac-profiles-vorbis.h  |    2 +-
 src/profiles/formats/gnac-profiles-wav.h     |    2 +-
 src/profiles/formats/gnac-profiles-wavpack.h |    2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit 2ab9fa5f546c94313cfb0686e37e7ce3d3dcb31b
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Jul 9 16:46:46 2009 +0000

    - Disable the 'APE' filter (the Monkey's Audio plug-in has not yet been
      ported to gstreamer-0.10)

 src/gnac-main.c |    4 +++-
 src/gnac-ui.c   |    1 -
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 552c3ac0364b1d9dbd0243ca9f2299b2bfcbc559
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Jul 8 20:57:30 2009 +0000

    - Fix a bug preventing the tooltip to be displayed when a tag contains
      special characters (e.g. '&'),
    - Move the rescaling of images from libgnac-metadata to gnac-utils,
    - Add a border to images (trayicon's tooltip, properties window).

 data/gnac-properties-window.xml |    4 +--
 libgnac/libgnac-metadata.c      |    2 +-
 src/gnac-properties.c           |    2 ++
 src/gnac-ui.c                   |    7 ++++--
 src/gnac-utils.c                |   51 +++++++++++++++++++++++++++++++++++++++
 src/gnac-utils.h                |   10 ++++++++
 6 files changed, 71 insertions(+), 5 deletions(-)

commit 7443b93eeb3a32162918fee1acae68f7ee7243e0
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Jul 7 22:15:39 2009 +0000

    - Use GtkTooltip to display fancy tooltips on the trayicon.

 src/gnac-main.c  |    7 +++---
 src/gnac-prefs.c |    2 +-
 src/gnac-ui.c    |   68 ++++++++++++++++++++++++++++++++++++++++++++++++------
 src/gnac-ui.h    |    7 ++++++
 4 files changed, 72 insertions(+), 12 deletions(-)

commit c2128c37cfe25f96e047f11395450ae0ee21edb4
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Jul 7 20:30:20 2009 +0000

    - Fix a bug in the handling of GNAC_GCONF_FOLDER_TYPE.
    - Ensure the preferences window always starts with the 'General' tab selected.

 data/gnac-pref-window.xml |    2 +-
 src/gnac-gconf.c          |    2 +-
 src/gnac-prefs.c          |   28 ++++++++++++----------------
 src/gnac-properties.c     |    2 ++
 4 files changed, 16 insertions(+), 18 deletions(-)

commit d267fbf4ceec9dfc6a36d4b76695360bdb164080
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Jun 30 10:33:36 2009 +0000

    Change the shape of the cursor during conversion and file addition (only on
    the tree view).

 src/gnac-file-list.c |   13 +++++++++++++
 src/gnac-file-list.h |    3 +++
 src/gnac-main.c      |    6 ++++--
 3 files changed, 20 insertions(+), 2 deletions(-)

commit 4b3ce2bced87073b9e7c0a080de1d94946569dfa
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Jun 24 10:22:10 2009 +0000

    Code refactoring.

 src/gnac-main.c  |    6 ++--
 src/gnac-prefs.c |   91 ++++++++++++++++++++++++++++--------------------------
 src/gnac-prefs.h |    4 +--
 src/gnac-utils.c |   23 ++++++++++++++
 src/gnac-utils.h |    5 +++
 5 files changed, 80 insertions(+), 49 deletions(-)

commit 819fcd5634d677bcdbf69197dd92d8d247860b01
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Jun 17 13:32:49 2009 +0000

    Add accelerators to main interface

 data/gnac.xml        |    6 +++++-
 src/gnac-file-list.c |    2 ++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 20488182ce21601aa15adcde6dd235fbd64bb298
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Mon Jun 8 06:38:39 2009 +0000

    Modification of the preferences window to handle custom patterns.

 data/gnac-pref-window.xml       |  671 +++++++++++++++++++++++++--------------
 data/gnac.schemas.in            |   30 ++
 data/gnac.xml                   |    1 -
 libgnac/libgnac-converter.c     |   41 ++-
 libgnac/libgnac-metadata-tags.h |    4 +-
 libgnac/libgnac-metadata.c      |   85 ++++-
 libgnac/libgnac-metadata.h      |    3 +
 libgnac/libgnac-output.c        |  213 +++++++------
 libgnac/libgnac-output.h        |   30 +-
 src/gnac-gconf.c                |  133 ++------
 src/gnac-gconf.h                |   44 ++-
 src/gnac-main.c                 |   33 +-
 src/gnac-prefs.c                |  277 ++++++++++++----
 src/gnac-prefs.h                |   14 +
 src/gnac-ui.c                   |    9 +-
 15 files changed, 1009 insertions(+), 579 deletions(-)

commit 848ccf4cb7532551952007c2ccfaf51a0ff9c2c5
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Sun May 31 20:53:33 2009 +0000

    Modify data/Makefile.am to ensure compatibility with gentoo ebuilds
    (thanks to Christian Ludwig for the patch).

 data/Makefile.am |   19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit 1f0291c8814d911b30e49bb2e3e62b0ea10b70ed
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri May 29 14:56:03 2009 +0000

    Handle properly the case when the output pattern is unspecified
    (keep the original filename, but replace the extension).

 libgnac/libgnac-output.c |   20 +++++++-------------
 src/gnac-main.c          |   13 ++++++-------
 src/gnac-prefs.c         |   16 ++++++++--------
 3 files changed, 21 insertions(+), 28 deletions(-)

commit 6767ab370b65ce875d36d11e06bb25344a0067e0
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Mon May 25 14:48:13 2009 +0000

    Sanitize filenames before creating files.

 libgnac/libgnac-output.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5bd8fe491cdfb2b797c36488d19a13b58dfe94d9
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Mon May 25 07:07:59 2009 +0000

    Add code to handle customized rename patterns (e.g. to create a subfolder
    hierarchy (artist/album)).

 libgnac/libgnac-metadata-tags.h |    6 +-
 libgnac/libgnac-metadata.c      |   22 +-
 libgnac/libgnac-metadata.h      |    4 +
 libgnac/libgnac-output.c        |  422 +++++++++++++++++++++++++--------------
 libgnac/libgnac-output.h        |   40 +++-
 m4/intltool.m4                  |   64 +++---
 6 files changed, 378 insertions(+), 180 deletions(-)

commit aec189591de7aec937224fb1fcf938dd8392f751
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri May 8 15:11:50 2009 +0000

    Backported bugfix from branch gnac-video.
    Add display of replaygain values, track gain and peak

 libgnac/libgnac-converter.c     |   11 ++++++-----
 libgnac/libgnac-metadata-tags.h |    6 ++++++
 src/gnac-properties.c           |    6 ++++++
 3 files changed, 18 insertions(+), 5 deletions(-)

commit 714503e471379c2a794ea87c9f7ce4c3baf110e4
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Apr 9 07:47:27 2009 +0000

    Forgot to add de.po

 po/de.po | 1082 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1082 insertions(+)

commit 32006f6358c7bff9ab6839574d06922cc6904e57
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Apr 9 07:42:34 2009 +0000

    Add incomplete german translation, Thanks to Martin Lettner

 po/LINGUAS  |    1 +
 po/cs.po    |   71 ++++++++++++++++++++++++++++++++---------------------------
 po/fr.po    |   71 ++++++++++++++++++++++++++++++++---------------------------
 po/gnac.pot |   71 ++++++++++++++++++++++++++++++++---------------------------
 po/he.po    |   71 ++++++++++++++++++++++++++++++++---------------------------
 po/it.po    |   71 ++++++++++++++++++++++++++++++++---------------------------
 po/ro.po    |   71 ++++++++++++++++++++++++++++++++---------------------------
 po/sv.po    |   71 ++++++++++++++++++++++++++++++++---------------------------
 8 files changed, 267 insertions(+), 231 deletions(-)

commit 96eaa8902617e9c2c08808f0b090fafbda70e848
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Apr 8 08:12:47 2009 +0000

    On the road to gnac-0.2.1!
    Make the links in the about box clickable.

 configure.ac    |    2 +-
 src/gnac-main.c |   53 +++++++++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 46 insertions(+), 9 deletions(-)

commit 57425b3cecda624cc88d4dbb0c0a81814851690a
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Mon Apr 6 17:13:50 2009 +0000

    Make distcheck now also generates a .tar.gz.

 configure.ac    |    2 +-
 src/gnac-main.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c368cb9ca44157d5c66f4b916e125e8214b039c8
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Sun Apr 5 13:45:46 2009 +0000

    Update Changelog and POTFILES.in

 ChangeLog      |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in |    1 +
 2 files changed, 47 insertions(+)

commit 8761a954f73e4c45443bf8a708aa745622f98db7
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Sun Apr 5 12:28:00 2009 +0000

    Update romanian and italian translations

 po/he.po |  148 +++++++++++++++++++++++++++++++++++++++-----------------------
 po/it.po |   34 +++++++--------
 po/ro.po |   34 +++++++--------
 3 files changed, 123 insertions(+), 93 deletions(-)

commit 8f29f1d4b3bdf50e0e08cf290cb729b0d9800a6d
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Sun Apr 5 10:34:09 2009 +0000

    Add plural support in translation files

 po/cs.po    |    2 +-
 po/fr.po    |  296 ++++++++++++++++++++++++++++++++++++++++++-----------------
 po/gnac.pot |    2 +-
 po/he.po    |  156 ++++++++++++-------------------
 po/it.po    |    7 +-
 po/ro.po    |    7 +-
 po/sv.po    |    2 +-
 7 files changed, 281 insertions(+), 191 deletions(-)

commit ba1a3187d752b26e9809d9ab5138d42b98c95127
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Sun Apr 5 10:25:21 2009 +0000

    Fix french translation

 po/fr.po |  312 +++++++++++++++++++-------------------------------------------
 1 file changed, 95 insertions(+), 217 deletions(-)

commit 31917ea72555256999b7d0829358616d9d11cd7c
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Sun Apr 5 09:53:32 2009 +0000

    - correct a segfault
    - improve file import

 src/profiles/gnac-profiles-manager.c |   68 +++++++++++++++++-----------------
 1 file changed, 35 insertions(+), 33 deletions(-)

commit d344ee6d66cbe71822d82a16d42b03bed932660e
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Apr 3 21:08:21 2009 +0000

    Fix translation issues. Thanks to Lubos, again!

 po/cs.po        |  100 +++++++++++++++++++++++++++----------------------------
 po/fr.po        |   88 +++++++++++++++++++++++++-----------------------
 po/gnac.pot     |   87 ++++++++++++++++++++++++-----------------------
 po/he.po        |   86 ++++++++++++++++++++++++-----------------------
 po/it.po        |   92 ++++++++++++++++++++++++++------------------------
 po/ro.po        |   92 ++++++++++++++++++++++++++------------------------
 po/sv.po        |   89 ++++++++++++++++++++++++++-----------------------
 src/gnac-main.c |    9 +++--
 src/gnac-ui.c   |    6 ++--
 9 files changed, 336 insertions(+), 313 deletions(-)

commit f27a4f5600184841e49fbc4e14a46072acc368d7
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Apr 3 20:06:07 2009 +0000

    Update translation

 po/sv.po |   46 ++++++++++++++++++++--------------------------
 1 file changed, 20 insertions(+), 26 deletions(-)

commit e194b3bf5e264b83969885100ad7c0b93254226d
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Apr 3 19:22:30 2009 +0000

    Center properties and file-chooser windows

 src/gnac-main.c       |    2 ++
 src/gnac-properties.c |    1 +
 2 files changed, 3 insertions(+)

commit e957ed56b5e992f98ac175a61db0049bdfe84e0a
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Apr 3 17:59:29 2009 +0000

    Translations updated (freezed for gnac-0.2).

 po/cs.po    |  111 +++++++++++++++++++++++++++++++++++-----------------------
 po/fr.po    |  108 +++++++++++++++++++++++++++++++++-----------------------
 po/gnac.pot |  107 +++++++++++++++++++++++++++++++++-----------------------
 po/he.po    |  108 +++++++++++++++++++++++++++++++++-----------------------
 po/it.po    |  112 ++++++++++++++++++++++++++++++++++++-----------------------
 po/ro.po    |  112 ++++++++++++++++++++++++++++++++++++-----------------------
 po/sv.po    |  112 ++++++++++++++++++++++++++++++++++++-----------------------
 7 files changed, 469 insertions(+), 301 deletions(-)

commit 403c6d473601e13f2023364d4c61bfacd79da94c
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Apr 3 09:43:59 2009 +0000

    Fix a display bug

 data/gnac.xml        |    2 +-
 src/gnac-file-list.c |    2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit d4b6d57d6b6c13347a87411391d2936412af06e3
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Apr 3 09:23:38 2009 +0000

    Fix clear bug correctly this time!

 libgnac/libgnac-converter.c |   15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit 4431946825770d980f89cb5110c40bca31a9953c
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Apr 3 08:37:15 2009 +0000

    Fix clear bug

 libgnac/libgnac-converter.c |    9 ++++-----
 src/gnac-file-list.c        |    2 ++
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 50e1733b7a1fedd3b22eeec1c0f5edf2a23bcdb6
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Apr 3 08:16:42 2009 +0000

    Count only filtered files while adding

 src/gnac-main.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5da79ff5b227e2f903b1779ed93af2e66a64612a
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Apr 3 06:59:56 2009 +0000

    Reset the statusbar when clear has been hit.

 ChangeLog       |  106 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gnac-main.c |    6 +++-
 2 files changed, 111 insertions(+), 1 deletion(-)

commit 22f4ca67fd56b349c28235cd1862f833d4dd163f
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Apr 2 19:06:09 2009 +0000

    Add current number of added files...

 src/gnac-main.c |   10 ++++++++--
 src/gnac-ui.c   |    7 +++++++
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 134b4a586b1a0e65f543bfdf82802d90f1c24422
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Apr 2 17:58:12 2009 +0000

    Exit gracefully while importing...

 src/gnac-main.c |   34 +++++++++++++++++++++++++---------
 src/gnac-ui.c   |   17 +++++++++--------
 2 files changed, 34 insertions(+), 17 deletions(-)

commit 18474e978d506dd8ab2c18b773dad02d0d448289
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Apr 2 08:12:19 2009 +0000

    Fix a stupid piece of code

 src/gnac-main.c |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit b67f7e8f59829788a68e68c524ec49a250286453
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Apr 1 21:20:16 2009 +0000

    Remove previous introduced bug.
    Clean some code

 src/gnac-file-list.c |   96 +++++++++++++++++---------------------------------
 1 file changed, 33 insertions(+), 63 deletions(-)

commit c7ce762398d49aec85e34128ec1c8b64bcb17875
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Apr 1 21:12:56 2009 +0000

    Memory leaks with GtkListStore!

 src/gnac-file-list.c |   16 ++++------------
 src/gnac-utils.c     |   10 +++++++---
 src/gnac-utils.h     |    2 +-
 3 files changed, 12 insertions(+), 16 deletions(-)

commit f6d572726154c3d241d8477193f1a65611a51fad
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Apr 1 20:15:59 2009 +0000

    Improve file count from O(n) to O(1)

 src/gnac-file-list.c |   16 +---------------
 1 file changed, 1 insertion(+), 15 deletions(-)

commit f16c30661de386edae4499921a74b504af730b9e
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Apr 1 20:06:42 2009 +0000

    cancel implemented

 src/gnac-main.c |   97 +++++++++++++++++++++++++++++--------------------------
 1 file changed, 51 insertions(+), 46 deletions(-)

commit 92f648d2c7506c7825e763b80e59c600fa7bb83c
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Apr 1 19:44:47 2009 +0000

    detach the model while adding files...speed increase -> 33%

 src/gnac-file-list.c |   11 +++++++++++
 src/gnac-file-list.h |    3 +++
 src/gnac-main.c      |    5 ++---
 3 files changed, 16 insertions(+), 3 deletions(-)

commit ff68b90d42368ecc621d16bf9386cd38ca8cc5b1
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Apr 1 18:45:14 2009 +0000

    Add a state machine do deal with GUI
    pulse using main_loop
    disconnect row-deleted signal during file clear

 src/gnac-bars.c      |    3 +
 src/gnac-file-list.c |   38 +++++-------
 src/gnac-file-list.h |    3 +
 src/gnac-main.c      |  169 ++++++++++++++++++++++++++++++++++++--------------
 src/gnac-main.h      |    5 +-
 src/gnac-ui.c        |   18 +++++-
 src/gnac-ui.h        |    2 +-
 7 files changed, 168 insertions(+), 70 deletions(-)

commit 96e403c2ed426e34f8c320c594adb03b4688ebb0
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Apr 1 07:07:45 2009 +0000

    Correct a bug thcausing a SEGV (on corrupted files).

 libgnac/libgnac-converter.c |   36 ++++++++++++++++++++++--------------
 libgnac/libgnac-metadata.c  |   14 +++++++++-----
 src/gnac-bars.c             |    1 -
 3 files changed, 31 insertions(+), 20 deletions(-)

commit a78b4018d8a92cbbf3d86fbaa8e0fcc477689b9d
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Mar 31 14:37:06 2009 +0000

    First approach for the asynchrony(?) add of files
    Still todo:
     - Correctly block the non-wanted user actions while importing (so set
       unsensitive the rights button, etc.)
     - Implement the same to the remove/clear actions
     - Find clear bug

 data/profiles/base.xml.in |    4 +--
 src/gnac-bars.c           |   39 ++++++++++++++++++++-
 src/gnac-bars.h           |    6 ++++
 src/gnac-main.c           |   82 +++++++++++++++++++++++++++++++++++++++------
 src/gnac-ui.c             |   10 ++++++
 src/gnac-ui.h             |    3 ++
 6 files changed, 131 insertions(+), 13 deletions(-)

commit ccfd3c11615d94c7bca7fd2387c53a554fb50a3a
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Mon Mar 30 19:37:32 2009 +0000

    Delete the (partial) destination file, if the conversion couldn't end up nicely.

 libgnac/libgnac-converter.c |    6 ++++++
 1 file changed, 6 insertions(+)

commit 4a45ed56396c2e0e636fd49a0656cf8625c22acf
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Mon Mar 30 16:54:49 2009 +0000

    Correct an error in a message.

 libgnac/libgnac-converter.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 34baf135681986eeefb3ac6fe7b88adad5e421b5
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Sun Mar 29 08:49:41 2009 +0000

    update cs translation

 po/cs.po |   20 +++++---------------
 1 file changed, 5 insertions(+), 15 deletions(-)

commit e1bd85da10a26cda9f97a8a116d6c66bb4fa393b
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Mar 27 15:45:27 2009 +0000

    Restore default filter when drag'n'dropping files (otherwise it might be difficult to understand why a dnd is not successful).

 src/gnac-main.c |    5 +++++
 1 file changed, 5 insertions(+)

commit 347052427bb5d14e73eb5b7910f74780fd6f511e
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Mar 27 12:37:47 2009 +0000

    Bug fixes in gnac-playlist.

 po/cs.po            |    4 ++--
 po/fr.po            |    4 ++--
 po/gnac.pot         |    4 ++--
 po/he.po            |    4 ++--
 po/it.po            |    4 ++--
 po/ro.po            |    4 ++--
 po/sv.po            |    4 ++--
 src/gnac-playlist.c |   14 +++++++-------
 8 files changed, 21 insertions(+), 21 deletions(-)

commit 8218494827683f8216fd17c311c6c9c1c52acbd4
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Fri Mar 27 07:53:40 2009 +0000

    Remove duplicate code causing warnings in src/Makefile.am

 po/cs.po              |    2 +-
 po/fr.po              |    2 +-
 po/gnac.pot           |    2 +-
 po/he.po              |    2 +-
 po/it.po              |    2 +-
 po/ro.po              |    2 +-
 po/sv.po              |    2 +-
 src/Makefile.am       |   31 -------------------------------
 src/gnac-main.c       |    8 ++++----
 src/gnac-playlist.c   |    6 +++---
 src/gnac-properties.c |    1 -
 11 files changed, 14 insertions(+), 46 deletions(-)

commit 0108d83afabfbe1c36fa60cd17030ef38da8a821
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Mar 26 17:33:58 2009 +0000

    Code refactoring.

 ChangeLog                       |   40 +++++++++++++++++++++++++++++++++++++++
 libgnac/libgnac-metadata-tags.h |   27 ++++++++++++++++----------
 libgnac/libgnac-metadata.c      |   17 ++++++++---------
 po/cs.po                        |    2 +-
 po/fr.po                        |    2 +-
 po/gnac.pot                     |    2 +-
 po/he.po                        |    2 +-
 po/it.po                        |    2 +-
 po/ro.po                        |    2 +-
 po/sv.po                        |    2 +-
 src/gnac-properties.c           |   10 +++++-----
 11 files changed, 77 insertions(+), 31 deletions(-)

commit f662e6a76196de2edbf457b00f159a66e81e0500
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Mar 26 14:06:33 2009 +0000

    Code refactoring.

 po/cs.po         |    2 +-
 po/fr.po         |    2 +-
 po/gnac.pot      |    2 +-
 po/he.po         |    2 +-
 po/it.po         |    2 +-
 po/ro.po         |    2 +-
 po/sv.po         |    2 +-
 src/gnac-utils.c |    7 +------
 src/gnac-utils.h |    4 ++--
 9 files changed, 10 insertions(+), 15 deletions(-)

commit 2c7264eb43a46f6a34b58c412a0946fe7dde2abd
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Mar 26 07:47:15 2009 +0000

    Update translations.

 po/cs.po    |    2 +-
 po/fr.po    |    2 +-
 po/gnac.pot |    2 +-
 po/he.po    |    2 +-
 po/it.po    |    2 +-
 po/ro.po    |    2 +-
 po/sv.po    |    2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit ee69a39914a064aa9a00b30b73a6e426c70bc364
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Thu Mar 26 07:46:34 2009 +0000

    Prevent the remaining time to get crazy when dealing with unexpected situations.

 libgnac/libgnac-converter.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0414eaa4ab521b129e616dbddaaddef3774bf62b
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Mar 25 22:17:10 2009 +0000

    Add gnac.pot to point directly from the website

 po/gnac.pot | 1058 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1058 insertions(+)

commit a0be8eee0afddd8fc3fc7cc59a4436908a7cb1fc
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Mar 25 22:16:44 2009 +0000

    Edit translations

 po/cs.po |   35 ++++++++++++++++++++---------------
 po/fr.po |   34 +++++++++++++++++++---------------
 po/he.po |   34 +++++++++++++++++++---------------
 po/it.po |   35 ++++++++++++++++++++---------------
 po/ro.po |   35 ++++++++++++++++++++---------------
 po/sv.po |   35 ++++++++++++++++++++---------------
 6 files changed, 118 insertions(+), 90 deletions(-)

commit 37c3cf62a4c9b65936021da681c8153bd1d8135a
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Mar 25 22:15:27 2009 +0000

    Remember last used profile

 data/gnac.schemas.in |   10 ++++++++++
 src/gnac-gconf.c     |   34 ++++++++++++++++++++++++++++++++++
 src/gnac-gconf.h     |    7 +++++++
 src/gnac-main.c      |    8 ++++++++
 src/gnac-main.h      |    5 +++++
 src/gnac-ui.c        |   10 ++++++++++
 6 files changed, 74 insertions(+)

commit 3254abbd9a62f9c5d118f9955e70135123d1a998
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Mar 25 20:30:10 2009 +0000

    Add two fonctions to get and set current profile name.

 src/profiles/gnac-profiles.c |   32 ++++++++++++++++++++++++++++++++
 src/profiles/gnac-profiles.h |    6 ++++++
 2 files changed, 38 insertions(+)

commit b9d400606d9da3bdc0bae8125ae4d5dfb86a889b
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Mar 25 13:29:48 2009 +0000

    Code refactoring.

 po/cs.po      |    6 +++---
 po/fr.po      |    6 +++---
 po/he.po      |    6 +++---
 po/it.po      |    6 +++---
 po/ro.po      |    6 +++---
 po/sv.po      |    6 +++---
 src/gnac-ui.c |    2 --
 7 files changed, 18 insertions(+), 20 deletions(-)

commit 284f9378466623d5b30fba087918a07048c08e90
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Mar 25 08:29:40 2009 +0000

    Use 'gnac_bars_activate' to make the pause menu item invisible.

 ChangeLog |   14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 6603c66bbea54c0fcc0c33bcbd52424de54b2959
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Mar 25 08:27:20 2009 +0000

    Use 'gnac_bars_activate' to make the pause menu item invisible.

 po/cs.po |   82 ++++++++++++++++++++++++++++++--------------------------------
 po/fr.po |   82 ++++++++++++++++++++++++++++++--------------------------------
 po/he.po |   78 ++++++++++++++++++++++++++---------------------------------
 po/it.po |   82 ++++++++++++++++++++++++++++++--------------------------------
 po/ro.po |   82 ++++++++++++++++++++++++++++++--------------------------------
 po/sv.po |   82 ++++++++++++++++++++++++++++++--------------------------------
 6 files changed, 229 insertions(+), 259 deletions(-)

commit d742edaf9746bc52347a5ace919db2f5983ca9b5
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Mar 25 08:25:19 2009 +0000

    Make use of the existing function.

 ChangeLog                  |   66 ++++++++++++++++++++++++++++++++++++++++++++
 libgnac/libgnac-metadata.c |   16 ++++++-----
 src/gnac-bars.c            |    2 +-
 src/gnac-ui.c              |    6 ++--
 4 files changed, 79 insertions(+), 11 deletions(-)

commit f0cdc07150098ef12514d3f2c4ae68584012231f
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Wed Mar 25 08:20:37 2009 +0000

    Hide pause menuitem when needed

 src/gnac-ui.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 957c9b903d22c1a6ea0219d877aee991628a31e6
Author: alexandreroux <alexandreroux@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Mar 24 23:34:35 2009 +0000

     - Remove dll and use static stuff instead...
     - No gstreamer verification is done for format, i.e. all profile are displayed
       even if the format is not supported by the gestreamer setup

 src/Makefile.am                              |   49 +++++++++-
 src/profiles/formats/Makefile.am             |  108 ----------------------
 src/profiles/formats/gnac-profiles-aac.c     |  104 +++++++--------------
 src/profiles/formats/gnac-profiles-aac.h     |   82 +++++++++++++++++
 src/profiles/formats/gnac-profiles-flac.c    |  100 +++++++-------------
 src/profiles/formats/gnac-profiles-flac.h    |   79 ++++++++++++++++
 src/profiles/formats/gnac-profiles-lame.c    |  111 +++++++---------------
 src/profiles/formats/gnac-profiles-lame.h    |   88 ++++++++++++++++++
 src/profiles/formats/gnac-profiles-speex.c   |  109 +++++++---------------
 src/profiles/formats/gnac-profiles-speex.h   |   86 +++++++++++++++++
 src/profiles/formats/gnac-profiles-unknown.c |   90 +++++++-----------
 src/profiles/formats/gnac-profiles-unknown.h |   75 +++++++++++++++
 src/profiles/formats/gnac-profiles-vorbis.c  |  113 ++++++++---------------
 src/profiles/formats/gnac-profiles-vorbis.h  |   82 +++++++++++++++++
 src/profiles/formats/gnac-profiles-wav.c     |   93 +++++++------------
 src/profiles/formats/gnac-profiles-wav.h     |   72 +++++++++++++++
 src/profiles/formats/gnac-profiles-wavpack.c |  108 ++++++++--------------
 src/profiles/formats/gnac-profiles-wavpack.h |   84 +++++++++++++++++
 src/profiles/gnac-profiles-default.h         |   34 +++++++
 src/profiles/gnac-profiles-properties.c      |  128 +++++++++++++++++++-------
 20 files changed, 1107 insertions(+), 688 deletions(-)

commit ef51fabc94f725b3aa58f5d896cbfefc1ccc20b8
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Mar 24 21:38:54 2009 +0000

    Create metadata information only once during gnac execution.

 libgnac/libgnac-converter.c |   33 ++------
 libgnac/libgnac-converter.h |    3 +-
 libgnac/libgnac-metadata.c  |  175 +++++++++++++++++++++++++++----------------
 libgnac/libgnac-output.c    |    4 +-
 src/gnac-main.c             |    4 +-
 src/gnac-properties.c       |    2 +-
 6 files changed, 124 insertions(+), 97 deletions(-)

commit 5986e0a24eb449e3ebd6d6870344ec43d4374fbb
Author: daiji <daiji@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Mar 24 19:30:25 2009 +0000

    Do not display pause button when no conversion is running

 src/gnac-main.c |    3 +++
 src/gnac-ui.c   |   14 ++++++++++++++
 src/gnac-ui.h   |    4 ++++
 3 files changed, 21 insertions(+)

commit 194964e5749818788c97085d6c3a1e62f503ef63
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Mar 24 18:11:06 2009 +0000

    Update the statusbar when the conversion is paused.

 ChangeLog       |   15 +++++++++++++++
 po/cs.po        |   14 +++++++++-----
 po/fr.po        |   14 +++++++++-----
 po/he.po        |   14 +++++++++-----
 po/it.po        |   14 +++++++++-----
 po/ro.po        |   14 +++++++++-----
 po/sv.po        |   14 +++++++++-----
 src/gnac-bars.c |    5 ++++-
 src/gnac-main.c |    1 -
 src/gnac-ui.c   |   13 +++++++++++++
 src/gnac-ui.h   |    3 +++
 11 files changed, 89 insertions(+), 32 deletions(-)

commit 5656c5f1c00981e71e9c58b8ef1083d32d3bd5a4
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Mar 24 17:43:53 2009 +0000

    Change some spacing to conform to the GNOME standard.

 src/gnac-ui.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 640734b24ed32dbc0f30e182c718f9ad9766ce8d
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Mar 24 17:27:39 2009 +0000

    Add a new stock item (resume).

 po/POTFILES.in         |    1 +
 po/cs.po               |   12 +++++---
 po/fr.po               |   12 +++++---
 po/he.po               |   12 +++++---
 po/it.po               |   12 +++++---
 po/ro.po               |   12 +++++---
 po/sv.po               |   12 +++++---
 src/Makefile.am        |    6 ++--
 src/gnac-bars.c        |    7 +++--
 src/gnac-stock-items.c |   72 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/gnac-stock-items.h |   36 ++++++++++++++++++++++++
 src/gnac-ui.c          |    3 ++
 12 files changed, 168 insertions(+), 29 deletions(-)

commit bbe6093545469c3d14d8c802780c75898b38b993
Author: bdupasqu <bdupasqu@435dc6ac-c82d-0410-b5ae-91782b707990>
Date:   Tue Mar 24 15:49:10 2009 +0000

    Add the possibility to pause/resume a conversion.

 data/gnac.xml               |   34 ++++++++++++++++++++++++++++
 libgnac/libgnac-converter.c |   12 +++++++---
 libgnac/libgnac-converter.h |    8 +++++++
 libgnac/libgnac-gst.c       |   10 +++++++++
 libgnac/libgnac-gst.h       |    4 ++++
 po/cs.po                    |   52 +++++++++++++++++++++----------------------
 po/fr.po                    |   52 +++++++++++++++++++++----------------------
 po/he.po                    |   52 +++++++++++++++++++++----------------------
